Name: NsCDE
Version: 2.3
Release: alt2
Summary: Not so Common Desktop Environment
Group: Graphical desktop/Other
Packager: Ilya Mashkin <oddity@altlinux.ru>

License: GPLv3
Url: https://github.com/NsCDE
Source: https://github.com/NsCDE/NsCDE/releases/download/2.3/NsCDE-2.3.tar.gz

BuildRequires: libX11-devel libXt-devel libXext-devel libXpm-devel
BuildRequires: ImageMagick-tools
BuildRequires: ksh
BuildRequires: python3-module-psutil rpm-build-python3 rpm-build-perl
BuildRequires: python3-module-yaml python3-module-PyQt5-devel
BuildRequires: rpm-build-gir
BuildRequires: glibc-devel

Requires: xterm sed fvwm3 cpp xsettingsd stalonetray dunst xclip xdotool ksh
Requires: python3-module-yaml dex
#Requires: python3-qt5 libqt5-qtstyleplugins-platformtheme-gtk2
Requires: %_bindir/convert
Requires: %_bindir/import
Requires: %_bindir/xrdb
Requires: %_bindir/xset
Requires: %_bindir/xprop
Requires: %_bindir/xdpyinfo
Requires: %_bindir/xrandr
Requires: xdg-utils gettext-tools

%add_python3_req_skip SpritesGtk2

%add_findprov_skiplist %_libdir/NsCDE/python/SpritesGtk2.py
#add_findprov_skiplist %_datadir/NsCDE/backdrops/Afternoon.pm
#add_findprov_skiplist %_datadir/NsCDE/backdrops/Ankh.pm
%add_findreq_skiplist %_datadir/NsCDE/backdrops/*.pm
%add_findreq_skiplist %_datadir/NsCDE/defaults/backer/*.pm
%add_findreq_skiplist %_datadir/NsCDE/icons/NsCDE/*.pm
%add_findreq_skiplist %_libdir/NsCDE/python/SpritesGtk2.py

%description
NsCDE is a retro but powerful UNIX desktop environment which resembles
CDE look (and partially feel) but with a more powerful and flexible
framework beneath-the-surface, more suited for 21st century unix-like
and Linux systems and user requirements than original CDE.

NsCDE can be considered as a heavyweight FVWM theme on steroids, but
combined with a couple other free software components and custom FVWM
applications and a lot of configuration, NsCDE can be considered a
lightweight hybrid desktop environment.

%prep
%setup -n %name-%version

%build
%autoreconf
%configure --prefix=%prefix --sysconfdir=%_sysconfdir
%make_build

%install
%makeinstall_std

%find_lang NsCDE --all-name

%files -f NsCDE.lang
%_bindir/*
%_libexecdir/%name/
%_libdir/%name/
%_desktopdir/*
%_datadir/desktop-directories/*
%_datadir/xsessions/nscde.desktop
%_iconsdir/*
%_docdir/nscde/
%_datadir/%name/
%_sysconfdir/xdg/menus/nscde-applications.menu

%changelog
