%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

# LTO causes errors, disable it
%global optflags_lto %nil

Name: adns
Version: 1.6.1
Release: alt1

Summary: GNU adns, an asynchronous DNS resolver
License: GPLv2+
Group: Networking/Other
URL: https://www.gnu.org/software/adns/
VCS: git://git.chiark.greenend.org.uk/~ianmdlvl/adns.git

Source: adns-%version.tar
Patch0: %name-%version-alt.patch

Requires: lib%name = %EVR

%package -n lib%name
Summary: GNU adns, an asynchronous DNS resolver (shared library)
Group: System/Libraries

%package -n lib%name-devel
Summary: GNU adns, an asynchronous DNS resolver (header files)
Group: Development/C
Requires: lib%name = %EVR

%package -n lib%name-devel-static
Summary: GNU adns, an asynchronous DNS resolver (static library)
Group: Development/C
Requires: lib%name-devel = %EVR

%description
adns is a resolver library for C (and C++) programs,
and a collection of useful DNS resolver utilities.

This package contains %name utilities.

%description -n lib%name
adns is a resolver library for C (and C++) programs,
and a collection of useful DNS resolver utilities.

This package contains %name runtime library.

%description -n lib%name-devel
adns is a resolver library for C (and C++) programs,
and a collection of useful DNS resolver utilities.

This package contains developement library and include file
required for development of %name-based software.

%description -n lib%name-devel-static
adns is a resolver library for C (and C++) programs,
and a collection of useful DNS resolver utilities.

This package contains static library required for
development of statically linked %name-based software.

%prep
%setup
%patch0 -p1

%build
%add_optflags -D_FILE_OFFSET_BITS=64

%autoreconf
%configure
%make

%install
mkdir -p %buildroot{%_bindir,%_libdir,%_includedir}
%makeinstall

%check
make check

%files
%_bindir/%{name}*
%doc GPL-vs-LGPL README TODO changelog

%files -n lib%name
%_libdir/lib%name.so.?*

%files -n lib%name-devel
%_includedir/%name.h
%_libdir/lib%name.so

%files -n lib%name-devel-static
%_libdir/lib%name.a

%changelog
