%define _unpackaged_files_terminate_build 1
%define alt_name acc
%define legacy_name acc-legacy

Name: alterator-standalone
Version: 7.4.4
Release: alt1

Summary: System Management center
License: GPL
Group: System/Configuration/Other

# The UI modules aren't currently compiled
BuildArch: noarch

Requires: alterator >= 5.0
Requires: alterator-l10n
Requires: alterator-lookout >= 2.5
Requires: alterator-browser-qt >= 2.11.6-alt1
Requires: consolehelper

#backward compatibility
Provides: acc = %version, alterator-profile = %version, %name-usermode = %version
Obsoletes: acc, alterator-profile, %name-usermode

Source: %name-%version.tar

BuildPreReq: alterator >= 5.0
BuildPreReq: guile

%description
ALTLinux Control Center
Contains engine for system management

%brp_strip_none %_alterator_libdir/*
%add_verify_elf_skiplist %_alterator_libdir/*
%add_findreq_skiplist %_alterator_libdir/*

%prep
%setup

%build
%make_build

%install
%makeinstall

#rename acc -> acc-legacy
mv %buildroot/%_sbindir/%alt_name %buildroot/%_sbindir/%legacy_name

#install consolehelper
for obj in %legacy_name alterator-standalone;
do
install -d %buildroot/%_bindir
ln -s %_libexecdir/consolehelper/helper %buildroot%_bindir/$obj
install -d %buildroot%_sysconfdir/pam.d/

cat>%buildroot%_sysconfdir/pam.d/$obj<<EOF
#%PAM-1.0
auth	sufficient	pam_rootok.so
auth	required	pam_stack.so service=system-auth
account	required	pam_permit.so
password	required	pam_deny.so
session	optional	pam_xauth.so
EOF

install -d %buildroot%_sysconfdir/security/console.apps/
cat>%buildroot%_sysconfdir/security/console.apps/$obj<<EOF
USER=root
PROGRAM=%_sbindir/$obj
SESSION=true
FALLBACK=true
EOF
done

#install symlink helper for consolhelper
install -d %buildroot/%_libexecdir/%name
cat>%buildroot/%_libexecdir/%name/%legacy_name<<EOF
#!/bin/sh -e
exec %_bindir/%legacy_name
EOF
chmod a+x %buildroot/%_libexecdir/%name/%legacy_name

#install acc as alternative for acc-legacy
install -d %buildroot/%_altdir
cat>%buildroot/%_altdir/%name<<EOF
%_bindir/%alt_name	%_libexecdir/%name/%legacy_name 20
EOF
touch %buildroot/%_bindir/%alt_name

install -Dpm644 acc.desktop %buildroot/%_desktopdir/acc.desktop

%files
%config %_altdir/%name
%_sbindir/*
%_libexecdir/%name/*
# The UI modules aren't currently compiled
#%_alterator_libdir/ui/*
%_alterator_datadir/ui/*
%_desktopdir/*
%_man8dir/*
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%ghost %_bindir/%alt_name
%_bindir/*

%changelog
