Group: Games/Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
#remove once using %%configure again
%global debug_package %{nil}
%define apricotsdir %{_datadir}/apricots
Name: apricots
Version:  0.2.7
Release:  alt1_6
Summary: 2D air combat game

License: GPL-2.0-only
URL: https://github.com/moggers87/apricots
Source0: https://github.com/moggers87/apricots/archive/v%{version}/apricots-%{version}.tar.gz
Source1: apricots.png
#Icon created from screenshot on website
Source2: apricots.desktop

Patch0: noinline.patch

BuildRequires: gcc gcc-c++
BuildRequires: libSDL2-devel libSDL2-devel-static
BuildRequires: libalut-devel
BuildRequires: desktop-file-utils
BuildRequires: libopenal-devel
BuildRequires: autoconf automake
ExcludeArch: ppc64le aarch64
Source44: import.info

%description
It's a game where you fly a little plane around the screen and
shoot things and drop bombs on enemy targets, and it's meant to be quick 
and fun.

%prep
%setup -q

%patch0 -p0
# e2k support (deprecated in 0.2.7)
#cp -at admin -- \
#       /usr/share/gnu-config/config.sub /usr/share/gnu-config/config.guess


%build
./bootstrap
#Use %%configure once --as-needed is fixed, and fix debug at top of spec.
./configure --prefix=%{_prefix}
%make_build


%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 apricots/apricots %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/apricots
install -m 644 apricots/*.wav %{buildroot}%{_datadir}/apricots
mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 apricots/apricots.cfg %{buildroot}%{_sysconfdir}
ln -s ../../..%{_sysconfdir}/apricots.cfg %{buildroot}%{_datadir}/apricots/apricots.cfg
install -m 644 apricots/*.psf %{buildroot}%{_datadir}/apricots
install -m 644 apricots/*.shapes %{buildroot}%{_datadir}/apricots

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
install -p -m 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps


%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/apricots
%{_datadir}/apricots
%{_datadir}/applications/apricots.desktop
%{_datadir}/icons/hicolor/24x24/apps/apricots.png
%config(noreplace) %{_sysconfdir}/apricots.cfg


%changelog
