Name: borgmatic
Version: 1.8.11
Release: alt1

Summary: borgmatic (formerly atticmatic) is a simple Python wrapper script for the Borg

License: GPL-3
Group: File tools
Url: https://github.com/witten/borgmatic

BuildArch: noarch

Packager: Pavel Vainerman <pv@altlinux.ru>

# Source-url: https://github.com/witten/borgmatic/archive/%version.tar.gz
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3 rpm-build-intro

BuildRequires: python3-module-pyproject-installer
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

Requires: borg

# Optional C library for ruamel-yaml
Requires: python3-module-ruamel-yaml.clib

# generated by 'epm restore --dry-run' from borgmatic/setup.py install_requires
%py3_use colorama < 0.5
%py3_use colorama >= 0.4.1
%py3_use jsonschema
%py3_use packaging
%py3_use requests
%py3_use ruamel-yaml > 0.15.0

%description
borgmatic (formerly atticmatic) is a simple Python wrapper script for the Borg backup software 
that initiates a backup, prunes any old backups according to a retention policy, 
and validates backups for consistency. 
The script supports specifying your settings in a declarative configuration file 
rather than having to put them all on the command-line, and handles common errors.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%doc LICENSE AUTHORS README.md sample
%_bindir/borgmatic
%_bindir/generate-borgmatic-config
%_bindir/validate-borgmatic-config
%python3_sitelibdir_noarch/*

%changelog
