%define _unpackaged_files_terminate_build 1

Name: cuneiform
Version: 1.1.0
Release: alt6

Summary: Cuneiform is an OCR system originally developed and open sourced by Cognitive technologies.
Summary(ru_RU.UTF-8): Программа распознавания символов (OCR) Cuneiform, Linux-версия

License: BSD
Group: Graphics
Url: https://launchpad.net/cuneiform-linux

# http://launchpad.net/%name-linux/%version/%version/+download/%name-linux-%version.tar.bz2
Source: %name-%version.tar

# Man page from Gentoo
Source1: cuneiform.1

# Patches from Debian
Patch1: graphicsmagick.diff
Patch2: libm.diff
Patch3: c-assert.diff
Patch4: fix_buffer_overflow.diff
Patch5: fix_buffer_overflow_2.diff
Patch6: gcc-6.patch
Patch7: typos.patch
Patch8: strings.patch

# Patches from Gentoo
Patch50: cuneiform-1.1.0-gcc7.patch
Patch51: cuneiform-1.1.0-gcc11.patch

Requires: %name-data

BuildRequires: gcc-c++ cmake
BuildRequires: libGraphicsMagick-devel libGraphicsMagick-c++-devel

%description
Cuneiform is an OCR system originally developed and open sourced by Cognitive
technologies. This project aims to create a fully portable version of
Cuneiform.

%description -l ru_RU.UTF-8
Программа распознавания символов (OCR) Cuneiform, некогда очень популярная в
нашей стране, была выложена компанией Cognitive Technologies в свободный доступ
в 2008 году. Проект cuneiform-linux ставит своей целью полное портирование и
дальнейшее развитие Cuneiform под Linux и другие операционные системы.

%package data
Summary: Language support and other data files required for Cuneiform OCR
Summary(ru_RU.UTF-8): Поддержка различных языков и другие файлы с данными для OCR Cuneiform
Group: Graphics
BuildArch: noarch

%description data
Language support and other data files required for Cuneiform OCR

%description -l ru_RU.UTF-8 data
Поддержка различных языков и другие файлы с данными для OCR Cuneiform

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch50 -p1
%patch51 -p1

%build
%add_optflags -std=c++11
%add_optflags -fcommon
%cmake
%cmake_build

%install
%cmakeinstall_std

install -D -p -m644 %SOURCE1 %buildroot%_man1dir/cuneiform.1

%files
%_bindir/%name
%_libdir/*.so*
%_includedir/%name.h
%_man1dir/*.1*

%files data
%dir %_datadir/%name
%_datadir/%name/*

%changelog
