Name: deepin-desktop-base
Version: 2024.01.03
Release: alt1

Summary: Base component for Deepin

License: GPL-3.0
Group: Graphical desktop/Other
Url: https://github.com/linuxdeepin/deepin-desktop-base

Packager: Leontiy Volodin <lvol@altlinux.org>

Source: %url/archive/%version/%name-%version.tar.gz
Source1: distribution.info
Patch: %name-%version-%release.patch

BuildArch: noarch
#Recommends:     deepin-wallpapers
#Recommends:     deepin-screensaver
#Recommends:     plymouth-theme-deepin

%description
This package provides some components for Deepin desktop environment.

- deepin logo
- deepin desktop version
- login screen background image
- language information

%prep
%setup
%patch -p1

%build
%make_build

%install
%makeinstall_std

install -Dm644 %SOURCE1 -t %buildroot%_datadir/deepin/
# Remove Deepin distro's lsb-release
rm %buildroot/etc/lsb-release
# Don't override systemd timeouts
rm -r %buildroot/etc/systemd
# Make a symlink for deepin-version
mkdir -p %buildroot%_sysconfdir/
ln -s %_libexecdir/deepin/desktop-version %buildroot%_sysconfdir/deepin-version
# Install os-version and rename to uos-version
install -Dm644 files/os-version %buildroot%_sysconfdir/uos-version
# Remove apt-specific templates
rm -r %buildroot/usr/share/python-apt
# Remove empty distro info directory
rm -r %buildroot%_datadir/distro-info

%files
%doc LICENSE
%exclude %_sysconfdir/appstore.json
%dir %_datadir/deepin/
%_datadir/deepin/distribution.info
%_datadir/i18n/i18n_dependent.json
%_datadir/i18n/language_info.json
%dir %_libexecdir/deepin/
%_libexecdir/deepin/desktop-version
%_sysconfdir/deepin-version
%_sysconfdir/uos-version
%exclude %_datadir/plymouth/deepin-logo.png

%changelog
