%define _unpackaged_files_terminate_build 1
%define diagnostic_tool domain-client

Name: diag-%diagnostic_tool
Version: 0.2.8
Release: alt2

Summary: Active Directory domain environment diagnostic tool
License: GPLv3
Group: System/Configuration/Other

Url: https://gitlab.basealt.space/alt/diag-domain-client
Source: %name-%version.tar

# actually not anymore but e2k has a standalone girar
BuildArch: noarch

BuildRequires(pre): rpm-macros-alterator
%ifnarch %e2k
BuildRequires: shellcheck
%endif

Obsoletes: domain-diag < %EVR

%description
Active Directory domain environment diagnostic tool.

%prep
%setup

%build
sed -i 's/^VERSION=.*/VERSION=%version/' %name
sed -i 's/@VERSION@/%version/g' %name.man

%install
install -p -D -m755 %name %buildroot%_bindir/%name
install -p -D %name.man %buildroot%_mandir/man1/%name.1
install -p -D alterator/%name.backend %buildroot%_alterator_datadir/backends/%name.backend
install -p -D alterator/%diagnostic_tool.diag %buildroot%_alterator_datadir/diagnostictools/%diagnostic_tool.diag
install -p -D %name.svg %buildroot%_iconsdir/hicolor/scalable/apps/%name.svg

%check
%ifnarch %e2k
shellcheck -e SC1090,SC1091,SC2004,SC2015,SC2034,SC2086,SC2154,SC2001,SC2120,SC2119,SC2317 %name
%endif

%files
%_bindir/%name
%_man1dir/%name.*
%_alterator_datadir/backends/%name.backend
%_alterator_datadir/diagnostictools/%diagnostic_tool.diag
%_iconsdir/hicolor/scalable/apps/%name.svg

%changelog
