%define qdoc_found %{expand:%%(if [ -e %_dqt5_bindir/qdoc ]; then echo 1; else echo 0; fi)}
%global qt_module dqtdoc

Name: dqt5-doc
Version: 5.15.13
Release: alt0.dde.1

Group: Development/KDE and QT
Summary: Main Qt5 Reference Documentation
Url: http://qt.io/
License: FDL

BuildArch: noarch

Source: %qt_module-everywhere-src-%version.tar

BuildRequires(pre): rpm-build-ubt rpm-macros-dqt5 dqt5-tools
BuildRequires: gcc-c++ dqt5-base-devel
BuildRequires: dqt5-script-devel dqt5-svg-devel dqt5-xmlpatterns-devel dqt5-declarative-devel
BuildRequires: dqt5-tools-devel

# find libraries
%add_findprov_lib_path %_dqt5_libdir

%description
QtDoc contains the main Qt Reference Documentation, which includes
overviews, Qt topics, and examples not specific to any Qt module.

%package common
Summary: Common package for %name
Group: System/Configuration/Other
BuildArch: noarch
Requires: dqt5-base-common
%description common
Common package for %name

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common = %EVR
Requires: dqt5-base-devel
%description devel
%summary.

%package devel-static
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common = %EVR
Requires: %name-devel
%description devel-static
%summary.

%package doc
BuildArch: noarch
Summary: Document for developing apps which will use Qt5 %qt_module
Group: Development/KDE and QT
Requires: %name-common = %EVR
%description doc
This package contains documentation for Qt5 %qt_module

%package -n libdqt5-doc
Summary: Qt5 library
Group: System/Libraries
Requires: %name-common = %EVR
%description -n libdqt5-doc
%summary

%prep
%setup -n %qt_module-everywhere-src-%version
syncqt.pl-dqt5 -version %version

%build
%qmake_dqt5 \
    QT_BUILD_PARTS-=examples \
    #
%make_build
%if %qdoc_found
export QT_HASH_SEED=0
%make docs
%endif

%install
%install_dqt5
%if %qdoc_found
%make INSTALL_ROOT=%buildroot install_docs ||:
%endif

%files
%if %qdoc_found
%_dqt5_docdir/*
%endif

%changelog
