%define qdoc_found %{expand:%%(if [ -e %_dqt5_bindir/qdoc ]; then echo 1; else echo 0; fi)}
%global qt_module dqtimageformats

%def_enable fmt_mng
# Debian abandon libjasper
%def_disable fmt_jp2

Name: dqt5-imageformats
Version: 5.15.13
Release: alt0.dde.1

Group: System/Libraries
Summary: Qt5 - QtImageFormats component
Url: http://qt.io/
License: LGPLv2 / GPLv3

Requires: %name-common = %EVR
Requires: dqt5-svg

Source: %qt_module-everywhere-src-%version.tar

# Automatically added by buildreq on Tue Jun 03 2014 (-bi)
# optimized out: elfutils libGL-devel libcloog-isl4 libjpeg-devel libdqt5-clucene libdqt5-core libdqt5-gui libdqt5-help libdqt5-network libdqt5-sql libdqt5-widgets libdqt5-xml libstdc++-devel python-base dqt5-base-devel dqt5-declarative-devel dqt5-tools ruby ruby-stdlibs zlib-devel
#BuildRequires: gcc-c++ glibc-devel-static libjasper-devel libmng-devel libtiff-devel libwebp-devel python-module-protobuf dqt5-script-devel dqt5-tools-devel dqt5-webkit-devel dqt5-xmlpatterns-devel rpm-build-ruby
BuildRequires(pre): rpm-macros-dqt5 dqt5-tools
BuildRequires: gcc-c++ glibc-devel libtiff-devel libwebp-devel dqt5-base-devel
%{?_enable_fmt_jp2:BuildRequires: libjasper-devel}
%{?_enable_fmt_mng:BuildRequires: libmng-devel}

%description
The core Qt Gui library by default supports reading and writing image
files of the most common file formats: PNG, JPEG, BMP, GIF and a few more,
ref. Reading and Writing Image Files. The Qt Image Formats add-on module
provides optional support for other image file formats, including:
MNG, TGA, TIFF, WBMP.

%package common
Summary: Common package for %name
Group: System/Configuration/Other
BuildArch: noarch
Requires: dqt5-base-common
%description common
Common package for %name

%package doc
BuildArch: noarch
Summary: Document for developing apps which will use Qt5 %qt_module
Group: Development/KDE and QT
Requires: %name-common = %EVR
%description doc
This package contains documentation for Qt5 %qt_module

%prep
%setup -qn %qt_module-everywhere-src-%version
syncqt.pl-dqt5 -version %version

%if_disabled fmt_jp2
rm -rf config.tests/jasper
%endif
%if_disabled fmt_mng
rm -rf  config.tests/libmng
%endif


%build
%qmake_dqt5
%make_build
%if %qdoc_found
export QT_HASH_SEED=0
%make docs
%endif

%install
%install_dqt5
%make INSTALL_ROOT=%buildroot install_docs ||:

%files common
%files
%doc LICENSE*EXCEPT*
%_dqt5_plugindir/imageformats/*.so
%_dqt5_libdir/cmake/Qt5Gui/Qt5Gui_*Plugin.cmake

%files doc
%if %qdoc_found
%_dqt5_docdir/*
%endif

%changelog
