%define qdoc_found %{expand:%%(if [ -e %_dqt5_bindir/qdoc ]; then echo 1; else echo 0; fi)}
%global qt_module dqtquickcontrols

Name: dqt5-quickcontrols
Version: 5.15.13
Release: alt0.dde.1

Group: System/Libraries
Summary: Qt5 - module with set of QtQuick controls
License: LGPLv2 / GPLv3
Url: http://qt.io/

Provides: dqt5-qtquickcontrols = %version-%release
Provides: libdqt5-qtquickcontrols = %version-%release

Source: %qt_module-everywhere-src-%version.tar
Patch: alt-revert-qtbug63437.patch

AutoProv: no

# Automatically added by buildreq on Tue Nov 26 2013 (-bi)
# optimized out: elfutils libGL-devel libdqt5-clucene libdqt5-core libdqt5-gui libdqt5-help libdqt5-network libdqt5-qml libdqt5-quick libdqt5-sql libdqt5-v8 libdqt5-widgets libdqt5-xml libstdc++-devel python-base python3 python3-base dqt5-base-devel dqt5-declarative-devel dqt5-tools ruby ruby-stdlibs
#BuildRequires: gcc-c++ glibc-devel-static python-module-distribute dqt5-jsbackend-devel dqt5-script-devel dqt5-tools-devel dqt5-webkit-devel dqt5-xmlpatterns-devel rpm-build-gir rpm-build-python3 rpm-build-ruby
BuildRequires(pre): rpm-build-ubt rpm-macros-dqt5 dqt5-tools
BuildRequires: gcc-c++ glibc-devel
BuildRequires: dqt5-xmlpatterns-devel dqt5-declarative-devel

Requires: libdqt5-gui = %_dqt5_version libdqt5-qml = %_dqt5_version libdqt5-quick = %_dqt5_version

%description
The Qt Quick Controls module provides a set of controls that can be used to
build complete interfaces in Qt Quick.

%package common
Summary: Common package for %name
Group: System/Configuration/Other
BuildArch: noarch
Requires: dqt5-base-common dqt5-declarative-common
%description common
Common package for %name

%package doc
Summary: Document for developing apps which will use Qt5 %qt_module
Group: Development/KDE and QT
Requires: %name-common = %EVR
%description doc
This package contains documentation for Qt5 %qt_module

%prep
%setup -qn %qt_module-everywhere-src-%version
%patch -p1
syncqt.pl-dqt5 -version %version

%build
%qmake_dqt5
%make_build
%if %qdoc_found
export QT_HASH_SEED=0
%make docs
%endif

%install
%install_dqt5
%make INSTALL_ROOT=%buildroot install_docs ||:

%files common
%files
%_dqt5_qmldir/QtQuick/*/
%doc README

%files doc
%if %qdoc_found
%_dqt5_docdir/*
%endif
%_dqt5_examplesdir/*

%changelog
