%define qdoc_found %{expand:%%(if [ -e %_dqt5_bindir/qdoc ]; then echo 1; else echo 0; fi)}

%global qt_module dqtserialport

Name: dqt5-serialport
Version: 5.15.13
Release: alt0.dde.1

Group: System/Libraries
Summary: Qt5 - SerialPort component
Url: http://qt.io/
License: LGPLv2 / GPLv3

Source: %qt_module-everywhere-src-%version.tar

# Automatically added by buildreq on Fri Feb 28 2014 (-bi)
# optimized out: elfutils libcloog-isl4 libdqt5-clucene libdqt5-core libdqt5-gui libdqt5-help libdqt5-network libdqt5-sql libdqt5-widgets libdqt5-xml libstdc++-devel pkg-config python-base dqt5-base-devel dqt5-declarative-devel dqt5-tools ruby ruby-stdlibs
#BuildRequires: gcc-c++ glibc-devel-static libudev-devel dqt5-script-devel dqt5-tools-devel dqt5-webkit-devel dqt5-xmlpatterns-devel rpm-build-ruby
BuildRequires(pre): rpm-build-ubt rpm-macros-dqt5 dqt5-tools
BuildRequires: gcc-c++ glibc-devel dqt5-base-devel dqt5-tools-devel
BuildRequires: pkgconfig(libudev)

# find libraries
%add_findprov_lib_path %_dqt5_libdir

%description
Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

%package common
Summary: Common package for %name
Group: System/Configuration/Other
BuildArch: noarch
Requires: dqt5-base-common
%description common
Common package for %name

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common = %EVR
Requires: dqt5-base-devel
%description devel
%summary.

%package devel-static
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common = %EVR
Requires: %name-devel
%description devel-static
%summary.

%package doc
Summary: Document for developing apps which will use Qt5 %qt_module
Group: Development/KDE and QT
Requires: %name-common = %EVR
%description doc
This package contains documentation for Qt5 %qt_module

%package -n libdqt5-serialport
Summary: Qt5 library
Group: System/Libraries
Requires: %name-common = %EVR
%description -n libdqt5-serialport
%summary

%prep
%setup -n %qt_module-everywhere-src-%version
syncqt.pl-dqt5 -version %version

%build
%qmake_dqt5
%make_build
%if %qdoc_found
export QT_HASH_SEED=0
%make docs
%endif

%install
%install_dqt5
%if %qdoc_found
%make INSTALL_ROOT=%buildroot install_docs ||:
%endif

%files common
%files -n libdqt5-serialport
%doc LICENSE*EXCEPT*
%_dqt5_libdir/libQt?SerialPort.so.*

%files devel
%_dqt5_headerdir/Qt*/
%_dqt5_libdatadir/libQt*.so
%_dqt5_libdatadir/libQt*.prl
%_dqt5_libdir/libQt*.so
%_dqt5_libdir/libQt*.prl
%_dqt5_libdir/cmake/Qt*/
%_dqt5_libdir/pkgconfig/Qt*.pc
%_dqt5_archdatadir/mkspecs/modules/qt_lib_*.pri

%files doc
%if %qdoc_found
%_dqt5_docdir/*
%endif
%_dqt5_examplesdir/*

%changelog
