
%global qt_module dqtwebsockets
%def_disable bootstrap
%define qdoc_found %{expand:%%(if [ -e %_dqt5_bindir/qdoc ]; then echo 1; else echo 0; fi)}

Name: dqt5-websockets
Version: 5.15.13
Release: alt0.dde.1

Group: System/Libraries
Summary: Qt5 - QtWebSockets component
Url: http://qt.io/
License: LGPLv2 / GPLv3

Source: %qt_module-everywhere-src-%version.tar

# Automatically added by buildreq on Mon Jun 16 2014 (-bi)
# optimized out: elfutils libcloog-isl4 libqt5-clucene libqt5-core libqt5-gui libqt5-help libqt5-network libqt5-qml libqt5-sql libqt5-widgets libqt5-xml libstdc++-devel pkg-config python-base qt5-base-devel qt5-declarative-devel qt5-tools ruby ruby-stdlibs
BuildRequires(pre): rpm-build-ubt rpm-macros-dqt5
BuildRequires: gcc-c++ glibc-devel dqt5-xmlpatterns-devel dqt5-declarative-devel
%if_disabled bootstrap
BuildRequires(pre): dqt5-tools
%endif

# find libraries
%add_findprov_lib_path %_dqt5_libdir

%description
QtWebSockets is a pure Qt implementation of WebSockets - both client and server.

%package common
Summary: Common package for %name
Group: System/Configuration/Other
BuildArch: noarch
Requires: dqt5-base-common
%description common
Common package for %name

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common = %EVR
Requires: dqt5-base-devel
%description devel
%summary.

%package devel-static
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name-common = %EVR
Requires: %name-devel
%description devel-static
%summary.

%package doc
Summary: Document for developing apps which will use Qt5 %qt_module
Group: Development/KDE and QT
Requires: %name-common = %EVR
%description doc
This package contains documentation for Qt5 %qt_module

%package -n libdqt5-websockets
Summary: Qt5 library
Group: System/Libraries
AutoProv: no,lib
Requires: %name-common = %EVR
Requires: dqt5-declarative-common
Requires: libdqt5-core = %_dqt5_version
%description -n libdqt5-websockets
%summary

%prep
%setup -qn %qt_module-everywhere-src-%version
syncqt.pl-dqt5 -version %version

%build
%qmake_dqt5
%make_build
%if_disabled bootstrap
%if %qdoc_found
export QT_HASH_SEED=0
%make docs
%endif
%endif

%install
%install_dqt5
%if_disabled bootstrap
%if %qdoc_found
%make INSTALL_ROOT=%buildroot install_docs ||:
%endif
%endif

%files common
%files -n libdqt5-websockets
%_dqt5_libdir/libQt?WebSockets.so.*
%_dqt5_archdatadir/qml/Qt/WebSockets/
%_dqt5_qmldir/QtWebSockets/

%files devel
%_dqt5_headerdir/Qt*/
%_dqt5_libdir/libQt*.so
%_dqt5_libdatadir/libQt*.so
%_dqt5_libdir/libQt*.prl
%_dqt5_libdatadir/libQt*.prl
%_dqt5_libdir/cmake/Qt*/
%_dqt5_libdir/pkgconfig/Qt*.pc
%_dqt5_archdatadir/mkspecs/modules/*.pri

%files doc
%if_disabled bootstrap
%if %qdoc_found
%_dqt5_docdir/*
%endif
%endif
%_dqt5_examplesdir/*

%changelog
