Version: 0.5.8
Release: alt1
Name: emacs-mmm-mode
License: GPLv2+
Group: Editors
Url: http://mmm-mode.sourceforge.net/
Vcs: https://github.com/purcell/mmm-mode.git
Summary: Multiple Major Modes in Emacs
Packager: Emacs Maintainers Team <emacs@packages.altlinux.org>
Requires: emacs-common
Source: %name-%{version}.tar
Source1: mmm-emacs.el

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 18 2002
BuildRequires: rpm-build-emacs
# explicitly added texinfo for info files
BuildRequires: texinfo

%description
MMM Mode is a minor mode for Emacs that allows Multiple Major Modes
(hence the name) to coexist in one buffer.  It is particularly
well-suited to editing embedded code, such as Mason server-side
Perl, or HTML output in CGI scripts.

%description -l ru_RU.UTF-8
Режим MMM является вспомогательным режимом для Emacs, позволяющим использовать
несколько основных режимов в одном буфере. В частности он удобен для редактирования
встроенного кода, такого как код на Perl в Mason или другого.

Весь код на Emacs Lisp откомпилирован, для получения исходных текстов установите
пакет %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.UTF-8
Пакет %name-el содержит исходные тексты для пакета %name, который
является дополнением к редактору Emacs.

%name-el необходим вам только, если вы собираетесь изменять файлы
входящие в %name, или хотите посмотреть некоторые примеры.

%prep
%setup -q

%build
%autoreconf
./configure --prefix=%{_prefix} --infodir=%{_infodir} --with-emacs
make

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/mmm
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/mmm

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/mmm.el

%files
%defattr(-, root, root)
%doc AUTHORS FAQ INSTALL README* TODO NEWS
%dir %{_emacslispdir}/mmm/
%{_emacslispdir}/mmm/*.elc
/etc/emacs/site-start.d/*
%{_infodir}/*

%files el
%{_emacslispdir}/mmm/*.el

%changelog
