%define _unpackaged_files_terminate_build 1

%define oname FileZilla

Name: filezilla
Version: 3.67.1
Release: alt1
Summary: FileZilla is a fast and reliable FTP client

Group: Networking/File transfer
License: GPL
Url: https://filezilla-project.org/
# Source-url: https://download.filezilla-project.org/client/%{oname}_%{version}_src.tar.xz
Source: %oname-%version.tar

Patch1: %name-%version-alt-system-pugixml.patch
Patch2: filezilla-3.64.0-i586-FTBFS.patch

BuildRequires: gcc-c++
BuildRequires: libdbus-devel
BuildRequires: libfilezilla-devel
BuildRequires: libgtk+3-devel
BuildRequires: libnettle-devel
BuildRequires: libpugixml-devel
BuildRequires: libsqlite3-devel
BuildRequires: libwxGTK3.2-devel
BuildRequires: boost-devel
BuildRequires: xdg-utils

%description
FileZilla is a fast and reliable FTP client and server with lots
of useful features and an intuitive interface

%prep
%setup -n %oname-%version
%patch1 -p2
%patch2 -p2

%build
%autoreconf
%configure \
	--disable-autoupdatecheck \
	--with-pugixml=system \
	%nil

%make_build

%install
%makeinstall_std

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_bindir/*
%_libdir/*.so
%_datadir/%name
%_desktopdir/%name.desktop
%_datadir/appdata/filezilla.appdata.xml
%_iconsdir/hicolor/*x*/apps/%name.png
%_pixmapsdir/%name.png
%_iconsdir/hicolor/scalable/apps/filezilla.svg
%_man1dir/*
%_man5dir/*

%changelog
