%define _unpackaged_files_terminate_build 1
%def_with ffmpeg
%def_with x264
%def_without directfb
%def_with gss
# Conflicts with openssl
%def_without mbedtls
%def_with SDL
%def_without uwac
%define sover 3
%define oname freerdp

Name: freerdp%sover
Version: 3.9.0
Release: alt1

Group: Networking/Remote access
Summary: Remote Desktop Protocol functionality
License: Apache-2.0
URL: http://www.freerdp.com
Packager: Andrey Cherepanov <cas@altlinux.org>

ExcludeArch: armh

Source: %oname-%version.tar
Source1: freerdp-server.service
Source2: freerdp-login.sh
Source3: freerdp-logout.sh
Source4: freerdp.sysconfig
Source5: freerdp-server.pam

Patch0: freerdp-alt-pam-check.patch
Patch1: freerdp-alt-connection-scripts.patch
Patch2: freerdp-alt-use-pam-module-freerdp-server.patch
Patch2000: freerdp-e2k.patch

Requires: xfreerdp%sover = %EVR
Requires: wlfreerdp%sover = %EVR

BuildRequires(pre): cmake
BuildRequires(pre): rpm-build-ninja
BuildRequires: gcc-c++
BuildRequires: extra-cmake-modules
BuildRequires: docbook-style-xsl git-core xmlto libpcre-devel
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(libpcsclite)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-cursor)
BuildRequires: pkgconfig(wayland-scanner)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbfile)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xv)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires: pkgconfig(libpulse)
%{?_with_directfb:BuildRequires: pkgconfig(directfb)}
BuildRequires: libcups-devel libjpeg-devel zlib-devel
%{?_with_ffmpeg:BuildRequires: libavcodec-devel libavutil-devel libswresample-devel}
%{?_with_x264:BuildRequires: libx264-devel}
BuildRequires: libkrb5-devel
BuildRequires: wayland-devel
%if_with mbedtls
BuildRequires: libmbedtls-compat-devel
%endif
BuildRequires: libgsm-devel
BuildRequires: liblame-devel
BuildRequires: libfaad-devel
BuildRequires: libfaac-devel
BuildRequires: libsoxr-devel
BuildRequires: libffi-devel
BuildRequires: liborc-devel
BuildRequires: libicu-devel
BuildRequires: libcairo-devel
BuildRequires: libpixman-devel
BuildRequires: libexpat-devel
BuildRequires: libXdmcp-devel
BuildRequires: bzlib-devel
BuildRequires: libuuid-devel
BuildRequires: libudev-devel
BuildRequires: libusb-devel
BuildRequires: libpam-devel
BuildRequires: libdbus-glib-devel
%ifarch %e2k
BuildRequires: chrpath
%else
BuildRequires: patchelf
%endif
%if_with SDL
BuildRequires: libSDL2-devel
BuildRequires: libSDL2_ttf-devel
BuildRequires: libwebkit2gtk-devel
%endif
BuildRequires: libcjson-devel
BuildRequires: libfuse3-devel
BuildRequires: libopenh264-devel
BuildRequires: libpkcs11-helper-devel
BuildRequires: libswscale-devel
BuildRequires: liburiparser-devel

%description
freerdp implements Remote Desktop Protocol (RDP), used in a number of Microsoft
products. Rdesktop analog.

This is metapackage.

%package -n xfreerdp%sover
Summary: Remote Desktop Protocol client
Group: Networking/Remote access
Requires: lib%name = %EVR
Conflicts: xfreerdp

%description -n xfreerdp%sover
xfreerdp is a client for Remote Desktop Protocol (RDP), used in a number of
Microsoft products.

This package contains X11 UI.

%package -n dfreerdp%sover
Summary: Remote Desktop Protocol client
Group: Networking/Remote access
Requires: lib%name = %EVR
Conflicts: dfreerdp

%description -n dfreerdp%sover
dfbfreerdp is a client for Remote Desktop Protocol (RDP), used in a number of
Microsoft products.

This package contains DirectFB UI.

%package -n wlfreerdp%sover
Summary: Remote Desktop Protocol client
Group: Networking/Remote access
Requires: lib%name = %EVR
Conflicts: wlfreerdp

%description -n wlfreerdp%sover
wlfreerdp is a client for Remote Desktop Protocol (RDP), used in a number of
Microsoft products.

This package contains Wayland UI.

%package -n lib%name
Summary: Core libraries implementing the RDP protocol
Group: System/Libraries

%description -n lib%name
libfreerdp can be embedded in applications.

%package -n lib%name-server
Summary: Remote Desktop Viewer server library
Group: System/Libraries

%description -n lib%name-server
FreeRDP is a client-side implementation of the Remote Desktop Protocol (RDP)
following the Microsoft Open Specifications. This package provides the shared
libraries used by the server.

%package -n libwinpr%sover
Summary: Windows Portable Runtime
Group: System/Libraries

%description -n libwinpr%sover
WinPR provides API compatibility for applications targeting non-Windows
environments. When on Windows, the original native API is being used instead of
the equivalent WinPR implementation, without having to modify the code using it.

%package -n libwinpr%sover-devel
Summary: Windows Portable Runtime development files
Group: Development/C
Requires: libwinpr%sover = %EVR

%description -n libwinpr%sover-devel
The libwinpr-devel package contains libraries and header files for
developing applications that use libwinpr.

%package -n libuwac%sover
Summary: Use wayland as a client
Group: System/Libraries

%description -n libuwac%sover
Remote Desktop Toolkit library. Contains the libuwac libraries.

%package -n libuwac%sover-devel
Summary: Remote Desktop Toolkit libuwac development files
Group: Development/C
Requires: libuwac%sover = %EVR

%description -n libuwac%sover-devel
The libuwac-devel package contains libraries and header files for
developing applications that use libuwac.

%package -n librdtk%sover
Summary: Use wayland as a client
Group: System/Libraries

%description -n librdtk%sover
Remote Desktop Toolkit library. Contains the librdtk libraries.

%package -n librdtk%sover-devel
Summary: Remote Desktop Toolkit librdtk development files
Group: Development/C
Requires: librdtk%sover = %EVR

%description -n librdtk%sover-devel
The librdtk-devel package contains libraries and header files for
developing applications that use librdtk.

%package -n lib%name-devel
Summary: Libraries and header files for embedding and extending freerdp
Group: Development/C
Requires: lib%name = %EVR

%description -n lib%name-devel
Header files and unversioned libraries for libfreerdp.

%package -n %name-server
Summary: Server support for %{name}
Group: Networking/Remote access
Requires: lib%name = %EVR
Requires: lib%name-server = %EVR
Conflicts: freerdp-server

%description -n %name-server
The %{name}-server package contains servers which can export a desktop via
the RDP protocol.

%prep
%setup -n %oname-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifarch %e2k
%patch2000 -p1
%endif

%build
%cmake \
    -GNinja \
    -Wno-dev \
    -DCMAKE_BUILD_TYPE=Release \
    -DBUILD_SHARED_LIBS=ON \
    -DCMAKE_SKIP_RPATH=FALSE \
%ifarch %e2k
    -DCMAKE_SKIP_INSTALL_RPATH=FALSE \
    -DCMAKE_INSTALL_RPATH:PATH='$ORIGIN' \
%else
    -DCMAKE_SKIP_INSTALL_RPATH=TRUE \
%endif
    -DWITH_ALSA=ON \
    -DWITH_CAIRO=ON \
    -DWITH_CUPS=ON \
    -DWITH_CHANNELS=ON \
    -DWITH_CLIENT_CHANNELS=ON \
    -DWITH_DEBUG_CHANNELS=OFF \
    -DWITH_CLIENT=ON \
    %{?_without_directfb:-DWITH_DIRECTFB=OFF} \
    %{?_without_ffmpeg:-DWITH_FFMPEG=OFF} \
%if_with x264
    -DWITH_X264=ON \
%else
    -DWITH_X264=OFF \
%endif
    -DWITH_GSM=ON \
    %{?_without_gss:-DWITH_KERBEROS=OFF} \
%if_without uwac
	-DUWAC_FORCE_STATIC_BUILD=ON \
%endif
    -DWITH_FAAC=ON \
    -DWITH_FAAD2=ON \
    -DWITH_GSTREAMER_1_0=ON \
    -DWITH_ICU=ON \
    -DWITH_IPP=OFF \
    -DWITH_JPEG=ON \
    -DWITH_LAME=ON \
    -DWITH_LIBRARY_VERSIONING=ON \
    -DWITH_MANPAGES=ON \
    %{?_with_mbedtls:-DWITH_MBEDTLS=ON} \
    -DWITH_OPENH264=ON \
    -DWITH_OPENCL=OFF \
    -DWITH_OPENSSL=ON \
    -DWITH_PCSC=ON \
    -DWITH_PULSE=ON \
    -DWITH_SERVER=ON \
    -DWITH_SERVER_INTERFACE=ON \
    -DWITH_SERVER_CHANNELS=ON \
    -DWITH_SHADOW_X11=ON \
    -DWITH_SHADOW_MAC=ON \
    -DWITH_XTEST=ON \
    -DCHANNEL_URBDRC=ON \
    -DCHANNEL_URBDRC_CLIENT=ON \
    -DWITH_SHADOW_X11=ON \
    -DWITH_SHADOW_MAC=ON \
    -DWITH_SOXR=ON \
    -DWITH_WAYLAND=ON \
    -DWITH_X11=ON \
    -DWITH_XCURSOR=ON \
    -DWITH_XEXT=ON \
    -DWITH_XI=ON \
    -DWITH_XINERAMA=ON \
    -DWITH_XKBFILE=ON \
    -DWITH_XRENDER=ON \
    -DWITH_XV=ON \
    -DWITH_ZLIB=ON \
%ifarch x86_64 %e2k
    -DWITH_SSE2=ON \
%else
    -DWITH_SSE2=OFF \
%endif
%ifarch x86_64
    -DWITH_VAAPI=%{?_with_ffmpeg:ON}%{?!_with_ffmpeg:OFF} \
%endif
%ifarch armh
    -DARM_FP_ABI=hard \
    -DWITH_NEON=OFF \
%endif
%ifarch %e2k
    -DCMAKE_C_FLAGS_RELEASE="-O%_optlevel -DNDEBUG"
%endif
    #

%ninja_build -C "%_cmake__builddir"

%install
%ninja_install -C "%_cmake__builddir"

rm -f %buildroot%_libdir/*.a \
      %buildroot%_libdir/freerdp/*.a

%ifarch %e2k
# patchelf damages e2k binaries
setrpath="chrpath -r"
%else
setrpath="patchelf --set-rpath"
%endif

# Set rpath to %_libdir/freerdp3 for freerdp-proxy executable
$setrpath %_libdir/freerdp3 %buildroot%_bindir/freerdp-proxy

# Install freerdp-server.service
install -Dpm0644 %SOURCE1 %buildroot%_libexecdir/systemd/user/freerdp-server.service

# Remove sample server
rm -f %buildroot%_bindir/sfreerdp*

# Remove icons
rm -rf %buildroot%_datadir/FreeRDP/images/test_*.*

%if_with SDL
rm -f %buildroot%_bindir/sdl-freerdp %buildroot%_man1dir/sdl-freerdp.1*
%endif

# Install connection scripts
install -Dpm0755 %SOURCE2 %buildroot%_sysconfdir/freerdp/freerdp-login.sh
install -Dpm0755 %SOURCE3 %buildroot%_sysconfdir/freerdp/freerdp-logout.sh

# Install default configuration for freerdp-server.service
install -Dpm0644 %SOURCE4 %buildroot%_sysconfdir/sysconfig/freerdp-server

# Install PAM module
install -Dpm0644 %SOURCE5 %buildroot%_sysconfdir/pam.d/freerdp-server

%files

%files -n xfreerdp%sover
%_bindir/xfreerdp
%_man1dir/xfreerdp*
%_bindir/winpr-*
%_man1dir/winpr-*
%_man7dir/wlog*

%files -n wlfreerdp%sover
%_bindir/wlfreerdp
%_man1dir/wlfreerdp*

%if_with directfb
%files -n dfreerdp%sover
%_bindir/dfreerdp
%endif

%files -n %name-server
%_bindir/freerdp-proxy
%config(noreplace) %_libexecdir/systemd/user/freerdp-server.service
%config(noreplace) %attr(0755, root, root) %_sysconfdir/freerdp/freerdp-login.sh
%config(noreplace) %attr(0755, root, root) %_sysconfdir/freerdp/freerdp-logout.sh
%config(noreplace) %_sysconfdir/sysconfig/freerdp-server
%config(noreplace) %_sysconfdir/pam.d/freerdp-server
%attr(2711, root, chkpwd) %_bindir/freerdp-shadow-cli
%_man1dir/freerdp-shadow-cli.1*
%_man1dir/freerdp-proxy.1*
%_libdir/freerdp*/proxy

%files -n lib%name
%doc LICENSE README.md ChangeLog
%_libdir/lib%{oname}3.so.*
%_libdir/lib%{oname}-client3.so.*
%dir %_libdir/freerdp*

%files -n lib%name-server
%_libdir/lib%{oname}-server3.so.*
%_libdir/lib%{oname}-server-proxy3.so.*
%_libdir/lib%{oname}-shadow-subsystem3.so.*
%_libdir/lib%{oname}-shadow3.so.*

%files -n libwinpr%sover
%_libdir/libwinpr3.so.*
%_libdir/libwinpr-tools3.so.*

%files -n libwinpr%sover-devel
%_libdir/cmake/WinPR*
%_includedir/winpr*
%_libdir/libwinpr3.so
%_libdir/libwinpr-tools3.so
%_pkgconfigdir/winpr*.pc

%if_with uwac
%files -n libuwac%sover
%_libdir/libuwac0.so.*

%files -n libuwac%sover-devel
%_libdir/cmake/uwac*
%_includedir/uwac*
%_libdir/libuwac0.so
%_pkgconfigdir/uwac*.pc
%endif

%files -n librdtk%sover
%_libdir/librdtk0.so.*

%files -n librdtk%sover-devel
%_libdir/cmake/rdtk*
%_includedir/rdtk*
%_libdir/librdtk0.so
%_pkgconfigdir/rdtk*.pc

%files -n lib%name-devel
%_libdir/cmake/FreeRDP*
%_includedir/%{name}*
%_libdir/libfreerdp*.so
%_pkgconfigdir/freerdp*.pc

%changelog
