Name: gbrainy
Version: 2.4.6
Release: alt1

Summary: Brain training puzzle game
Summary(ru_RU.UTF-8): Игра-головоломка для тренировки мозга

License: GPL-2.0-or-later
Group: Games/Puzzles
Url: https://wiki.gnome.org/Apps/gbrainy

# libgtk-sharp3-devel missing from ppc64le
ExcludeArch: ppc64le

# Source-url: https://gitlab.gnome.org/GNOME/gbrainy/-/archive/%version/gbrainy-%version.tar.gz
Source: %name-%version.tar

BuildRequires: intltool
BuildRequires: librsvg-devel
BuildRequires: libgtk-sharp3-devel
BuildRequires: mono-devel
BuildRequires: yelp-tools

BuildRequires(pre): rpm-build-mono

%description
gbrainy is a puzzle game and trainer for fun and brain training.
Offers the following types of games: Logic puzzles. Games based on arithmetic
operations. Memory trainers. Gbrainy offers different levels of difficulty,
making gbrainy fun for kids, adults, and seniors. Gbrainy can also be easily
extended with new games developed by third parties.
Gbrainy is developed for GNOME and runs on GNU/Linux and various versions of
Unix.

%description -l ru_RU.UTF-8
gbrainy - игра-головоломка и тренажер для развлечения и тренировки мозга.
Предлагает следующие виды игр: Логические головоломки. Игры, основанные на
арифметических операциях. Тренажеры памяти. Gbrainy предлагает разные уровни
сложности, что делает gbrainy развлечением для детей, взрослых и пожилых людей.
Gbrainy также может быть легко дополнен новыми играми, разработанными третьими
сторонами.
Gbrainy разработан для GNOME и работает на GNU/Linux и различных версиях Unix.

%prep
%setup

%build
%autoreconf
%configure --libdir=%_monodir
%make_build

%install
%makeinstall_std

# Remove icons from the pixmaps directory according to the packaging policy.
# https://www.altlinux.org/Icon_Paths_Policy
rm -f %buildroot%_pixmapsdir/*

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README
%_bindir/%name
%_datadir/help/*/%name
%_monodir/%name
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/apps/*
%_datadir/metainfo/%name.appdata.xml
%_man6dir/gbrainy.6.*
%_gamesdatadir/%name

%changelog
