%define        _unpackaged_files_terminate_build 1
%define        gemname alexandria-book-collection-manager

Name:          gem-alexandria-book-collection-manager
Version:       0.7.10
Release:       alt1.3
Summary:       Alexandria is a GNOME application to help you manage your book collection
License:       GPL-2.0+
Group:         Development/Ruby
Url:           https://github.com/mvz/alexandria-book-collection-manager
Vcs:           https://github.com/mvz/alexandria-book-collection-manager.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires(pre): rpm-build-gnome
BuildRequires: gem(rake) >= 13.0
BuildRequires: gem(rspec) >= 3.0
BuildConflicts: gem(rake) >= 14
BuildConflicts: gem(rspec) >= 4
%if_with check
BuildRequires: gem(gnome_app_driver) >= 0.3.2
BuildRequires: gem(rubocop) >= 1.15.0
BuildRequires: gem(rubocop-i18n) >= 3.0
BuildRequires: gem(rubocop-performance) >= 1.11.3
BuildRequires: gem(rubocop-rake) >= 0.6.0
BuildRequires: gem(rubocop-rspec) >= 2.4.0
BuildRequires: gem(webmock) >= 3.9
BuildRequires: gem(pry) >= 0
BuildRequires: gem(simplecov) >= 0
BuildRequires: gem(yard) >= 0.9.5
BuildRequires: gem(gettext) >= 3.1
BuildRequires: gem(gstreamer) >= 4.0.2
BuildRequires: gem(gtk3) >= 4.0.2
BuildRequires: gem(htmlentities) >= 4.3
BuildRequires: gem(image_size) >= 3.0
BuildRequires: gem(marc) >= 1.0
BuildRequires: gem(nokogiri) >= 1.11
BuildRequires: gem(psych) >= 3.2
BuildRequires: gem(zoom) >= 0.5.0
BuildConflicts: gem(gnome_app_driver) >= 0.4
BuildConflicts: gem(rubocop) >= 2
BuildConflicts: gem(rubocop-i18n) >= 4
BuildConflicts: gem(rubocop-performance) >= 2
BuildConflicts: gem(rubocop-rake) >= 1
BuildConflicts: gem(rubocop-rspec) >= 3
BuildConflicts: gem(webmock) >= 4
BuildConflicts: gem(yard) >= 1
BuildConflicts: gem(gettext) >= 4
BuildConflicts: gem(gstreamer) >= 5
BuildConflicts: gem(gtk3) >= 5
BuildConflicts: gem(htmlentities) >= 5
BuildConflicts: gem(image_size) >= 4
BuildConflicts: gem(marc) >= 1.3
BuildConflicts: gem(nokogiri) >= 2
BuildConflicts: gem(psych) >= 6
BuildConflicts: gem(zoom) >= 0.6
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_use_gem_dependency rubocop >= 1.15.0,rubocop < 2
%ruby_use_gem_dependency rubocop-rspec >= 2.4.0,rubocop-rspec < 3
%ruby_use_gem_dependency rubocop-performance >= 1.11.3,rubocop-performance < 2
%ruby_use_gem_dependency rubocop-rake >= 0.6.0,rubocop-rake < 1
%ruby_use_gem_dependency yard >= 0.9.34,yard < 1
%ruby_use_gem_dependency gstreamer >= 4.1,gstreamer < 5
%ruby_use_gem_dependency gtk3 >= 4.1,gtk3 < 5
%ruby_use_gem_dependency psych >= 4.0,psych < 6
Requires:      gem(gettext) >= 3.1
Requires:      gem(gstreamer) >= 4.0.2
Requires:      gem(gtk3) >= 4.0.2
Requires:      gem(htmlentities) >= 4.3
Requires:      gem(image_size) >= 3.0
Requires:      gem(marc) >= 1.0
Requires:      gem(nokogiri) >= 1.11
Requires:      gem(psych) >= 3.2
Requires:      gem(zoom) >= 0.5.0
Requires:      alexandria
Conflicts:     gem(gettext) >= 4
Conflicts:     gem(gstreamer) >= 5
Conflicts:     gem(gtk3) >= 5
Conflicts:     gem(htmlentities) >= 5
Conflicts:     gem(image_size) >= 4
Conflicts:     gem(marc) >= 1.3
Conflicts:     gem(nokogiri) >= 2
Conflicts:     gem(psych) >= 6
Conflicts:     gem(zoom) >= 0.6
Provides:      gem(alexandria-book-collection-manager) = 0.7.10

%description
Alexandria is a GNOME application to help you manage your book
collection.

Alexandria:
* retrieves book information from Amazon (including cover pictures)
* saves data using the YAML format
* features an HIG-compliant user interface
* shows books in different views (standard list or icons list).


%package       -n alexandria
Version:       0.7.10
Release:       alt1.3
Summary:       Alexandria is a GNOME application to help you manage your book collection executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета alexandria-book-collection-manager
Group:         Books/Other
BuildArch:     noarch

Requires:      gem(alexandria-book-collection-manager) = 0.7.10
Requires:      /usr/bin/update-desktop-database
Requires:      /usr/sbin/update-menus
Requires:      GConf

%description   -n alexandria
Alexandria is a GNOME application to help you manage your book collection
executable(s).

%description   -n alexandria -l ru_RU.UTF-8
Исполнямка для самоцвета alexandria-book-collection-manager.


%package       -n gem-alexandria-book-collection-manager-doc
Version:       0.7.10
Release:       alt1.3
Summary:       Alexandria is a GNOME application to help you manage your book collection documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета alexandria-book-collection-manager
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(alexandria-book-collection-manager) = 0.7.10

%description   -n gem-alexandria-book-collection-manager-doc
Alexandria is a GNOME application to help you manage your book collection
documentation files.

%description   -n gem-alexandria-book-collection-manager-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета alexandria-book-collection-manager.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir

%files         -n alexandria
%doc README.md
%_bindir/alexandria
%_mandir/alexandria.1.xz

%files         -n gem-alexandria-book-collection-manager-doc
%doc README.md
%ruby_gemdocdir


%changelog
