%define        _unpackaged_files_terminate_build 1
%def_enable    check
%def_enable    doc
%def_enable    devel
%define        gemname libxml-ruby

Name:          gem-libxml-ruby
Version:       5.0.2
Release:       alt1
Summary:       Ruby language bindings for the GNOME Libxml2 XML toolkit
License:       MIT
Group:         Development/Ruby
Url:           http://xml4r.github.io/libxml-ruby
Vcs:           https://github.com/xml4r/libxml-ruby.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
Patch:         libxml-ruby-original-source.patch
BuildRequires(pre): rpm-build-ruby
BuildRequires: libxml2-devel
BuildRequires: zlib-devel
%if_enabled check
BuildRequires: gem(rake-compiler) >= 0
BuildRequires: gem(minitest) >= 0
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     libxml-ruby < %EVR
Provides:      libxml-ruby = %EVR
Provides:      gem(libxml-ruby) = 5.0.2


%description
The LibXML/Ruby project provides Ruby language bindings for the GNOME Libxml2
XML toolkit.


%if_enabled    doc
%package       -n gem-libxml-ruby-doc
Version:       5.0.2
Release:       alt1
Summary:       Ruby language bindings for the GNOME Libxml2 XML toolkit documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета libxml-ruby
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(libxml-ruby) = 5.0.2
Obsoletes:     libxml-ruby-doc < %EVR
Provides:      libxml-ruby-doc = %EVR

%description   -n gem-libxml-ruby-doc
Ruby language bindings for the GNOME Libxml2 XML toolkit documentation files.

%description   -n gem-libxml-ruby-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета libxml-ruby.
%endif


%if_enabled    devel
%package       -n gem-libxml-ruby-devel
Version:       5.0.2
Release:       alt1
Summary:       Ruby language bindings for the GNOME Libxml2 XML toolkit development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета libxml-ruby
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(libxml-ruby) = 5.0.2
Requires:      gem(rake-compiler) >= 0
Requires:      gem(minitest) >= 0

%description   -n gem-libxml-ruby-devel
Ruby language bindings for the GNOME Libxml2 XML toolkit development package.

%description   -n gem-libxml-ruby-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета libxml-ruby.
%endif


%prep
%setup
%autopatch
rm -rf log

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.rdoc
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%if_enabled    doc
%files         -n gem-libxml-ruby-doc
%doc README.rdoc
%ruby_gemdocdir
%endif

%if_enabled    devel
%files         -n gem-libxml-ruby-devel
%doc README.rdoc
%ruby_includedir/*
%endif


%changelog
