%define        _unpackaged_files_terminate_build 1
%def_disable   check
%def_enable    doc
%def_enable    devel
%define        gemname puma

Name:          gem-puma
Version:       6.4.3
Release:       alt1
Summary:       A Ruby/Rack web server built for concurrency
License:       BSD-3-Clause
Group:         Networking/WWW
Url:           https://github.com/puma/puma
Vcs:           https://github.com/puma/puma.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
%if_enabled check
BuildRequires: gem(rake-compiler) >= 1.1.2
BuildRequires: gem(json) >= 2.3
BuildRequires: gem(nio4r) >= 2.3
BuildRequires: gem(minitest) >= 5.11
BuildRequires: gem(minitest-retry) >= 0
BuildRequires: gem(minitest-proveit) >= 0
BuildRequires: gem(minitest-stub-const) >= 0
BuildRequires: gem(rack) >= 2.2
BuildRequires: gem(rackup) >= 0
BuildRequires: gem(rubocop) >= 0
BuildRequires: gem(rubocop-performance) >= 0
BuildRequires: gem(m) >= 0
BuildRequires: gem(localhost) >= 0
BuildConflicts: gem(rake-compiler) >= 2
BuildConflicts: gem(json) >= 3
BuildConflicts: gem(nio4r) > 2.0
BuildConflicts: gem(minitest) >= 6
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_use_gem_dependency rake-compiler >= 1.1.2,rake-compiler < 2
%ruby_ignore_names cgi_multipart_eof_fix,gem_plugin,(?-mix:mongrel_),fastthread,(?-mix:project)
Requires:      gem(nio4r) >= 2.3
Conflicts:     gem(nio4r) >= 3
Provides:      gem(puma) = 6.4.3


%description
Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
Ruby/Rack applications in development and production.


%package       -n puma
Version:       6.4.3
Release:       alt1
Summary:       A Ruby/Rack web server built for concurrency executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета puma
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(puma) = 6.4.3

%description   -n puma
A Ruby/Rack web server built for concurrency executable(s).

Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
Ruby/Rack applications in development and production.

%description   -n puma -l ru_RU.UTF-8
Исполнямка для самоцвета puma.


%if_enabled    doc
%package       -n gem-puma-doc
Version:       6.4.3
Release:       alt1
Summary:       A Ruby/Rack web server built for concurrency documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета puma
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(puma) = 6.4.3
Obsoletes:     puma-doc
Provides:      puma-doc

%description   -n gem-puma-doc
A Ruby/Rack web server built for concurrency documentation files.

Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
Ruby/Rack applications in development and production.

%description   -n gem-puma-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета puma.
%endif


%if_enabled    devel
%package       -n gem-puma-devel
Version:       6.4.3
Release:       alt1
Summary:       A Ruby/Rack web server built for concurrency development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета puma
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(puma) = 6.4.3
Requires:      gem(rake-compiler) >= 1.1.2
Requires:      gem(json) >= 2.3
Requires:      gem(minitest) >= 5.11
Requires:      gem(minitest-retry) >= 0
Requires:      gem(minitest-proveit) >= 0
Requires:      gem(minitest-stub-const) >= 0
Requires:      gem(rack) >= 2.2
Requires:      gem(rackup) >= 0
Requires:      gem(rubocop) >= 0
Requires:      gem(rubocop-performance) >= 0
Requires:      gem(m) >= 0
Requires:      gem(localhost) >= 0
Requires:      libssl-devel
Conflicts:     gem(rake-compiler) >= 2
Conflicts:     gem(json) >= 3
Conflicts:     gem(minitest) >= 6
Obsoletes:     puma-devel < %EVR
Provides:      puma-devel = %EVR

%description   -n gem-puma-devel
A Ruby/Rack web server built for concurrency development package.

Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
Ruby/Rack applications in development and production.

%description   -n gem-puma-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета puma.
%endif


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.md
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n puma
%doc README.md
%_bindir/puma
%_bindir/pumactl

%if_enabled    doc
%files         -n gem-puma-doc
%doc README.md
%ruby_gemdocdir
%endif

%if_enabled    devel
%files         -n gem-puma-devel
%doc README.md
%ruby_includedir/*
%endif


%changelog
