%define        _unpackaged_files_terminate_build 1
%define        gemname raindrops

Name:          gem-raindrops
Version:       0.20.1
Release:       alt1.1
Summary:       real-time stats for preforking Rack servers
License:       LGPL-2.1+
Group:         Development/Ruby
Url:           http://raindrops.bogomips.org/
Vcs:           git://bogomips.org/raindrops.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
%if_with check
BuildRequires: gem(aggregate) >= 0.2
BuildRequires: gem(test-unit) >= 3.0
BuildRequires: gem(posix_mq) >= 2.0
BuildRequires: gem(rack) >= 1.2
BuildConflicts: gem(aggregate) >= 1
BuildConflicts: gem(test-unit) >= 4
BuildConflicts: gem(posix_mq) >= 3
BuildConflicts: gem(rack) >= 4
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
%ruby_use_gem_dependency rack >= 3.0.10,rack < 4
Obsoletes:     ruby-raindrops < %EVR
Provides:      ruby-raindrops = %EVR
Provides:      gem(raindrops) = 0.20.1


%description
Raindrops is a real time stats package to show statistics for Rack HTTP servers.
It is designed for preforking servers such as Rainbows! and Unicorn, but should
support any Rack HTTP server under Ruby and possibly Rubinius (untested) on
platforms supporting POSIX shared memory and compiled with GCC (for atomic
builtins). Raindrops includes a Struct-like Raindrops::Struct class that may be
used standalone to create atomic counters shared across any number of forked
processes under SMP.


%package       -n gem-raindrops-doc
Version:       0.20.1
Release:       alt1.1
Summary:       real-time stats for preforking Rack servers documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета raindrops
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(raindrops) = 0.20.1

%description   -n gem-raindrops-doc
real-time stats for preforking Rack servers documentation files.

Raindrops is a real time stats package to show statistics for Rack HTTP servers.
It is designed for preforking servers such as Rainbows! and Unicorn, but should
support any Rack HTTP server under Ruby and possibly Rubinius (untested) on
platforms supporting POSIX shared memory and compiled with GCC (for atomic
builtins). Raindrops includes a Struct-like Raindrops::Struct class that may be
used standalone to create atomic counters shared across any number of forked
processes under SMP.

%description   -n gem-raindrops-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета raindrops.


%package       -n gem-raindrops-devel
Version:       0.20.1
Release:       alt1.1
Summary:       real-time stats for preforking Rack servers development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета raindrops
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(raindrops) = 0.20.1
Requires:      gem(aggregate) >= 0.2
Requires:      gem(test-unit) >= 3.0
Requires:      gem(posix_mq) >= 2.0
Requires:      gem(rack) >= 1.2
Conflicts:     gem(aggregate) >= 1
Conflicts:     gem(test-unit) >= 4
Conflicts:     gem(posix_mq) >= 3
Conflicts:     gem(rack) >= 4

%description   -n gem-raindrops-devel
real-time stats for preforking Rack servers development package.

Raindrops is a real time stats package to show statistics for Rack HTTP servers.
It is designed for preforking servers such as Rainbows! and Unicorn, but should
support any Rack HTTP server under Ruby and possibly Rubinius (untested) on
platforms supporting POSIX shared memory and compiled with GCC (for atomic
builtins). Raindrops includes a Struct-like Raindrops::Struct class that may be
used standalone to create atomic counters shared across any number of forked
processes under SMP.

%description   -n gem-raindrops-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета raindrops.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n gem-raindrops-doc
%doc README
%ruby_gemdocdir

%files         -n gem-raindrops-devel
%doc README
%ruby_includedir/*


%changelog
