%define        _unpackaged_files_terminate_build 1
%define        gemname rake

Name:          gem-rake
Version:       13.1.0
Release:       alt1.1
Summary:       Ruby based make-like utility
License:       MIT
Group:         Development/Ruby
Url:           https://ruby.github.io/rake/
Vcs:           https://github.com/ruby/rake.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>
BuildArch:     noarch

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
%if_with check
BuildRequires: gem(minitest) >= 0
BuildRequires: gem(coveralls) >= 0
BuildRequires: gem(rubocop) >= 0
%endif

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Provides:      gem(rake) = 13.1.0

%description
Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.

%description         -l ru_RU.UTF-8
Rake есть Make-подобная утилита и набор модулей, исполненные на рубине. Задачи и
зависимости описываются в рядовом правописании рубина.


%package       -n rake
Version:       13.1.0
Release:       alt1.1
Summary:       Ruby based make-like utility executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета rake
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(rake) = 13.1.0

%description   -n rake
Ruby based make-like utility executable(s).

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.

%description   -n rake -l ru_RU.UTF-8
Исполнямка для самоцвета rake.


%package       -n gem-rake-doc
Version:       13.1.0
Release:       alt1.1
Summary:       Ruby based make-like utility documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета rake
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(rake) = 13.1.0

%description   -n gem-rake-doc
Ruby based make-like utility documentation files.

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.

%description   -n gem-rake-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета rake.


%package       -n gem-rake-devel
Version:       13.1.0
Release:       alt1.1
Summary:       Ruby based make-like utility development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета rake
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(rake) = 13.1.0
Requires:      gem(minitest) >= 0
Requires:      gem(coveralls) >= 0
Requires:      gem(rubocop) >= 0

%description   -n gem-rake-devel
Ruby based make-like utility development package.

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.

%description   -n gem-rake-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета rake.


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.rdoc
%ruby_gemspec
%ruby_gemlibdir

%files         -n rake
%doc README.rdoc
%_bindir/rake
%ruby_mandir/rake.1.xz

%files         -n gem-rake-doc
%doc README.rdoc
%ruby_gemdocdir

%files         -n gem-rake-devel
%doc README.rdoc


%changelog
