%define        _unpackaged_files_terminate_build 1
%def_enable    check
%def_enable    doc
%def_enable    devel
%define        gemname rdiscount

Name:          gem-rdiscount
Version:       2.2.7.3
Release:       alt1
Summary:       Discount (For Ruby) Implementation of John Gruber's Markdown
License:       BSD-3-Clause
Group:         Development/Ruby
Url:           http://dafoster.net/projects/rdiscount/
Vcs:           https://github.com/davidfstr/rdiscount.git
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Provides:      gem(rdiscount) = 2.2.7.3


%description
Discount is an implementation of John Gruber's Markdown markup language in C. It
implements all of the language described in the markdown syntax document and
passes the Markdown 1.0 test suite.


%package       -n rdiscount
Version:       2.2.7.3
Release:       alt1
Summary:       Discount (For Ruby) Implementation of John Gruber's Markdown executable(s)
Summary(ru_RU.UTF-8): Исполнямка для самоцвета rdiscount
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(rdiscount) = 2.2.7.3

%description   -n rdiscount
Discount (For Ruby) Implementation of John Gruber's Markdown
executable(s).

Discount is an implementation of John Gruber's Markdown markup language in C. It
implements all of the language described in the markdown syntax document and
passes the Markdown 1.0 test suite.

%description   -n rdiscount -l ru_RU.UTF-8
Исполнямка для самоцвета rdiscount.


%if_enabled    doc
%package       -n gem-rdiscount-doc
Version:       2.2.7.3
Release:       alt1
Summary:       Discount (For Ruby) Implementation of John Gruber's Markdown documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета rdiscount
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(rdiscount) = 2.2.7.3

%description   -n gem-rdiscount-doc
Discount (For Ruby) Implementation of John Gruber's Markdown documentation
files.

Discount is an implementation of John Gruber's Markdown markup language in C. It
implements all of the language described in the markdown syntax document and
passes the Markdown 1.0 test suite.

%description   -n gem-rdiscount-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета rdiscount.
%endif


%if_enabled    devel
%package       -n gem-rdiscount-devel
Version:       2.2.7.3
Release:       alt1
Summary:       Discount (For Ruby) Implementation of John Gruber's Markdown development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета rdiscount
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(rdiscount) = 2.2.7.3
Conflicts:     libsexpr-devel
Conflicts:     libbobpp-devel
Conflicts:     libdiscount-devel
Conflicts:     libpicosat-devel

%description   -n gem-rdiscount-devel
Discount (For Ruby) Implementation of John Gruber's Markdown development
package.

Discount is an implementation of John Gruber's Markdown markup language in C. It
implements all of the language described in the markdown syntax document and
passes the Markdown 1.0 test suite.

%description   -n gem-rdiscount-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета rdiscount.
%endif


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README.markdown
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%files         -n rdiscount
%doc README.markdown
%_bindir/rdiscount
%_mandir/markdown.7.xz
%_mandir/rdiscount.1.xz

%if_enabled    doc
%files         -n gem-rdiscount-doc
%doc README.markdown
%ruby_gemdocdir
%endif

%if_enabled    devel
%files         -n gem-rdiscount-devel
%doc README.markdown
%ruby_includedir/*
%endif


%changelog
