%define        _unpackaged_files_terminate_build 1
%def_enable    check
%def_enable    doc
%def_enable    devel
%define        gemname ruby-odbc

Name:          gem-ruby-odbc
Version:       0.999991
Release:       alt1
Summary:       ODBC extension for Ruby
License:       GPLv2 or Ruby
Group:         Development/Ruby
Url:           http://www.ch-werner.de/rubyodbc
Packager:      Ruby Maintainers Team <ruby@packages.altlinux.org>

Source:        %name-%version.tar
BuildRequires(pre): rpm-build-ruby
BuildRequires: libunixODBC-devel

%add_findreq_skiplist %ruby_gemslibdir/**/*
%add_findprov_skiplist %ruby_gemslibdir/**/*
Obsoletes:     ruby-odbc < %EVR
Provides:      ruby-odbc = %EVR
Provides:      gem(ruby-odbc) = 0.999991


%description
This is an ODBC binding for Ruby. So far it has been tested with
 - Ruby 1.[6-8], MySQL 3.22/MyODBC (local), unixODBC 2.1.0 on Linux 2.2-x86
 - Ruby 1.6.4, MySQL 3.22/MyODBC (local), libiodbc 2.50 on Linux 2.2-x86
 - Ruby 1.[6-8], MySQL 3.22/MyODBC (remote), MS Jet Engine, MSVC++ 6.0
   on Windows NT4SP6
 - Ruby 1.6.[3-5], MySQL 3.22/MyODBC (remote), MS Jet Engine, cygwin,
   on Windows NT4SP6 and 2000
 - Ruby 1.8.4, SQLite/ODBC 0.67, libiodbc 3.52.4 on Fedora Core 3 x86


%if_enabled    doc
%package       -n gem-ruby-odbc-doc
Version:       0.999991
Release:       alt1
Summary:       ODBC extension for Ruby documentation files
Summary(ru_RU.UTF-8): Файлы сведений для самоцвета ruby-odbc
Group:         Development/Documentation
BuildArch:     noarch

Requires:      gem(ruby-odbc) = 0.999991

%description   -n gem-ruby-odbc-doc
ODBC extension for Ruby documentation files.

This is an ODBC binding for Ruby. So far it has been tested with
 - Ruby 1.[6-8], MySQL 3.22/MyODBC (local), unixODBC 2.1.0 on Linux 2.2-x86
 - Ruby 1.6.4, MySQL 3.22/MyODBC (local), libiodbc 2.50 on Linux 2.2-x86
 - Ruby 1.[6-8], MySQL 3.22/MyODBC (remote), MS Jet Engine, MSVC++ 6.0
   on Windows NT4SP6
 - Ruby 1.6.[3-5], MySQL 3.22/MyODBC (remote), MS Jet Engine, cygwin,
   on Windows NT4SP6 and 2000
 - Ruby 1.8.4, SQLite/ODBC 0.67, libiodbc 3.52.4 on Fedora Core 3 x86

%description   -n gem-ruby-odbc-doc -l ru_RU.UTF-8
Файлы сведений для самоцвета ruby-odbc.
%endif


%if_enabled    devel
%package       -n gem-odbc-devel
Version:       0.999991
Release:       alt1
Summary:       ODBC extension for Ruby development package
Summary(ru_RU.UTF-8): Файлы для разработки самоцвета ruby-odbc
Group:         Development/Ruby
BuildArch:     noarch

Requires:      gem(ruby-odbc) = 0.999991

%description   -n gem-odbc-devel
ODBC extension for Ruby development package.

This is an ODBC binding for Ruby. So far it has been tested with
 - Ruby 1.[6-8], MySQL 3.22/MyODBC (local), unixODBC 2.1.0 on Linux 2.2-x86
 - Ruby 1.6.4, MySQL 3.22/MyODBC (local), libiodbc 2.50 on Linux 2.2-x86
 - Ruby 1.[6-8], MySQL 3.22/MyODBC (remote), MS Jet Engine, MSVC++ 6.0
   on Windows NT4SP6
 - Ruby 1.6.[3-5], MySQL 3.22/MyODBC (remote), MS Jet Engine, cygwin,
   on Windows NT4SP6 and 2000
 - Ruby 1.8.4, SQLite/ODBC 0.67, libiodbc 3.52.4 on Fedora Core 3 x86

%description   -n gem-odbc-devel -l ru_RU.UTF-8
Файлы для разработки самоцвета ruby-odbc.
%endif


%prep
%setup

%build
%ruby_build

%install
%ruby_install

%check
%ruby_test

%files
%doc README
%ruby_gemspec
%ruby_gemlibdir
%ruby_gemextdir

%if_enabled    doc
%files         -n gem-ruby-odbc-doc
%doc README
%ruby_gemdocdir
%endif

%if_enabled    devel
%files         -n gem-odbc-devel
%doc README
%endif


%changelog
