%define _name resynthesizer

%define gimpplugindir %(gimptool-2.0 --gimpplugindir)
%define gimpdatadir %(gimptool-2.0 --gimpdatadir)

Name: gimp-plugin-%_name
Version: 2.0.3
Release: alt4

Summary: Gimp plug-in for manipulating textures
License: GPLv3+
Group: Graphics
Url: https://github.com/bootchk/resynthesizer

#Original author's version was at http://logarithmic.net/pfh/resynthesizer
Vcs: https://github.com/bootchk/resynthesizer.git
Source: %_name-%version.tar

Requires: gimp

BuildRequires(pre): rpm-build-python python2-base
BuildRequires: intltool libgimp-devel python2-base

%description
Resynthesizer is a Gimp plug-in that when given a sample of a texture can
synthesize more of that texture. It can also be used to create tiling patterns,
to remove an object from am image by inventing a plausable background, or to
apply a theme to an image (for example to make an image look as though it were
painted).

%prep
%setup -n %_name-%version
# http://gcc.gnu.org/onlinedocs/gcc/Variable-Length.html
# http://stackoverflow.com/questions/26256533/iso-c-forbids-forward-parameter-declaration
sed -i '/ThreadedProgressRecord/{:a;n;s/mutexProgress;/mutexProgress/;ba}' lib/progress.h
sed -i 's|\(#!/usr/bin/\)env \(python\)|\1\22|' PluginScripts/*

%build
%autoreconf
%configure PYTHON=python2
%make_build

%install
%makeinstall_std
%find_lang %_name

%files -f %_name.lang
%gimpplugindir/plug-ins/*
%_datadir/%_name
%doc README.md NEWS

%changelog
