%define _metadir %_datadir/metainfo

Name: glaxnimate
Version: 0.5.4
Release: alt2

Summary: A simple vector graphics animation program
License: BSD-2-Clause and CC-BY-SA-4.0 and CC0-1.0 and GPL-3.0-or-later and Unicode-TOU
Group: Graphics

Url: https://glaxnimate.mattbas.org/
Source: https://gitlab.com/mattbas/glaxnimate.git/%version/glaxnimate-%version.tar.bz2
Patch: glaxnimate-0.5.1-qt6.patch
Packager: Artyom Bystrov <arbars@altlinux.org>

BuildRequires: libarchive-devel
BuildRequires: libavcodec-devel
BuildRequires: libavformat-devel
BuildRequires: libavutil-devel
BuildRequires: libglvnd-devel
BuildRequires: libpotrace-devel
BuildRequires: python3-dev
BuildRequires: libstdc++-devel
BuildRequires: libswscale-devel
BuildRequires: zlib-devel
BuildRequires: qt6-base-devel
BuildRequires: qt6-svg-devel qt6-svg
BuildRequires: qt6-tools-devel
BuildRequires: cmake rpm-macros-cmake
Requires: icon-theme-breeze 

%description
A simple vector graphics animation program.


%prep
%setup
%patch0 -p1

%ifarch %e2k
sed -i 's/ch\.unicode()/(ushort)&/' src/core/io/svg/path_parser.hpp
sed -i "s/push_back('\\\\0')/push_back((QChar)'\\\\0')/" \
	src/core/io/avd/avd_parser.cpp
%endif

%build
%cmake
%cmake_build
%make_build translations -C %_cmake__builddir

%install
%cmakeinstall_std

%files
%_bindir/glaxnimate
%_desktopdir/org.mattbas.Glaxnimate.desktop
%dir %_datadir/glaxnimate
%dir %_datadir/glaxnimate/glaxnimate
%_datadir/glaxnimate/glaxnimate/*
%_iconsdir/hicolor/*/apps/org.mattbas.Glaxnimate.png
%_iconsdir/hicolor/512x512/apps/glaxnimate.png
%_iconsdir/hicolor/scalable/apps/org.mattbas.Glaxnimate.svg
%_iconsdir/hicolor/scalable/apps/glaxnimate.svg
%_metadir/org.mattbas.Glaxnimate.metainfo.xml
%doc *.md

%changelog
