%def_enable snapshot

%define _unpackaged_files_terminate_build 1
%define ver_major 41
%define beta %nil
%define xdg_name org.gnome.Screenshot

Name: gnome-screenshot
Version: %ver_major.0
Release: alt2%beta

Summary: The GNOME Screenshot Tool
Group: Graphical desktop/GNOME
License: GPLv2+
Url: https://gitlab.gnome.org/GNOME/gnome-screenshot

%if_disabled snapshot
Source: %gnome_ftp/%name/%ver_major/%name-%version%beta.tar.xz
%else
Source: %name-%version%beta.tar
%endif

%define glib_ver 2.36
%define gtk_ver 3.12
%define handy_ver 1.5.0

BuildRequires(pre): rpm-macros-meson rpm-build-gnome
BuildRequires: meson libgio-devel >= %glib_ver
BuildRequires: libgtk+3-devel >= %gtk_ver libcanberra-gtk3-devel
BuildRequires: libX11-devel libXext-devel
BuildRequires: pkgconfig(libhandy-1) >= %handy_ver
BuildRequires: %_bindir/appstream-util

%description
GNOME Screenshot Tool makes screenshots from desktop.

%prep
%setup -n %name-%version%beta

%build
%meson
%meson_build

%install
%meson_install
%find_lang %name

%files -f %name.lang
%_bindir/%name
%_desktopdir/%xdg_name.desktop
%_datadir/dbus-1/services/%xdg_name.service
%_datadir/glib-2.0/schemas/org.gnome.%name.gschema.xml
%_iconsdir/hicolor/*/*/%{xdg_name}*.svg
%_datadir/metainfo/%xdg_name.metainfo.xml
%_man1dir/%name.1.*
%doc NEWS README*

%changelog
