%def_enable snapshot
%def_disable check

Name: gsmartcontrol
Version: 2.0.0
Release: alt1

Summary: GSmartControl - Hard disk drive and SSD health inspection tool
Group: Monitoring
License: GPL-3.0-only
Url: https://gsmartcontrol.sourceforge.io/home/

Vcs: https://github.com/ashaduri/gsmartcontrol.git

%if_disabled snapshot
#Source: http://download.sourceforge.net/%name/%name-%version.tar.bz2
Source: https://github.com/ashaduri/gsmartcontrol/archive/v%version/%name-%version.tar.gz
%else
Source: %name-%version.tar
%endif

Requires: smartmontools >= 7.4 polkit

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake gcc-c++ libgtkmm3-devel >= 3.4.0

%description
GSmartControl is a graphical user interface for smartctl (from
Smartmontools package), which is a tool for querying and controlling
SMART (Self-Monitoring, Analysis, and Reporting Technology) data on
modern hard disk drives. It allows you to inspect the drive's SMART data
to determine its health, as well as run various tests on it.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%cmake_build -t test

%files
%_sbindir/%name
%_bindir/%name-root
%_datadir/%name/
%_datadir/polkit-1/actions/org.%name.policy
%_iconsdir/hicolor/*x*/apps/%name.png
%_man1dir/*.1*
%_desktopdir/%name.desktop
%_datadir/metainfo/%name.appdata.xml
%_defaultdocdir/%name/
%exclude %_defaultdocdir/%name/LICENSE*

%changelog
