%define _unpackaged_files_terminate_build 1

Name:    gwe
Version: 0.15.9
Release: alt1

Summary: System utility designed to provide information, control the fans and overclock your NVIDIA card
License: GPL-3.0
Group:   Other
Url:     https://gitlab.com/leinardi/gwe

Packager: Andrey Cherepanov <cas@altlinux.org>

Source:   %name-%version.tar
# https://gitlab.com/leinardi/gwe/-/merge_requests/73
Patch1: remove-distutils-for-python-3.12.patch

BuildArch: noarch

BuildRequires(pre): meson
BuildRequires(pre): cmake
BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-build-gir
BuildRequires: gobject-introspection-devel

Requires: typelib(Notify)
Requires: python3(sqlite3)

%add_python3_req_skip gi.repository.GObject

# require typelib(AyatanaAppIndicator3) instead typelib(AppIndicator3)
%add_typelib_req_skiplist typelib(AppIndicator3)

%description
GWE is a GTK system utility designed to provide information, control the fans
and overclock your NVIDIA video card and graphics processor.

%prep
%setup
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc *.md
%_bindir/gwe
%python3_sitelibdir/gwe
%_desktopdir/*.desktop
%_datadir/metainfo/*.appdata.xml
%_datadir/dbus-1/services/*.service
%_datadir/glib-2.0/schemas/*.gschema.xml
%_datadir/gwe
%_iconsdir/hicolor/*/apps/*.png
%_iconsdir/hicolor/symbolic/apps/*.svg

%changelog
