Epoch: 0
Group: Development/Java
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-default
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           jdepend
Version:        2.10
Release:        alt1_3jpp11
Summary:        Java Design Quality Metrics
License:        MIT
URL:            https://github.com/clarkware/jdepend
BuildArch:      noarch

Source0:        https://github.com/clarkware/jdepend/archive/refs/tags/2.10.tar.gz#/jdepend-2.10.tar.gz

BuildRequires:  ant
BuildRequires:  javapackages-local

# demo subpackages was removed in Fedora 37
Obsoletes:      %{name}-demo < 2.10
Source44: import.info

%description
JDepend traverses a set of Java class and source file directories and
generates design quality metrics for each Java package. JDepend allows
you to automatically measure the quality of a design in terms of its
extensibility, reusability, and maintainability to effectively manage
and control package dependencies.

%package javadoc
Group: Development/Java
Summary:        Javadoc for %{name}
BuildArch: noarch

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
# remove all binary libs
find . -name "*.jar" -delete
# fix strange permissions
find . -type d -exec chmod 755 {} \;

%mvn_file %{name}:%{name} %{name}

%build
ant -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8  -Dant.build.javac.source=1.7 -Dant.build.javac.target=1.7 jar javadoc

%install
%mvn_artifact jdepend:jdepend:%{version} dist/%{name}-%{version}.jar
%mvn_install -J build/docs/api

%files -f .mfiles
%doc README.md CHANGELOG.md docs
%doc --no-dereference LICENSE.md

%files javadoc -f .mfiles-javadoc
%doc --no-dereference LICENSE.md

%changelog
