Epoch: 0
Group: Development/Other
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-default
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           jfreechart
Version:        1.5.4
Release:        alt1_2jpp11
Summary:        A 2D chart library for Java applications (JavaFX, Swing or server-side)
License:        LGPLv2+
URL:            https://www.jfree.org/jfreechart
BuildArch:      noarch

Source0:        https://github.com/jfree/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:servlet-api)
# need apiguardian-api until Fedora releases junit >= 5.8.0 (1)
# link:
# https://junit.org/junit5/docs/5.8.0/release-notes/index.html#deprecations-and-breaking-changes
# https://junit.org/junit5/docs/5.8.0/release-notes/index.html#new-features-and-improvements
BuildRequires:  mvn(org.apiguardian:apiguardian-api)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-engine)
Source44: import.info

%description
JFreeChart is a comprehensive free chart library for the Java platform that can
be used on the client-side (JavaFX and Swing) or the server side (with export to
multiple formats including SVG, PNG and PDF).

%{?javadoc_package}

%prep
%setup -q


# (1)
%pom_add_dep org.apiguardian:apiguardian-api:1.1.1

%build
%mvn_build -f -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8 -Dmaven.javadoc.source=1.8 -Dmaven.compiler.release=8 -Dmaven.compiler.release=8

%install
%mvn_install

%files -f .mfiles
%doc --no-dereference licence-LGPL.txt
%doc README.md

%changelog
