Epoch: 0
Group: Development/Other
BuildRequires: /proc rpm-build-java
BuildRequires: jpackage-default
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           joni
Version:        2.1.43
Release:        alt1_3jpp11
Summary:        Java port of Oniguruma regexp library
License:        MIT
URL:            https://github.com/jruby/%{name}
BuildArch:      noarch
Source0:        https://github.com/jruby/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.jruby.jcodings:jcodings)
Source44: import.info

%description
joni is a port of Oniguruma, a regular expressions library,
to java. It is used by jruby.

%{?javadoc_package}

%prep
# -n: base directory name
%setup -q -n %{name}-%{name}-%{version}

# delete precompiled jar and class files
find -type f '(' -iname '*.jar' -o -iname '*.class' ')' -print -delete
# Remove pointless parent pom
%pom_remove_parent
# Remove wagon extension
%pom_xpath_remove 'pom:build/pom:extensions'
# Remove plugins not relevant for downstream RPM builds
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8 -Dmaven.javadoc.source=1.8 -Dmaven.compiler.release=8 -Dmaven.compiler.release=8

%install
%mvn_install

%files -f .mfiles
%doc --no-dereference LICENSE
%doc README.md

%changelog
