# SPEC-file for jp2a
#
#

Name: jp2a
Version: 1.3.0
Release: alt1

Summary: an utility for converting JPEG images to ASCII
Summary(ru_RU.UTF-8): утилита для конвертации изображений JPEG в ASCII art

License: %gpl2only
Group: Text tools
URL: https://github.com/Talinx/jp2a
#URL: https://github.com/cslarsen/jp2a
#URL: http://jp2a.sourceforge.net/

Packager: Nikolay A. Fetisov <naf@altlinux.org>

Source0: %name-%version.tar
Patch0:  %name-%version-%release.patch

Source1: %name.1

BuildRequires(pre): rpm-build-licenses

# Automatically added by buildreq on Sun Oct 20 2024
# optimized out: glibc-kernheaders-generic glibc-kernheaders-x86 libgpg-error libp11-kit libsasl2-3 libtinfo-devel perl perl-parent pkg-config python-modules python2-base python3 python3-base sh5
BuildRequires: doxygen libcurl-devel libjpeg-devel libpng-devel libexif-devel libwebp-devel

BuildRequires: autoconf-archive

%description
jp2a is a small command-line utility for converting JPEG images
to ASCII art.

%description -l ru_RU.UTF-8
jp2a - небольшая утилита командной строки для конвертирования
изображений в формате JPEG в текcтовый вид ASCII art.

%define rman1dir %_mandir/ru/man1

%prep
%setup
%patch0 -p1

mv -f COPYING COPYING.GPL.orig
ln -s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING.GPL) COPYING.GPL

%build
%autoreconf
%configure
%make_build

%install
%makeinstall bashcompdir=%buildroot%_sysconfdir/bash_completion.d
install -pD -m0644 %SOURCE1 %buildroot%rman1dir/%name.1

%files
%doc AUTHORS ChangeLog README LICENSES
%doc --no-dereference COPYING.GPL
%_bindir/%name
%_man1dir/%{name}*
%rman1dir/%{name}*
%_sysconfdir/bash_completion.d/%name

#/usr/share/man/ru/man1/
%exclude %_datadir/zsh/site-functions/_jp2a

%changelog
