%define rname kdesu
%define kdesu_user _kdesu5
%define kdesu_user_dir %_localstatedir/%kdesu_user

Name: kf5-%rname
Version: 5.116.0
Release: alt2
%K5init altplace

Group: System/Libraries
Summary: KDE Frameworks 5 user interface for running shell commands with root privileges
Url: http://www.kde.org
License: CC0-1.0 AND GPL-2.0-only AND LGPL-2.0-or-later AND LGPL-2.1-only AND LGPL-2.1-or-later AND LGPL-3.0-only AND LicenseRef-KDE-Accepted-LGPL

Source: %rname-%version.tar
Patch1: alt-fix-su-to-different-non-root-user.patch
Patch2: alt-export-vars.patch

# Automatically added by buildreq on Fri Feb 13 2015 (-bi)
# optimized out: cmake cmake-modules elfutils libICE-devel libSM-devel libX11-devel libXau-devel libXext-devel libXfixes-devel libXi-devel libXrender-devel libXt-devel libcloog-isl4 libqt5-core libqt5-dbus libqt5-gui libqt5-x11extras libqt5-xml libstdc++-devel python-base ruby ruby-stdlibs xorg-kbproto-devel xorg-xf86miscproto-devel xorg-xproto-devel
#BuildRequires: extra-cmake-modules gcc-c++ kf5-kconfig-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-ki18n-devel kf5-kpty-devel kf5-kservice-devel libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel libXdmcp-devel libXft-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libxkbfile-devel nss-ldapd python-module-google qt5-base-devel rpm-build-ruby
BuildRequires(pre): rpm-build-kf5 rpm-build-ubt
BuildRequires: extra-cmake-modules gcc-c++ qt5-base-devel
BuildRequires: kf5-kconfig-devel kf5-kcoreaddons-devel kf5-kdbusaddons-devel kf5-ki18n-devel
BuildRequires: kf5-kpty-devel kf5-kservice-devel
BuildRequires: libXScrnSaver-devel libXcomposite-devel libXcursor-devel libXdamage-devel
BuildRequires: libXdmcp-devel libXft-devel libXinerama-devel libXmu-devel libXpm-devel libXrandr-devel
BuildRequires: libXtst-devel libXv-devel libXxf86misc-devel libXxf86vm-devel libxkbfile-devel

%description
KDESU provides functionality for building GUI front ends for
(password asking) console mode programs. For example, kdesu and
kdessh use it to interface with su and ssh respectively.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n libkf5desu
Group: System/Libraries
Summary: KF5 library
Requires: %name-common = %version-%release
%description -n libkf5desu
KF5 library

%prep
%setup -n %rname-%version
%patch1 -p2
%patch2 -p1

%build
%K5build \
    -DKDESU_USE_SUDO_DEFAULT=OFF \
    #

%install
%K5install

mkdir -p %buildroot/%kdesu_user_dir

%find_lang %name --all-name
%K5find_qtlang %name --all-name

%pre -n libkf5desu
/usr/sbin/useradd -M -r -d %kdesu_user_dir -s /sbin/nologin -c 'KDE SU wrapper' %kdesu_user 2>/dev/null || :

%files common -f %name.lang
%doc LICENSES/* README.md
%_datadir/qlogging-categories5/*.*categories

%files devel
#%_K5inc/kdesu_version.h
%_K5inc/KDESu/
%_K5link/lib*.so
%_K5lib/cmake/KF5Su
%_K5archdata/mkspecs/modules/qt_KDESu.pri

%files -n libkf5desu
%attr(0750,root,%kdesu_user) %dir %kdesu_user_dir
%_K5exec/kdesu_stub
%attr(2711,root,%kdesu_user) %_K5exec/kdesud
%_K5lib/libKF5Su.so.*

%changelog
