# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(x11)
# END SourceDeps(oneline)
Group: System/Libraries
%add_optflags %optflags_shared
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           libXcm
Version:        0.5.3
Release:        alt1_20
Summary:        X Color Management Library
License:        MIT
URL:            http://www.oyranos.org
Source0:        http://downloads.sourceforge.net/oyranos/libXcm-%{version}.tar.bz2
BuildRequires:  ctest cmake
BuildRequires:  doxygen
BuildRequires:  graphviz libgraphviz
BuildRequires:  libtool
BuildRequires:  libXfixes-devel
BuildRequires:  libXmu-devel
BuildRequires:  xorg-proto-devel
BuildRequires:  xorg-util-macros
Source44: import.info
Patch33: libXcm-0.5.3-alt-linkage.patch

%description
The libXcm library is a reference implementation of the net-color spec.
It allows to attach color regions to X windows to communicate with color
servers.

%package        devel
Group: Development/C
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch33 -p1

%build
autoreconf -fisv
autoreconf -vif
%configure --disable-static --enable-shared
%make_build

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete -print



%files
%doc AUTHORS ChangeLog README
%doc --no-dereference COPYING
%{_libdir}/*.so.*

%files devel
%doc docs/*.txt
%{_libdir}/cmake/Xcm/
%{_includedir}/X11/Xcm/
%{_libdir}/*.so
%{_libdir}/pkgconfig/xcm*.pc
%{_mandir}/man3/*.3*

%changelog
