%def_disable static
%define _name discid

Name: lib%_name
Version: 0.6.4
Release: alt1

Summary: A Library for creating MusicBrainz DiscIDs
Group: System/Libraries
License: LGPL-2.1-or-later

Url: http://musicbrainz.org/doc/%name
Source: http://ftp.musicbrainz.org/pub/musicbrainz/%name/%name-%version.tar.gz

%description
This C library %name creates MusicBrainz DiscIDs from audio CDs. It
reads the table of contents (TOC) of a CD and generates an identifier
which can be used to lookup the CD at MusicBrainz. Additionally, it
provides a submission URL for adding the DiscID to the database.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %EVR

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %EVR

%description devel-static
Static libs for building statically linked software that uses %name.


%prep
%setup

%build
%add_optflags %(getconf LFS_CFLAGS)
%configure %{subst_enable static}
%make_build

%install
%makeinstall_std

%files
%_libdir/%name.so.*
%doc AUTHORS ChangeLog README

%files devel
%_includedir/%_name/
%_libdir/%name.so
%_pkgconfigdir/%name.pc

%if_enabled static
%files -n %name-devel-static
%_libdir/%name.a
%endif


%changelog
