%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

%define sover 4
Name:		libev4
Version:	4.33
Release:	alt3
Summary:	libev - an event notification library
License: BSD-2-Clause OR GPL-2.0-or-later
URL: http://software.schmorp.de/pkg/libev.html
Vcs: http://cvs.schmorp.de/libev/
Group:		System/Libraries

# Source-url: http://dist.schmorp.de/libev/libev-%version.tar.gz
Source:		%name-%version.tar
Source1:	libev.pc.in
Source2:	%name.watch

%description
The libev API provides a mechanism to execute a callback function when
a specific event occurs on a file descriptor or after a timeout has
been reached. It is meant to replace the asynchronous event loop found
in event-driven network servers.

%package -n libev-devel
Summary:	Header files for libev library
Group:		Development/C
Requires:	%name = %EVR

%description -n libev-devel
%summary.

%package -n libev-libevent-devel
Summary:	libevent compatibility header for libev library
Group:		Development/C
Requires:	libev-devel = %EVR
Conflicts: libevent-devel

%description -n libev-libevent-devel
The package contains libevent compatibility header, only core events supported.

%prep
%setup
# Add pkgconfig support
cp -p %{SOURCE1} .
sed -i.pkgconfig -e 's|Makefile|Makefile libev.pc|' configure.ac
sed -i.pkgconfig -e 's|lib_LTLIBRARIES|pkgconfigdir = $(libdir)/pkgconfig\n\npkgconfig_DATA = libev.pc\n\nlib_LTLIBRARIES|' Makefile.am

%build
%ifarch x86_64
%add_optflags -fanalyzer
%endif
%add_optflags %(getconf LFS_CFLAGS) -fno-strict-aliasing -Wno-unused -Wno-comment
%autoreconf
%configure --disable-static
%make_build

%install
%makeinstall

%files
%doc Changes LICENSE README
%_libdir/libev.so.%sover
%_libdir/libev.so.%sover.*

%files -n libev-devel
%_libdir/libev.so
%_includedir/ev.h
%_includedir/ev++.h
%_libdir/pkgconfig/libev.pc
%_man3dir/*

%files -n libev-libevent-devel
%_includedir/event.h

%changelog
