# BEGIN SourceDeps(oneline):
BuildRequires: swig
# END SourceDeps(oneline)
Group: System/Libraries
%add_optflags %optflags_shared
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           libitl
Version:        0.7.0 
Release:        alt3_26
Summary:        Libraries for The Islamic Tools and Libraries Project

License:        LGPLv2+
URL:            http://www.arabeyes.org/project.php?proj=ITL
Source0:        http://switch.dl.sourceforge.net/sourceforge/arabeyes/%{name}-%{version}.tar.gz

Patch0: %{name}-makefile-ld.patch
Patch1: %{name}-fedora-c99.patch
#BuildRequires:  autoconf

BuildRequires:  gcc
Source44: import.info
%description
The Islamic Tools and Libraries (ITL) is a project 
to provide a plethora of useful Islamic tools and 
applications as well as a comprehensive feature-full 
Islam-centric library. The ITL project currently 
includes Hijri date, Muslim prayer times, and Qibla. 

This package contains the libraries for applications using ITL

%package        devel
Group: Development/Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --disable-static
%make_build -j1


%install
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ $RPM_BUILD_ROOT/%{_includedir}/itl
cp build/libitl.so.0.0.7 $RPM_BUILD_ROOT/%{_libdir}/
ln -s libitl.so.0.0.7 $RPM_BUILD_ROOT/%{_libdir}/libitl.so.0
ln -s libitl.so.0.0.7 $RPM_BUILD_ROOT/%{_libdir}/libitl.so
cp prayertime/src/prayer.h hijri/src/hijri.h $RPM_BUILD_ROOT/%{_includedir}/itl/
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'






%files
%doc AUTHORS COPYING README
%{_libdir}/libitl.so.*

%files devel
%doc prayertime/doc/method-info.txt
%doc prayertime/README
%doc hijri/README
%{_libdir}/libitl.so
%{_includedir}/itl/


%changelog
