%define _unpackaged_files_terminate_build 1

Name: libmtxclient
Version: 0.9.2
Release: alt4

Summary: Client API library for the Matrix protocol, built on top of Boost.Asio

Group: Development/Other
License: MIT
Url: https://nheko.im/nheko-reborn/mtxclient.git

Source: %name-%version.tar
Patch0: 0001-Fix-build-on-GCC13.patch
Patch1: 0002-Fix-build-with-fmt-11.patch

BuildRequires: cmake gcc-c++ libstdc++-devel-static
BuildRequires: boost-asio-devel nlohmann-json-devel boost-signals-devel
BuildRequires: libgtest-devel libssl-devel zlib-devel
BuildRequires: libolm-devel libsodium-devel libspdlog-devel
BuildRequires: libevent-devel libcurl-devel libcoeurl-devel
BuildRequires: libre2-devel

%description
Client API library for the Matrix protocol, built on top of Boost.Asio.

%package devel
Summary: Development files for %name
Group: Development/Other
#Requires: %name = %version-%release

%description devel
Client API library for the Matrix protocol, built on top of Boost.Asio.

This package contains C++ header files for developing and the static
library.

%prep
%setup

%patch0 -p1
%patch1 -p1

%build
# Undefined references from_json/to_json:
%define optflags_lto %nil

%cmake -DUSE_BUNDLED_BOOST=OFF   \
       -DUSE_BUNDLED_SPDLOG=OFF  \
       -DUSE_BUNDLED_OLM=OFF     \
       -DUSE_BUNDLED_GTEST=OFF   \
       -DUSE_BUNDLED_JSON=OFF    \
       -DUSE_BUNDLED_OPENSSL=OFF \
       -DUSE_BUNDLED_COEURL=OFF  \
       -DUSE_BUNDLED_RE2=OFF  \
       -DCMAKE_BUILD_TYPE=Release

%cmake_build

%install
%cmakeinstall_std

# Testing needs a local Synapse server instance
#%check
#%make_build test

%files
%doc README.md
%doc LICENSE
%_libdir/*.so.*

%files devel
%doc examples
%_includedir/*.hpp
%_includedir/mtx
%_includedir/mtxclient
%_libdir/cmake/MatrixClient
%_libdir/*.so

%changelog
