%define oname re
Name: libre
Version: 3.15.0
Release: alt1

Summary: Generic library for real-time communications with async IO support

License: BSD-3-Clause
Group: System/Libraries
Url: https://github.com/baresip/re

# Source-url: %url/archive/refs/tags/v%version.tar.gz
Source: %oname-%version.tar

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake gcc-c++ libssl-devel zlib-devel

%description
Libre is a portable and generic library for real-time communications
with async IO support and a complete SIP stack with support for protocols
such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup -q -n %oname-%version

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build

%install
%cmake_install
rm -f %buildroot/%_libdir/%name.a

%files
%doc CHANGELOG.md LICENSE README.md
%_libdir/%name.so.2*

%files devel
%_includedir/%oname/
%_libdir/%name.so
%_libdir/cmake/%name/
%_libdir/cmake/%oname/
%_pkgconfigdir/%name.pc

%changelog
