Name: librtmidi5
Version: 4.0.0
Release: alt2

Summary: Library for realtime MIDI input/output
License: MIT
Group: System/Legacy libraries
Url: https://github.com/thestk/rtmidi

Source: %name-%version-%release.tar

BuildRequires: gcc-c++
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(jack)

%define desc\
RtMidi is a set of C++ classes (RtMidiIn and RtMidiOut) that provides a common\
API (Application Programming Interface) for realtime MIDI input/output across \
Linux (ALSA & Jack), Macintosh OS X, Windows (Multimedia Library), and SGI \
operating systems. RtMidi significantly simplifies the process of interacting \
with computer MIDI hardware and software. It was designed with the following \
goals:\
* object oriented C++ design\
* simple, common API across all supported platforms\
* only two header files and one source file for easy inclusion in programming \
  projects\
* MIDI device enumeration

%description %desc
This package contains the shared library.

%prep
%setup

%build
%autoreconf
%configure --disable-static --with-alsa --with-jack

%install
%make_install DESTDIR=%buildroot install

%files
%_libdir/librtmidi.so.*

%changelog
