#global _geocallback "--disable-geocallbacks"

%global _lwgeom "--disable-lwgeom"
%global _geocallback "--enable-geocallbacks"
%global _geosadvanced "--disable-geosadvanced"
%global _no_checks 1
%global _topo --enable-rttopo
%global _gcp --enable-gcp
%global _no_checks 1



Name: libspatialite
Version: 5.0.1
Release: alt1
Summary: Enables SQLite to support spatial data
Group: System/Libraries
License: MPLv1.1 or GPLv2+ or LGPLv2+
Packager: Ilya Mashkin <oddity@altlinux.ru>
Url: https://www.gaia-gis.it/fossil/libspatialite
Source0: http://www.gaia-gis.it/gaia-sins/%name-sources/%name-%version.tar.gz
Patch0:		libspatialite_pkgconfig.patch

BuildRequires: libproj-devel gcc-c++ gcc
BuildRequires: freexl-devel
BuildRequires: libsqlite3-devel
BuildRequires: libgeos-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel libminizip-devel librttopo-devel

%description
SpatiaLite is a a library extending the basic SQLite core
in order to get a full fledged Spatial DBMS, really simple
and lightweight, but mostly OGC-SFS compliant.

%package devel
Summary: Development libraries and headers for SpatiaLite
Group: System/Libraries
Requires: %name%{?_isa} = %version-%release
Requires: pkgconfig

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%prep
%setup
%patch0 -p1
autoconf

%build
#add_optflags -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H=1
%configure \
    --disable-static \
    %{?_lwgeom}   \
    %{?_libxml2}   \
    %{?_geos}   \
    %{?_geocallback}   \
    %{?_geosadvanced} \
    %{?_topo} \
    %{?_gcp}

    
    
%make_build

%install
%makeinstall_std

# Delete undesired libtool archives
rm -f %buildroot%_libdir/*.la


%files
%doc COPYING AUTHORS
%_libdir/%name.so.*
%_libdir/mod_spatialite.so.*

%files devel
%doc examples/*.c
%_includedir/spatialite.h
%_includedir/spatialite
%_libdir/%name.so
%_libdir/mod_spatialite.so
%_libdir/pkgconfig/spatialite.pc

%changelog
