%def_without asserts
Name: libuv
Version: 1.48.0
Release: alt2

Summary: Evented I/O for NodeJS

Group: Development/Tools
License: MIT License
Url: https://github.com/libuv/libuv

# Source-url: https://github.com/libuv/libuv/archive/v%version.tar.gz
Source: %name-%version.tar

Patch1: libuv-fix-tests-ipv6.patch
Patch2: libuv-fix-test-thread-affinity.patch
Patch3: libuv-fix-test-tcp-connect6-error.patch
Patch4: libuv-fix-test-thread-priority.patch
Patch5: libuv-export-wtf8-functions-properly.patch

BuildRequires: /proc
BuildRequires: gcc-c++ openssl-devel zlib-devel

%description
libuv is a new platform layer for Node. Its purpose is to abstract IOCP on Windows
and libev on Unix systems. We intend to eventually contain all platform differences in this library.

%package devel
Summary: Devel package for libuv
Group: Development/Other
License: MIT
Requires: %name = %version-%release

%description devel
libuv header and build tools.

%prep
%setup
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2
%patch5 -p1

%build
# due option hack in autogen.sh
#autoreconf
./autogen.sh
%if_without asserts
    CFLAGS+="-DNDEBUG"
%endif
%configure --disable-static
%make_build
%make_build test/run-tests

# not for hasher
%check
%make check

%install
%makeinstall_std
# FIXME: --disable-static does no disable static
rm -f %buildroot%_libdir/%name.a

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/%name.pc


%changelog
