%def_disable snapshot

%define _name libxml++
%define git_name libxmlplusplus
%define ver_major 2.42
%define api_ver 2.6

%def_disable doc
%def_enable check

Name: %{_name}2
Version: %ver_major.3
Release: alt1

Summary: C++ wrapper for the libxml2 XML parser library
Group: System/Libraries
License: LGPLv2+
Url: http://libxmlplusplus.sourceforge.net/

%if_disabled snapshot
Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.xz
%else
Vcs: https://github.com/libxmlplusplus/libxmlplusplus.git
Source: %git_name-%version.tar
%endif

BuildRequires(pre): rpm-macros-meson >= 0.55
BuildRequires: meson mm-common >= 1.0.4 gcc-c++
BuildRequires: libxml2-devel >= 2.7.7 libglibmm-devel >= 2.32.0
%{?_enable_doc:BuildRequires: doxygen graphviz docbook-style-xsl xsltproc}

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library.
It has SAX and DOM-like APIs, but does not attempt to conform exactly to
the DOM specification. Its API is simpler than the underlying libxml2 C API.

%package devel
Summary: Development files for %name
Group: Development/C++
Requires: %name = %EVR

%description devel
This package contains the headers and libraries for libxml++ development.

%package devel-doc
Summary: Development documentation for %name
Group: Development/C++
BuildArch: noarch
Conflicts: %name-devel < %version

%description devel-doc
This package contains the development documentation for libxml++ library.

%prep
%setup -n %{?_disable_snapshot:%_name}%{?_enable_snapshot:%git_name}-%version

%build
%ifarch %e2k
%add_optflags -std=gnu++11
%endif
%{?_enable_snapshot:mm-common-prepare --force --copy}
%meson \
    %{?_enable_snapshot:-Dmaintainer-mode=true \
    %{?_disable_doc:-Dbuild-documentation=false}}
    %{?_enable_doc:-Dbuild-documentation=true}
%nil
%meson_build

%install
%meson_install

%check
%__meson_test

%files
%_libdir/*.so.*
%doc NEWS README*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/%_name-%api_ver
%_pkgconfigdir/*

%if_enabled doc
%files devel-doc
%_datadir/devhelp/books/%_name-%api_ver/*.devhelp2
%_docdir/%_name-%api_ver/*
%endif

%changelog
