%define _unpackaged_files_terminate_build 1
%def_with check
%define luarocks_revision 1

Name: lua5.4-module-luafilesystem
Version: 1.8.0
Release: alt2_lr%luarocks_revision

Summary: File System Library for the Lua Programming Language
License: MIT
Group: Development/Other
Url: https://lunarmodules.github.io/luafilesystem
Vcs: https://github.com/lunarmodules/luafilesystem

%if "%current_lua_version" >= "5.3"
Obsoletes: lua-module-luafilesystem < %version
Provides: lua-module-luafilesystem = %version
%else
Obsoletes: lua5-luafilesystem < %version
Provides: lua5-luafilesystem = %version
%endif

# https://github.com/keplerproject/luafilesystem/archive/v%version.tar.gz
Source: luafilesystem-%version.tar

BuildRequires: lua5.4 liblua5.4-devel
BuildRequires: lua5.4-luarocks

%description
LuaFileSystem is a Lua library developed to complement the set of
functions related to file systems offered by the standard Lua
distribution. LuaFileSystem offers a portable way to access the
underlying directory structure and file attributes.

%prep
%setup -n luafilesystem-%version
sed -i 's/scm-1/%version-%luarocks_revision/' luafilesystem-scm-1.rockspec
mv luafilesystem-scm-1.rockspec luafilesystem-%version-%luarocks_revision.rockspec

%build
luarocks-5.4 make --verbose --local --pack-binary-rock --deps-mode all CFLAGS="%optflags"

%install
luarocks-5.4 install *.rock --verbose --local --tree %buildroot%prefix --deps-mode none
rm -v %buildroot%luarocks_dbdir/manifest

%check
%lua_path_add_buildroot
%lua tests/test.lua

%files
%doc README* LICENSE doc/*
%luarocks_dbdir/luafilesystem/
%lua_modulesdir/lfs.so

%changelog
