%define _libexecdir %_prefix/libexec

%def_enable wayland

Name: mate-media
Version: 1.28.1
Release: alt1
Epoch: 1
Summary: MATE media programs
License: GPLv2+ and LGPLv2+
Group: Graphical desktop/MATE
Url: http://mate-desktop.org/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: mate-common libcanberra-gtk3-devel libmatemixer-devel libxml2-devel mate-desktop-devel mate-panel-devel
%if_enabled wayland
BuildRequires: libwayland-client-devel libgtk-layer-shell-devel
%endif

%description
This package contains a few media utilities for the MATE desktop,
including a volume control.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	%{subst_enable wayland} \
	--libexecdir=%_libexecdir \
	--disable-static \
	--disable-schemas-compile

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name --with-gnome --all-name

%files -f %name.lang
%doc AUTHORS COPYING NEWS README
%_sysconfdir/xdg/autostart/mate-volume-control-*.desktop
%_bindir/mate-volume-control*
%if_disabled wayland
%_libexecdir/mate-volume-control*
%_datadir/dbus-1/services/*.service
%else
%_libdir/libmate-volume-control-applet.so
%endif
%_datadir/%name
%_datadir/mate-panel/applets/*.mate-panel-applet
%_datadir/sounds/mate
%_desktopdir/mate-volume-control.desktop
%_man1dir/*.1*

%changelog
