Summary:	A Linux clone of Notepad++
Name:		notepadqq
Version:	2.0.0
Release:	alt0.2.beta
License:	GPL-3.0
Group:		Editors
URL:		http://notepadqq.altervista.org/wp/

# Required qt5-qtwebengine is not available on some arches.
ExcludeArch: %not_qt5_qtwebengine_arches

Source0: %name-%version.tar
Source1: codemirror.tar
Patch1: fix-context-menu-translation.patch

BuildRequires(pre): rpm-macros-qt5-webengine
BuildRequires: gcc-c++
BuildRequires: qt5-base-devel
BuildRequires: qt5-tools
BuildRequires: qt5-declarative-devel
BuildRequires: qt5-webkit-devel
BuildRequires: qt5-tools-devel
BuildRequires: qt5-svg-devel
BuildRequires: qt5-websockets-devel
BuildRequires: qt5-webengine-devel
BuildRequires: libuchardet-devel

Requires: qt5-translations

%description
Notepadqq is a Notepad++-like editor for the Linux desktop.

%prep
%setup -q
tar xf %SOURCE1
mkdir -p src/editor/libs/codemirror/mode/m4

# (tpg) fix libdir
sed -i -e "s/lib/%{_lib}/g" src/ui/ui.pro

#patch1 -p0

%build
export CXXFLAGS=-I$(pwd)/src/ui/libs/qtpromise/include
%configure --qmake=qmake-qt5 --lrelease=lrelease-qt5
%make_build

%install
%makeinstall_std INSTALL_ROOT=%buildroot

# (tpg) bug #1136
ln -sf ../%_lib/notepadqq/notepadqq-bin %buildroot%_bindir/notepadqq-bin

# Rename metainfo to appdata
mv %buildroot%_datadir/{metainfo,appdata}

%files
%doc README.md CONTRIBUTING.md
%_bindir/notepadqq*
%_libdir/notepadqq/notepadqq-bin
%_datadir/applications/notepadqq.desktop
%_iconsdir/hicolor/*/apps/notepadqq.*g
%_datadir/appdata/%name.appdata.xml
%_datadir/notepadqq

%changelog
