%define module camlp5
Name: ocaml-camlp5
Version: 8.03.00
Release: alt1

Summary: preprocessor-pretty-printer of OCaml
License: BSD-3-Clause
Group: Development/ML
Url: https://camlp5.github.io/

Source: %name-%version.tar
Provides: camlp5 = %EVR
Obsoletes: camlp5 < %EVR
BuildRequires: ocaml >= 4.08.1 ocaml-findlib ocaml-camlp-streams-devel
BuildRequires: ocaml-rresult-devel ocaml-bos-devel ocaml-re-devel ocaml-fmt-devel
BuildRequires: ocaml-astring-devel ocaml-fpath-devel
BuildRequires: perl-IPC-System-Simple perl-String-ShellQuote
BuildRequires(pre): rpm-build-ocaml >= 1.6.1

%description
Camlp5 is a preprocessor-pretty-printer of OCaml.
It is compatible with OCaml versions from 3.08.0 to 3.11 included.

This package is compiled in 'transitional' mode, to simplify
compilation of older packages (e.g. ocamlnet).

%prep
%setup -q

%build
./configure --strict \
	    --mandir %_mandir \
%ifnarch %ocaml_native_arch
	    --no-opt \
	    %nil
%make world
%else
            %nil
%make world.opt
%endif

%install
mkdir -p %buildroot%_ocamldir
%make_install DESTDIR=%buildroot install

%ifarch %ocaml_native_arch
install -p -m644 compile/pa_o_fast.cmi %buildroot%_ocamldir/%module/
%endif

%files
%_bindir/%{module}*
%_bindir/mk%{module}*
%_bindir/ocpp5
%_libdir/ocaml/%module
%_man1dir/*5*.1*

%changelog
