%set_verify_elf_method textrel=relaxed
Name: ocaml-cmdliner
Version: 1.3.0
Release: alt1
Summary: Declarative definition of command line interfaces for OCaml
License: ISC
Url: https://github.com/dbuenzli/cmdliner/
Source0: %name-%version.tar
Group: Development/ML

BuildRequires: ocaml
BuildRequires: dune
BuildRequires: ocaml-result-devel

%description
Cmdliner allows the declarative definition of command line
interfaces for OCaml.

It provides a simple and compositional mechanism to convert
command line arguments to OCaml values and pass them to your
functions. The module automatically handles syntax errors,
help messages and UNIX man page generation. It supports
programs with single or multiple commands and respects
most of the POSIX and GNU conventions.

Cmdliner has no dependencies and is distributed under
the ISC license.

%package devel
Summary: Development files for %name
Requires: %name = %EVR
Group: Development/ML

%description devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%setup

%build
%dune_build --release @install

%install
%dune_install

%files -f ocaml-files.runtime
%doc README.md CHANGES.md

%files devel -f ocaml-files.devel

%changelog
