Name: ocaml-mccs
Version: 1.1.18
Release: alt1
Summary: Multi Criteria CUDF Solver with OCaml bindings
License: LGPL-2.1-only WITH OCaml-LGPL-linking-exception and BSD-3-Clause and GPL-3.0-only
Group: Development/ML
Url: https://github.com/ocaml-opam/ocaml-mccs
Source0: %name-%version.tar
BuildRequires: ocaml
BuildRequires: dune
BuildRequires: gcc-c++
BuildRequires: ocaml-cudf-devel
BuildRequires: ocaml-compiler-libs >= 5.2.0
BuildRequires: libglpk-devel

%description
mccs (which stands for Multi Criteria CUDF Solver) is a CUDF problem
solver developed at UNS during the European MANCOOSI project.

This project contains a stripped-down version of the mccs solver,
taken from snapshot 1.1, with a binding as an OCaml library, and
building with jbuilder.

The binding enables interoperation with binary CUDF data from the
OCaml CUDF library, and removes the native C++ parsers and printers.

%package devel
Summary: Development files for %name
Group: Development/ML
Requires: %name = %EVR

%description devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%setup

%build
%dune_build

%install
%dune_install

%files -f ocaml-files.runtime
%doc README.md LICENCE

%files devel -f ocaml-files.devel

%changelog
