Name: parallel
Version: 20241022
Release: alt1

Summary: A shell tool for executing jobs in parallel
License: GPLv3
Group: File tools

Url: http://www.gnu.org/software/parallel
Source: http://ftp.gnu.org/gnu/parallel/%name-%version.tar.bz2
Source100: parallel.watch
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Tue Apr 16 2013
# optimized out: perl-Encode perl-Pod-Escapes perl-Pod-Simple perl-podlators
BuildRequires: perl-Pod-Parser perl-devel

BuildArch: noarch

%set_findreq_skiplist %_bindir/env_parallel.*

%description
GNU parallel is a shell tool for executing jobs in parallel
locally or using remote machines. A job is typically a single
command or a small script that has to be run for each of the
lines in the input. The typical input is a list of files, a list
of hosts, a list of users, a list of URLs, or a list of tables.

%package -n bash-completion-%name
Summary: Bash completion for %name
Group: Shells
BuildArch: noarch
Requires: bash-completion
Requires: %name = %version-%release

%description -n bash-completion-%name
Bash completion for %name.

%package -n zsh-completion-%name
Summary: Zsh completion for %name
Group: Shells
BuildArch: noarch
Requires: zsh
Requires: %name = %version-%release

%description -n zsh-completion-%name
Zsh completion for %name.

%prep
%setup

%build
%autoreconf
%configure
%make

%install
%makeinstall_std
rm -r %buildroot%_defaultdocdir/%name/

# *sigh*
ln -sf parallel %buildroot%_bindir/sem

%files
%doc README NEWS src/*.html
%_bindir/*
%_man1dir/*
%_man7dir/*

%files -n bash-completion-%name
%_datadir/bash-completion/completions/%name

%files -n zsh-completion-%name
%_datadir/zsh/site-functions/_%name

%changelog
