Name: pekwm
Version: 0.2.1
Release: alt1
Summary: Fast & lightweight window manager
License: GPLv2
Group: Graphical desktop/Other
Url: http://pekwm.org
Source: %name-%version.tar.gz
source1: %name.png

# Automatically added by buildreq on Tue Nov 09 2021
# optimized out: cmake-modules fontconfig fontconfig-devel glibc-kernheaders-generic glibc-kernheaders-x86 libICE-devel libX11-devel libXau-devel libXrender-devel libcrypt-devel libfreetype-devel libgpg-error libsasl2-3 libstdc++-devel libxcb-devel pkg-config python3 python3-base sh4 xorg-proto-devel zlib-devel
BuildRequires: cmake flex gcc-c++ libSM-devel libXext-devel libXft-devel libXinerama-devel libXpm-devel libXrandr-devel libjpeg-devel libpng-devel

%description
pekwm is a window manager that once up on a time was based on the aewm++
window manager, but it has evolved enough that it no longer resembles
aewm++ at all. It has a much expanded feature-set, including window
grouping (similar to ion, pwm, or fluxbox), autoproperties, xinerama,
keygrabber that supports keychains, and much more.

%prep
%setup
cat > %name.wmsession <<@@@
NAME=PekWM
ICON=%_iconsdir/hicolor/64x64/apps/pekwm.png
EXEC=/usr/bin/pekwm
DESC=Fast & lightweight window manager
SCRIPT:
exec /usr/bin/pekwm
@@@
cat > %name.desktop <<@@@
[Desktop Entry]
Name=PekWM
Comment=Fast & lightweight window manager
Comment[ru]=Быстрый и легковесный оконный менеджер
Icon=%name
Exec=%name
Type=Application
@@@

%build
%add_optflags -std=c++14
#autoreconf
#configure
#make_build
%cmake
%cmake_build

%install
#makeinstall_std
%cmake_install
mkdir -p %buildroot/%_sysconfdir/X11/wmsession.d
install -pD -m644 %name.wmsession %buildroot/%_sysconfdir/X11/wmsession.d/08%name
install -pD -m644 %name.desktop %buildroot%_datadir/xsessions/%name.desktop
install -D %SOURCE1 %buildroot%_iconsdir/hicolor/64x64/apps/%name.png

%files
%doc *.md
%_bindir/*
%_sysconfdir/%name
%_sysconfdir/X11/wmsession.d/*
%_datadir/xsessions/%name.desktop
%_datadir/%name
%_man1dir/%{name}*
%_iconsdir/hicolor/64x64/apps/%name.png

%changelog
