Name: pentobi
Version: 21.0
Release: alt1.1

Summary: A computer program that plays the board game Blokus

License: GPLv3
Group: Games/Boards
Url: https://pentobi.sourceforge.io

# Source-url: https://github.com/enz/pentobi/archive/refs/tags/v%version.tar.gz
Source: %name-%version.tar.gz

BuildRequires(pre): rpm-macros-cmake
BuildRequires(pre): rpm-macros-qt5-webengine

# Automatically added by buildreq on Wed Jun 15 2022
# optimized out: cmake-modules dconf fontconfig gcc-c++ glib-networking glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 libcairo-gobject libgdk-pixbuf libglvnd-devel libgpg-error libqt5-concurrent libqt5-core libqt5-gui libqt5-network libqt5-qml libqt5-qmlmodels libqt5-quick libqt5-quickcontrols2 libqt5-quicktemplates2 libsasl2-3 libssl-devel libstdc++-devel python3 python3-base python3-module-libxml2 qt5-base-devel qt5-declarative-devel qt5-tools sh4 shared-mime-info xml-common
BuildRequires: cmake docbook-style-xsl itstool libGConf libappstream-glib-devel libgtk+3-devel libpolkit-devel librsvg-utils qt5-imageformats qt5-quickcontrols2-devel qt5-svg-devel qt5-tools-devel qt5-wayland-devel xsltproc

%ifarch %qt5_qtwebengine_arches
BuildRequires: qt5-webengine-devel
%endif

%description
Pentobi is a computer program that plays the board game Blokus.

- Supports the game variants Classic, Classic Two-Player, and Duo
- Different levels of playing strength
- Save and load games in Smart Game Format including comments and move variations
- Board display with optional move numbers and coordinate labels
- Export images of board positions
- Source code is available under the GNU General Public License

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmake_install
mkdir -p %buildroot%_sysconfdir

%files
%_bindir/pentobi
%_bindir/pentobi-thumbnailer
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/*/*
%_datadir/mime/packages/*.xml
%_datadir/thumbnailers/*
%_datadir/metainfo/*
%_man6dir/*
%_mandir/*/man6/*

%changelog
