%define git %nil

Name: piper
Version: 0.8
Release: alt1
Summary: GTK+ application to configure gaming mice using ratbagd
Group: System/Configuration/Hardware
License: GPLv2
Url: https://github.com/libratbag/%name
Source0: https://github.com/libratbag/%name/archive/v%version/%name-%version.tar.gz
Patch: %name-%version-%release.patch

BuildRequires(pre): meson
BuildRequires: python3-module-pygobject3-devel python3-dev python3-module-flake8 gtk-update-icon-cache
BuildRequires: python3-module-pycairo python3-module-lxml python3-module-evdev ratbagd >= 0.18 appstream

BuildArch: noarch

# due API change
Requires: ratbagd >= 0.18

%description
Piper is a GTK+ application to configure gaming mice, using libratbag via
ratbagd.  In order to run Piper, ratbagd has to be running (without it, you'll
get to see a pretty mouse trap).

%prep
%setup
%patch -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %name

%files -f %name.lang
%doc README* COPYING
%_bindir/*
%dir %python3_sitelibdir_noarch/%name
%python3_sitelibdir_noarch/%name
%dir %_datadir/%name
%_datadir/%name
%_datadir/metainfo/org.freedesktop.Piper.appdata.xml
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/apps/*.svg
%_man1dir/*

%changelog
