%define major 0.9
Name: podofo%major
Version: %major.8
Release: alt2

Summary: PDF manipulation library and tools
Summary(ru_RU.UTF8): Библиотека и инструменты для работы с PDF

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: distributable (see COPYING)
Group: Office
URL: http://sourceforge.net/projects/podofo/

Source: http://prdownloads.sf.net/podofo/%name/%major/%name-%version.tar

BuildPrereq: rpm-macros-cmake zlib-devel libpng-devel

# Automatically added by buildreq on Thu Jan 21 2010
BuildRequires: cmake fontconfig-devel gcc-c++ libfreetype-devel libjpeg-devel libssl-devel libtiff-devel

%define libname libpodofo

Requires: %libname = %EVR

%description
PoDoFo is a library and a set of tools to work with the PDF file format.

%description -l ru_RU.UTF8
PoDoFo - это библиотека и набор инструментов для работы с файлами формата PDF.

%package -n %libname
Summary: PoDoFo library
Summary(ru_RU.UTF8): Библиотека PoDoFo
Group: System/Libraries

%description -n %libname
Library to work with PDF files.

%description -n %libname -l ru_RU.UTF8
Библиотека для работы с файлами формата PDF.

%package -n lib%name-devel
Summary: PoDoFo headers
Summary(ru_RU.UTF8): Заголовочные файлы PoDoFo
Group: Development/C
Requires: %libname = %EVR
Conflicts: libpodofo-devel

%description -n lib%name-devel
Development files for the PoDoFo library.

%description -n lib%name-devel -l ru_RU.UTF8
Файлы, необходимые для разработки с использованием библиотеки PoDoFo.

%prep
%setup
subst "s|@PODOFO_VERSION@|%version|" src/podofo/libpodofo.pc.in
# fix broken copying rule
mkdir test/TokenizerTest/objects

%build
%cmake_insource -G "Unix Makefiles" \
	-DPODOFO_BUILD_SHARED:BOOL=TRUE \
	-DFREETYPE_INCLUDE_DIR:FILEPATH=%_includedir/freetype2 \
	-D_FILE_OFFSET_BITS=64
%make_build VERBOSE=1

%install
%makeinstall_std

%files -n %libname
%_libdir/libpodofo.so.%version

%if 0
%files
%doc README.html FAQ.html
%_bindir/*
%_man1dir/*
%endif

%files -n lib%name-devel
%_includedir/podofo/
#_pkgconfigdir/*
%_libdir/*.so

%changelog
