%add_findreq_skiplist %_bindir/portproton
AutoProv: no

%define oname portproton
%define xdg_name ru.linux_gaming.PortProton

%define i586_req_l1 libGL.so.1 libgio-2.0.so.0 libnm.so.0 libnss3.so libunwind.so.8 libvdpau.so.1
%define i586_req_l2 libVkLayer_MESA_device_select.so libgamemodeauto.so.0 libnsl.so.1
%define i586_req_l3 libvulkan.so.1 libvulkan_intel.so libvulkan_radeon.so libvulkan_lvp.so

Name: portproton-installer
Version: 1.7.1
Release: alt3

Summary: Installer for PortProton

License: MIT
Group: Games/Other
Url: https://github.com/Castro-Fidel/PortProton_ALT

Source: %name-%version.tar

Requires: bubblewrap cabextract zstd gawk tar xz pciutils coreutils file
Requires: curl xdg-utils desktop-file-utils yad jq
Requires: libvulkan1 vulkan-tools libd3d libGL gamemode fontconfig xrdb
Requires: libcurl libgio libnm libnsl1 libnss glibc-nss glibc-pthread
Requires: xorg-dri-intel xorg-dri-radeon xorg-dri-swrast libvdpau
Requires: /usr/bin/exiftool /usr/bin/icoextract

ExclusiveArch: i586

Provides: portproton = %version-%release
Obsoletes: portproton <= 1.6.1-alt2

%description
Installer PortProton for Windows games.

%prep
%setup

%build
%install
mkdir -p %buildroot%_libdir/%oname
for lib in %i586_req_l1 %i586_req_l2 %i586_req_l3 ; do
    ln -s /usr/lib/$lib %buildroot%_libdir/%oname/
done

install -Dm755 %oname %buildroot%_bindir/%oname
install -Dm644 %xdg_name.desktop %buildroot%_desktopdir/%xdg_name.desktop
install -Dm644 %xdg_name.svg %buildroot%_iconsdir/hicolor/scalable/apps/%xdg_name.svg
install -Dm644 %xdg_name.metainfo.xml %buildroot%_datadir/metainfo/%xdg_name.metainfo.xml

%files
%doc LICENSE
%_bindir/%oname
%_libdir/%oname
%_desktopdir/%xdg_name.desktop
%_iconsdir/hicolor/scalable/apps/%xdg_name.svg
%_datadir/metainfo/%xdg_name.metainfo.xml

%changelog
