Name: pudb
Version: 2024.1
Release: alt1

Summary: A full-screen, console-based Python debugger
License: MIT
Group: Development/Debuggers
Url: http://pypi.python.org/pypi/pudb
BuildArch: noarch

Source: %name-%version.tar.gz

BuildRequires(pre): rpm-build-python3
Requires: python3(pygments) python3(%name) python3(jedi)
Provides: %{name}3 = %version.%release

# Automatically added by buildreq on Thu Jun 20 2024
# optimized out: bash5 libgpg-error python3 python3-base python3-dev python3-module-automat python3-module-cffi python3-module-pkg_resources python3-module-py3dephell python3-module-pytest python3-module-setuptools sh5
BuildRequires: python3-module-Cython python3-module-pyproject-installer python3-module-pytest-mock python3-module-trio python3-module-wheel python3-module-urwid

%description
PuDB is a full-screen, console-based visual debugger for Python.

Its goal is to provide all the niceties of modern GUI-based debuggers in
a more lightweight and keyboard-friendly package. PuDB allows you to
debug code right where you write and test it--in a terminal. If you've
worked with the excellent (but nowadays ancient) DOS-based Turbo Pascal
or C tools, PuDB's UI might look familiar.

%package -n python3-module-%name
Summary: Supplemental python3 module for %name, %summary
Group: Development/Python3
BuildArch: noarch
Requires: python3(urwid_readline)

%description -n python3-module-%name
Supplemental python module for %name, %summary

%package -n python3-module-%name-ipython
Summary: IPython plugin for %name
Group: Development/Python3
BuildArch: noarch

%description -n python3-module-%name-ipython
IPython plugin for %name

%prep
%setup

%build
%pyproject_build

%check
python3 -m pytest

%install
%pyproject_install

%files
%doc README.rst
%_bindir/*

%files -n python3-module-%name
%doc examples manual-tests
%python3_sitelibdir_noarch/*
%exclude %python3_sitelibdir_noarch/%name/ipython*

%files -n python3-module-%name-ipython
%python3_sitelibdir_noarch/%name/ipython*

%changelog
