Name: puddletag
Version: 2.4.0
Release: alt1

Summary: Feature rich, easy to use tag editor
License: GPLv2 and GPLv3+
Group: File tools
Url: https://github.com/puddletag/puddletag
BuildArch: noarch

Source: %name-%version.tar
Source1: %pyproject_deps_config_name

%set_pyproject_deps_runtime_filter pyqt5-qt5 pyqt5-sip
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%add_python3_req_skip tags

%description
puddletag is an audio tag editor for GNU/Linux similar to Windows program
Mp3tag (http://www.mp3tag.de). Unlike most taggers for GNU/Linux, it uses a
spreadsheet-like layout so that all the tags you want to edit by hand are
visible and easily editable.

The usual tag editor features are supported like extracting tag information
from filenames, renaming files based on their tags by using patterns (that you
define, not crappy, uneditable ones).

Then there're functions, which can do things like replace text, trim, change
the case of tags, etc. Actions can automate repetitive tasks. You can import
your QuodLibet library, lookup tags using MusicBrainz, FreeDB or Amazon
(though it's only good for cover art) and more, but I've reached my comma
quota.

Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.), VorbisComments
(ogg, flac), Musepack (mpc), Monkey's Audio (.ape) and WavPack (wv).

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%files
%doc NEWS TODO THANKS
%_bindir/%name
%_desktopdir/%name.desktop
%_datadir/pixmaps/%name.*
%python3_sitelibdir/puddlestuff/
%python3_sitelibdir/%name-%version.dist-info/
%_man1dir/%name.*

%changelog
