Name: putty
Version: 0.81
Release: alt2

Summary: Free SSH, Telnet and Rlogin client
License: MIT
Group: Networking/Remote access

Url: http://www.chiark.greenend.org.uk/~sgtatham/putty/
Source0: %name-%version.tar.gz
Source1: %name-icons.tar.bz2
Source2: %name-%version.tar.gz.gpg
Source3: putty.desktop
Source4: %name.watch
Packager: Michael Shigorin <mike@altlinux.org>
BuildRequires(pre): rpm-macros-cmake
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: libgtk+3-devel libgtk+3 libgtk+3-gir-devel rpm-macros-cmake cmake ImageMagick-tools libpcre2-devel bzip2 libffi-devel bzlib-devel halibut libbrotli-devel 


%description
This is the Unix port of the popular Windows ssh client, PuTTY. It
supports flexible terminal setup, mid-session reconfiguration using
Ctrl-rightclick, multiple X11 authentication protocols, and various
other interesting things not provided by ssh in an xterm.

%prep
%setup
%setup -T -D -a1 -n %name-%version
%ifarch %e2k
sed -i 's/mmintrin\.h/no_&/' crypto/CMakeLists.txt
%endif

%build
%add_optflags -Wall -Werror -Wstrict-aliasing -Wno-unused
%ifarch %e2k
# lcc 1.25.15: ftbfs workaround ('unreachable' macro ignored)
# reported upstream and as mcst#6021
%add_optflags -Wno-error=return-type -Wno-error=maybe-uninitialized
# glib2 deprecation warnings
%add_optflags -Wno-error=deprecated-declarations
%endif
export CFLAGS=" -DNOT_X_WINDOWS -Wno-error=unused-function"

mkdir %{_cmake__builddir}

cd %{_cmake__builddir}

cmake -DCMAKE_INSTALL_PREFIX=/usr ..

make

make -C ../icons putty-48.png

make -C doc


mkdir -p %buildroot{%_bindir,%_man1dir}
%makeinstall_std prefix=%prefix mandir=%_mandir

%install
	
%cmake_install
install -d html
install -pm 0644 doc/html/*.html html

# icon
install -pDm644 putty48.png %buildroot%_liconsdir/%name.png
install -pDm644 putty32.png %buildroot%_niconsdir/%name.png
install -pDm644 putty16.png %buildroot%_miconsdir/%name.png

install -pDm644 %SOURCE3 %buildroot%_desktopdir/%name.desktop

%files
%doc LICENCE README
%_bindir/*
%_man1dir/*
%_desktopdir/*
%_miconsdir/*.png
%_niconsdir/*.png
%_liconsdir/*.png

%changelog
