# Spec file for pv - Pipe Viewer 

Name: pv
Version: 1.8.5
Release: alt1

Summary: Pipe Viewer

License: %gpl3plus
Group: Text tools
URL: http://www.ivarch.com/programs/pv.shtml

Packager: Nikolay A. Fetisov <naf@altlinux.org>

Source0: %name-%version.tar

BuildRequires(pre): rpm-build-licenses

%description
pv - Pipe Viewer - is a terminal-based tool for monitoring the
progress of data through a pipeline. It can be inserted into
any normal pipeline between two processes to give a visual
indication of how quickly data is passing through, how long it
has taken, how near to completion it is, and an estimate of
how long it will be until completion.

Additional support is available for multiple instances working
in tandem, to given a visual indicator of relative throughput
in a complex pipeline.

%prep
%setup -q

%build
%autoreconf

%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name
pushd docs
mv -f -- COPYING COPYING.orig
ln -s -- $(relative %_licensedir/GPL-3.0+ %_docdir/%name/COPYING) COPYING
popd

%files -f %name.lang
%doc docs/NEWS.md docs/TODO.md docs/ACKNOWLEDGEMENTS.md docs/DEVELOPERS.md
%doc --no-dereference docs/COPYING

%_bindir/%name
%_man1dir/%name.*
%exclude %_datadir/doc

%changelog
