%define oname PyPDF2

%def_with check

Name: python3-module-%oname
Version: 1.27.9
Release: alt1

Summary: A utility to read and write PDFs with Python

License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.python.org/pypi/PyPDF2

# https://github.com/mstamy2/PyPDF2.git
Source0: %name-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
Requires: python3-module-Reportlab

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-Pillow
%endif

%description
A Pure-Python library built as a PDF toolkit. It is capable of:

* extracting document information (title, author, ...)
* splitting documents page by page
* merging documents page by page
* cropping pages
* merging multiple pages into a single page
* encrypting and decrypting PDF files
* and more!

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
py.test3

%files
%doc CHANGELOG *.md
%python3_sitelibdir/*

%changelog
