%define oname aioamqp

%def_without check

Name: python3-module-%oname
Version: 0.15.0
Release: alt1

Summary: AMQP implementation using asyncio

License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/aioamqp/
Vcs: https://github.com/Polyconseil/aioamqp

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
%if_with check
BuildRequires: python3-module-pamqp
BuildRequires: python3-module-asynctest
BuildRequires: python3-module-pyrabbit2
%endif

%py3_provides %oname

%description
aioamqp library is a pure-Python implementation of the AMQP 0.9.1
protocol.

Built on top on Python's asynchronous I/O support introduced in PEP
3156, it provides an API based on coroutines, making it easy to write
highly concurrent applications.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install

%check
%tox_check

%files
%doc *.rst docs/*.rst examples LICENSE
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version-*.egg-info

%changelog
