%define _unpackaged_files_terminate_build 1

%define pypi_name argh
%define mod_name %pypi_name
%def_with check

Name: python3-module-%pypi_name
Version: 0.31.3
Release: alt1
Summary: Plain Python functions as CLI commands without boilerplate
License: LGPLv3
Group: Development/Python3
Url: https://pypi.org/project/argh/
Vcs: https://github.com/neithere/argh
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
%endif

%description
Building a command-line interface? Found yourself uttering "argh!" while
struggling with the API of argparse? Don't like the complexity but need the
power?

Argh builds on the power of argparse (which comes with Python) and makes it
really easy to use. It eliminates the complex API and lets you "dispatch"
ordinary Python functions as CLI commands.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra tests

%files
%doc README.*
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
