%define _unpackaged_files_terminate_build 1
%define pypi_name click

%def_with check

Name: python3-module-%pypi_name
Version: 8.1.7
Release: alt1
Summary: Composable command line interface toolkit
License: BSD-3-Clause
Group: Development/Python
Url: https://pypi.org/project/click/
Vcs: https://github.com/pallets/click.git
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch

%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%if_with check
%pyproject_builddeps_check
%endif

%description
Click is a Python package for creating beautiful command line interfaces
in a composable way with as little code as necessary.  It's the "Command
Line Interface Creation Kit".  It's highly configurable but comes with
sensible defaults out of the box.

It aims to make the process of writing command line tools quick and fun
while also preventing any frustration caused by the inability to
implement an intended CLI API.

%prep
%setup
%autopatch -p1
rm src/click/_winconsole.py
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile requirements/tests.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra

%files
%doc README.*
%python3_sitelibdir/click/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
