%define oname coincurve

Name: python3-module-coincurve
Version: 15.0.1
Release: alt1

Summary: Cross-platform Python CFFI bindings for libsecp256k1

Group: Development/Python3
License: MIT
Url: https://pypi.org/project/coincurve/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3

BuildRequires: libsecp256k1-devel >= 0.24

# generated by 'epm restore --dry-run' from coincurve/setup.py setup_requires
%py3_buildrequires cffi >= 1.3.0
%py3_buildrequires requests

# generated by 'epm restore --dry-run' from coincurve/setup.py install_requires
%py3_use asn1crypto
%py3_use cffi >= 1.3.0


%description
This library provides well-tested Python bindings for libsecp256k1,
the heavily optimized C library used by Bitcoin Core for operations on the elliptic curve secp256k1.

%prep
%setup
rm -rv libsecp256k1/
subst 's|\(def download_library.*\)|\1\n    return|' setup.py

%build
%python3_build

%install
%python3_install

%files
%python3_sitelibdir/%oname/
%python3_sitelibdir/%{oname}*.egg-info

%changelog
