%define _unpackaged_files_terminate_build 1
%define pypi_name cssselect

%def_with check

Name: python3-module-%pypi_name
Version: 1.2.0
Release: alt1

Summary: Parses CSS3 Selectors and translates them to XPath 1.0
Group: Development/Python3
License: BSD-3-Clause
Url: https://pypi.org/project/cssselect/
BuildArch: noarch

BuildRequires(pre): rpm-build-python3

%if_with check
BuildRequires: python3(lxml)
%endif

# build backend and its deps
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

Source: %name-%version.tar

%description
Cssselect parses CSS3 Selectors and translates them to XPath 1.0
expressions.  Such expressions can be used in lxml or another XPath
engine to find the matching elements in an XML or HTML document.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc AUTHORS docs README.rst CHANGES LICENSE
%python3_sitelibdir/cssselect/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
