%define _unpackaged_files_terminate_build 1
%define pypi_name djangorestframework

%def_with check

Name: python3-module-%pypi_name
Version: 3.15.2
Release: alt1
Summary: Web APIs for Django, made easy
License: BSD
Group: Development/Python3
Url: https://pypi.org/project/djangorestframework
Vcs: https://github.com/encode/django-rest-framework
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
# we have several versions of Django
# so, we cannot rely on auto-requires
%filter_from_requires /^python3(django\(\..*\)\?)/d
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
BuildRequires: python3-module-django-dbbackend-sqlite3
%endif

%description
Django REST framework is a powerful and flexible toolkit for building
Web APIs.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile requirements/requirements-testing.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run -- python runtests.py

%files
%doc README.md
%python3_sitelibdir/rest_framework/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
