%define _unpackaged_files_terminate_build 1

%define oname envisage

Name: python3-module-envisage
Version: 6.1.1
Release: alt1

Summary: Extensible Application Framework

License: BSD
Group: Development/Python3
Url: https://docs.enthought.com/envisage/

BuildArch: noarch

# Source-url: %__pypi_url %oname
Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar

Patch1: %oname-alt-docs.patch
Patch2: envisage-6.1.0-alt-fix-mistake-in-menu-group-specification.patch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%add_findprov_skiplist %python3_sitelibdir/%oname/plugins/*
%add_findreq_skiplist  %python3_sitelibdir/%oname/plugins/*

%add_findprov_skiplist %python3_sitelibdir/%oname/examples/*
%add_findreq_skiplist  %python3_sitelibdir/%oname/examples/*

%add_python3_req_skip wx
%add_python3_req_skip ui.main
%add_python3_req_skip envisage.plugins.text_editor.editor.text_editor
%add_python3_req_skip envisage.workbench envisage.workbench.services
%add_python3_req_skip envisage.ui.single_project
%add_python3_req_skip envisage.single_project.services

%description
Envisage is a Python-based framework for building extensible
applications, that is, applications whose functionality can be
extended by adding "plug-ins". Envisage provides a standard mechanism
for features to be added to an application, whether by the original
developer or by someone else.

%package tests
Summary: Tests for Extensible Application Framework
Group: Development/Python3
Requires: %name = %EVR

%description tests
Envisage is a Python-based framework for building extensible
applications, that is, applications whose functionality can be
extended by adding "plug-ins". Envisage provides a standard mechanism
for features to be added to an application, whether by the original
developer or by someone else.

This package contains tests for Envisage.

%package docs
Summary: Documentation for Extensible Application Framework
Group: Development/Documentation
BuildArch: noarch

%description docs
Envisage is a Python-based framework for building extensible
applications, that is, applications whose functionality can be
extended by adding "plug-ins". Envisage provides a standard mechanism
for features to be added to an application, whether by the original
developer or by someone else.

This package contains development documentation for Envisage.

%prep
%setup
#patch1 -p1
#patch2 -p1

%build
%pyproject_build

%install
%pyproject_install
%python3_prune

%files
%doc image_LICENSE*.txt LICENSE.txt
%doc CHANGES.rst README.rst
%python3_sitelibdir/*

%changelog
