%define oname fanstatic

%def_with check

Name: python3-module-%oname
Version: 1.4
Release: alt2
Summary: Flexible static resources for web applications
License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/fanstatic/
VCS: https://github.com/fanstatic/fanstatic/

Source: %name-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-macros-sphinx3
BuildRequires: python3-module-sphinx
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-webob
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-cssmin
%endif

%description
Fanstatic is a smart static resource publisher for Python. For more
information on what it's about and how to use it, see:
http://fanstatic.org

%package docs
Summary: Documentation for fanstatic
Group: Development/Documentation

%description docs
Fanstatic is a smart static resource publisher for Python. For more
information on what it's about and how to use it, see:
http://fanstatic.org

This package contains documentation for fanstatic.

%package pickles
Summary: Pickles for fanstatic
Group: Development/Python3

%description pickles
Fanstatic is a smart static resource publisher for Python. For more
information on what it's about and how to use it, see:
http://fanstatic.org

This package contains pickles for fanstatic.

%package tests
Summary: Tests for fanstatic
Group: Development/Python3
Requires: %name = %EVR

%description tests
Fanstatic is a smart static resource publisher for Python. For more
information on what it's about and how to use it, see:
http://fanstatic.org

This package contains tests for fanstatic.

%prep
%setup

%prepare_sphinx3 .
ln -s ../objects.inv docs/

%build
%pyproject_build

%install
%pyproject_install

export PYTHONPATH=%buildroot%python3_sitelibdir
%make SPHINXBUILD=sphinx-build-3 -C docs html
%make SPHINXBUILD=sphinx-build-3 -C docs pickle

cp -fR docs/_build/pickle %buildroot%python3_sitelibdir/fanstatic/

%check
%pyproject_run_pytest -v

%files
%doc LICENSE.txt *.rst
%_bindir/fanstatic-compile
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}
%exclude %python3_sitelibdir/%oname/pickle
%exclude %python3_sitelibdir/%oname/tests

%files docs
%doc docs/_build/html/*

%files pickles
%dir %python3_sitelibdir/%oname
%python3_sitelibdir/%oname/pickle

%files tests
%python3_sitelibdir/%oname/tests

%changelog
