%define _unpackaged_files_terminate_build 1
%define pypi_name fido2
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 1.1.3
Release: alt1

Summary: Provides library functionality for communicating with a FIDO device over USB as well as verifying attestation and assertion signatures
License: BSD-2-Clause and Apache-2.0 and MPL-2.0
Group: Development/Python3
Url: https://pypi.org/project/fido2/
Vcs: https://github.com/Yubico/python-fido2

BuildArch: noarch

Source0: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch

%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
Provides library functionality for communicating with a FIDO device over USB
as well as verifying attestation and assertion signatures.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_poetry dev
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -vra

%files
%doc README.adoc COPYING NEWS examples
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
