%define oname flake8-debugger
%def_with check

Name: python3-module-%oname
Version: 4.1.2
Release: alt1.1

Summary: ipdb/pdb statement checker plugin for flake8
License: MIT
Group: Development/Python3
URL: https://pypi.org/project/flake8-debugger
VCS: https://github.com/JBKahn/flake8-debugger
BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-poetry-core

%if_with check
BuildRequires: python3-module-pycodestyle
BuildRequires: python3-module-flake8
%endif

%py3_provides flake8_debugger

%description
Check for pdb;idbp imports and set traces.

This module provides a plugin for ``flake8``, the Python code checker.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

# https://github.com/JBKahn/flake8-debugger/issues/30
rm -v %buildroot%python3_sitelibdir/LICENCE
rm -v %buildroot%python3_sitelibdir/pyproject.toml

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc *.md
%python3_sitelibdir/test_linter.py
%python3_sitelibdir/flake8_debugger.py
%python3_sitelibdir/__pycache__
%python3_sitelibdir/flake8_debugger-%version.dist-info

%changelog
