%def_without check

%define oname icalendar

Name: python3-module-%oname
Version: 5.0.11
Release: alt1

Summary: iCalendar parser/generator
License: GPLv2.1
Group: Development/Python3
Url: https://pypi.org/project/icalendar/

BuildArch: noarch

Source: %oname-%version.tar.gz

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-sphinx

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-dateutil
BuildRequires: python3-module-pytz
BuildRequires: python3-module-coverage
BuildRequires: python3-module-hypothesis
%endif

%description
iCalendar is a parser/generator of iCalendar files
(RFC 2445) for use with Python.

%prep
%setup -n %oname-%version

%build
%pyproject_build
PYTHONPATH=../src %make -C docs html BUILDDIR=build3 SPHINXBUILD=py3_sphinx-build

%install
%pyproject_install

%check
%pyproject_run_pytest src/icalendar/tests

%files
%doc docs/build3/html *.rst
%_bindir/*
%python3_sitelibdir_noarch/%oname
%python3_sitelibdir_noarch/%oname-%version.dist-info

%changelog
