%define _unpackaged_files_terminate_build 1
%define module_name imap_tools

Name: python3-module-%module_name
Version: 1.6.0
Release: alt1
Summary: High level lib for work with email by IMAP
License: Apache-2.0
Group: Development/Python3
Url: https://github.com/ikvk/imap_tools
Source: %name-%version.tar

BuildArch: noarch
BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%description
High level lib for work with email by IMAP:
- Basic message operations: fetch, uids, numbers
- Parsed email message attributes
- Query builder for search criteria
- Actions with emails: copy, delete, flag, move, append
- Actions with folders: list, set, get, create, exists, rename, subscribe, delete, status
- IDLE commands: start, poll, stop, wait
- Exceptions on failed IMAP operations
- No external dependencies, tested

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%files
%python3_sitelibdir/%module_name
%python3_sitelibdir/%module_name-%version.dist-info
%doc LICENSE README.rst

%changelog
