%define _unpackaged_files_terminate_build 1
%define pypi_name jq

%def_with check

Name: python3-module-%pypi_name
Version: 1.8.0
Release: alt1

Summary: Python bindings for jq
License: BSD-2-Clause
Group: Development/Python3
Url: https://pypi.org/project/jq/
Vcs: https://github.com/mwilliamson/jq.py

Source0: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch

%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
BuildRequires: python3-module-cython
BuildRequires: libjq-devel
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
jq is a lightweight and flexible JSON processor.

This project contains Python bindings for jq.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile test-requirements.txt
%endif

%build
export JQPY_USE_SYSTEM_LIBS=1
%pyproject_build

%install
export JQPY_USE_SYSTEM_LIBS=1
%pyproject_install

%check
%pyproject_run_pytest -vra

%files
%doc *.rst LICENSE
%python3_sitelibdir/%pypi_name.*.so
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
