%define _unpackaged_files_terminate_build 1
%define pypi_name jsonpickle

%def_with check

Name: python3-module-%pypi_name
Version: 4.0.0
Release: alt1
Summary: Python library for serializing any arbitrary object graph into JSON
License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/jsonpickle/
VCS: https://github.com/jsonpickle/jsonpickle.git

BuildArch: noarch

Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%add_pyproject_deps_check_filter pytest-black-multipy
%pyproject_builddeps_metadata_extra testing
BuildRequires: python3-module-pandas-tests
%endif

%description
jsonpickle converts complex Python objects to and from JSON.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
# test_multindex_dataframe_roundtrip fail on armh and i586
%pyproject_run_pytest -ra -k "\
not test_multindex_dataframe_roundtrip" tests/

%files
%doc CHANGES.rst README.rst
%python3_sitelibdir/jsonpickle/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
