%define  oname jupyter_kernel_test

%def_with check

Name:    python3-module-%oname
Version: 0.7.0
Release: alt1

Summary: A tool for testing Jupyter kernels

License: BSD-3-Clause
Group:   Development/Python3
URL:     https://pypi.org/project/jupyter-kernel-test
VCS:     https://github.com/jupyter/jupyter_kernel_test

Packager: Grigory Ustinov <grenka@altlinux.org>

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-flit
BuildRequires: python3-module-hatchling

%if_with check
BuildRequires: /proc
BuildRequires: python3-module-jupyter_client
BuildRequires: python3-module-jsonschema
BuildRequires: python3-module-nest-asyncio
BuildRequires: python3-module-ipykernel
%endif

BuildArch: noarch

Source:  %name-%version.tar

%description
jupyter_kernel_test is a tool for testing Jupyter kernels. It tests kernels for
successful code execution and conformance with the Jupyter Messaging Protocol.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%__python3 test_ipykernel.py

%files
%doc LICENSE *.md *.rst
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
