%define oname landslide

%def_with check

Name: python3-module-%oname
Version: 2.0.0
Release: alt1

Summary: Lightweight markup language-based html5 slideshow generator

License: Apache-2.0
Group: Development/Python3
URL: https://pypi.org/project/landslide
VCS: https://github.com/adamzap/landslide

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
BuildRequires: python3(docutils)
BuildRequires: python3(jinja2)
BuildRequires: python3(markdown)
BuildRequires: python3(pygments)
BuildRequires: python3(six)
BuildRequires: python3(tox)
%endif

%py3_requires markdown


%description
Landslide takes your Markdown, ReST, or Textile file(s) and generates
fancy HTML5 slideshow.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest tests.py

%files
%doc *.md examples
%_bindir/%oname
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
