%define _unpackaged_files_terminate_build 1
%define pypi_name lesscpy
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 0.15.1
Release: alt1
Summary: Python LESS Compiler
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/lesscpy
Vcs: https://github.com/lesscpy/lesscpy
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
# upstream still uses deprecated nose
BuildRequires: python3-module-pytest
%endif

%description
A compiler written in Python for the LESS language. For those of us not willing
or able to have node.js installed in our environment. Not all features of LESS
are supported (yet). Some features wil probably never be supported (JavaScript
evaluation). This program uses PLY (Python Lex-Yacc) to tokenize / parse the
input and is considerably slower than the NodeJS compiler. The plan is to
utilize this to build in proper syntax checking and perhaps YUI compressing.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install
mv %buildroot/%_bindir/{lesscpy,py3-lesscpy}

%check
%pyproject_run_pytest -ra

%files
%doc LICENSE README.rst
%_bindir/py3-lesscpy
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
