Name: python3-module-maturin
Version: 1.7.4
Release: alt1

Summary: Rust within Python
License: MIT
Group: Development/Python
Url: https://maturin.rs/

Source0: %name-%version.tar
Source1: crates.tar
Source2: pyproject_deps.json

BuildRequires(pre): rpm-build-pyproject
BuildRequires: rust-cargo /proc
BuildRequires: pkgconfig(bzip2)
BuildRequires: python3(semantic_version)
%pyproject_builddeps_build

Requires: rust-cargo /proc
Provides: maturin = %version-%release
Obsoletes: maturin

%description
Build and publish crates with pyo3, cffi and uniffi bindings
as well as rust binaries as python packages.

%prep
%setup
%ifdef bootstrap
cargo vendor
tar cf %SOURCE1 vendor
%else
tar xf %SOURCE1
%endif

%build
export CARGO_HOME=${PWD}/cargo
%pyproject_deps_resync_build
%pyproject_build

%install
%pyproject_install
chmod +x %buildroot%_bindir/maturin

%files
%_bindir/maturin
%python3_sitelibdir/maturin
%python3_sitelibdir/maturin-%version.dist-info

%changelog
