%define _unpackaged_files_terminate_build 1

%define pypi_name msal
%def_disable check

Name: python3-module-%pypi_name
Version: 1.31.1
Release: alt1

Summary: Microsoft Authentication Library (MSAL) for Python
License: MIT
Group: Development/Python3
Url:  https://pypi.org/project/msal
Vcs: https://github.com/AzureAD/microsoft-authentication-library-for-python.git

Source: https://pypi.io/packages/source/m/%pypi_name/%pypi_name-%version.tar.gz

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(wheel) python3(setuptools)

%description
The Microsoft Authentication Library for Python enables applications to
integrate with the Microsoft identity platform. It allows you to sign in
users or apps with Microsoft identities (Azure AD, Microsoft Accounts
and Azure AD B2C accounts) and obtain tokens to call Microsoft APIs such
as Microsoft Graph or your own APIs registered with the Microsoft
identity platform. It is built using industry standard OAuth2 and OpenID
Connect protocols.

%prep
%setup -n %pypi_name-%version

%build
%pyproject_build

%install
%pyproject_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
py.test-3 tests/

%files
%python3_sitelibdir_noarch/%pypi_name
%python3_sitelibdir_noarch/%{pyproject_distinfo %pypi_name}

%changelog
