%define oname munkres

%def_with check

Name: python3-module-%oname
Version: 1.1.4
Release: alt1
Summary: Munkres algorithm for the Assignment Problem
License: BSD
Group: Development/Python3
URL: https://pypi.org/project/munkres
VCS: https://github.com/bmc/munkres

Source: %name-%version.tar
# Fixes test error on i586
# https://github.com/bmc/munkres/pull/41
Patch: 380a0d593a0569a761c4a035edaa4414c3b4b31d.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname

%description
The Munkres module provides an implementation of the Munkres algorithm
(also called the Hungarian algorithm or the Kuhn-Munkres algorithm),
useful for solving the Assignment Problem.

%prep
%setup
%patch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%doc *.md
%python3_sitelibdir/%oname.py
%python3_sitelibdir/__pycache__
%python3_sitelibdir/%oname-%version.dist-info

%changelog
