Name: python3-module-mutagen
Version: 1.47.0
Release: alt1

Summary: Python module to handle audio metadata
License: GPLv2
Group: Development/Python
Url: https://pypi.org/project/mutagen/

Provides: mutagen = %version-%release
Obsoletes: mutagen

Source0: %name-%version-%release.tar

BuildArch: noarch
BuildRequires(pre): rpm-build-pyproject
BuildRequires: python3(poetry-core)
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)
BuildRequires: python3(pytest) python3(hypothesis)

%description
Mutagen is a Python module to handle audio metadata. It supports FLAC,
M4A, Musepack, MP3, Ogg FLAC, Ogg Speex, Ogg Theora, Ogg Vorbis, True
Audio, and WavPack audio files. All versions of ID3v2 are supported, and
all standard ID3v2.4 frames are parsed. It can read Xing headers to
accurately calculate the bitrate and length of MP3s. ID3 and APEv2 tags
can be edited regardless of audio format. It can also manipulate Ogg
streams on an individual packet/page level.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest tests

%files
%doc COPYING NEWS README.rst
%_bindir/*
%python3_sitelibdir/mutagen
%python3_sitelibdir/mutagen-%version.dist-info
%_man1dir/*

%changelog
