%define oname objgraph

%def_with check

Name: python3-module-%oname
Version: 3.6.2
Release: alt1

Summary: Draws Python object reference graphs with graphviz

License: MIT
Group: Development/Python3
URL:    https://pypi.org/project/objgraph/
VCS:    https://github.com/mgedmin/objgraph
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3

%if_with check
BuildRequires: graphviz
BuildRequires: fontconfig
BuildRequires: fonts-ttf-liberation
%endif

%description
objgraph is a module that lets you visually explore Python object
graphs.

You'll need graphviz if you want to draw the pretty graphs.

I recommend xdot for interactive use. pip install xdot should suffice;
objgraph will automatically look for it in your PATH.

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
%__python3 tests.py

%files
%doc *.rst docs
%python3_sitelibdir/%oname.py
%python3_sitelibdir/__pycache__
%python3_sitelibdir/%oname-%version-py%_python3_version.egg-info

%changelog
