%define oname oslo.serialization
%def_with check
%def_with docs

Name: python3-module-%oname
Version: 5.5.0
Release: alt1

Summary: OpenStack Oslo Serialization library

License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/oslo.serialization

Source: %oname-%version.tar
Source1: %oname.watch

BuildArch: noarch

Provides: python3-module-oslo-serialization = %EVR

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-pbr >= 2.0.0
BuildRequires: python3-module-msgpack >= 0.5.2
BuildRequires: python3-module-oslo.utils >= 3.33.0
BuildRequires: python3-module-pytz >= 2013.6

%if_with check
BuildRequires: python3-module-netaddr >= 0.7.18
BuildRequires: python3-module-stestr >= 2.0.0
BuildRequires: python3-module-oslotest >= 3.2.0
BuildRequires: python3-module-oslo.i18n >= 3.15.3
BuildRequires: python3-module-coverage >= 4.0
BuildRequires: python3-module-tzdata >= 2022.4
%endif

%if_with docs
BuildRequires: python3-module-sphinx
BuildRequires: python3-module-openstackdocstheme >= 1.18.1
%endif

%description
The oslo serialization library provides support for representing objects
in transmittable and storable formats, such as JSON and MessagePack.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
This package contains tests for %oname.

%if_with docs
%package doc
Summary: Documentation for %oname
Group: Development/Documentation
Provides: python3-module-oslo-serialization-doc = %EVR

%description doc
This package contains documentation for %oname.
%endif

%prep
%setup -n %oname-%version

# Remove bundled egg-info
rm -rfv *.egg-info

%build
%pyproject_build

%if_with docs
export PYTHONPATH="$PWD"
# generate html docs
sphinx-build-3 doc/source html
# generate man page
sphinx-build-3 -b man doc/source man
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install

%if_with docs
# install man page
install -pDm 644 man/osloserialization.1 %buildroot%_man1dir/osloserialization.1
%endif

%check
%__python3 -m stestr run

%files
%doc LICENSE AUTHORS ChangeLog *.rst
%python3_sitelibdir/oslo_serialization
%python3_sitelibdir/%oname-%version.dist-info
%exclude %python3_sitelibdir/oslo_serialization/tests

%files tests
%python3_sitelibdir/oslo_serialization/tests

%if_with docs
%files doc
%doc LICENSE *.rst html
%_man1dir/osloserialization.1.xz
%endif

%changelog
