%define _unpackaged_files_terminate_build 1

%define oname paginate

%def_with check

Name: python3-module-%oname
Version: 0.5.7
Release: alt1

Summary: Divides large result sets into pages for easier browsing
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/paginate

Source: %oname-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname

%description
This module helps divide up large result sets into pages or chunks. The
user gets displayed one page at a time and can navigate to other pages.
It is especially useful when developing web interfaces and showing the
users only a selection of information at a time.

%prep
%setup -n %oname-%version

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc README.md CHANGELOG.txt
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}


%changelog
