%define _unpackaged_files_terminate_build 1
%define pypi_name pkgconfig

%def_with check

Name: python3-module-%pypi_name
Version: 1.5.5
Release: alt3

Summary: Interface Python with pkg-config
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pkgconfig/
BuildArch: noarch

# https://github.com/matze/pkgconfig.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3

# build backend and its deps
BuildRequires: python3(poetry-core)

%if_with check
BuildRequires: /usr/bin/pkg-config
# cat data/fake-openssl.pc | grep Requires
BuildRequires: libssl-devel

BuildRequires: python3(pytest)
BuildRequires: python3(setuptools)
%endif

%description
%pypi_name is a Python module to interface with the pkg-config command line tool
for Python.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc *.rst
%python3_sitelibdir/pkgconfig/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
