%define _unpackaged_files_terminate_build 1
%define pypi_name platformdirs

%def_with check

Name: python3-module-%pypi_name
Version: 4.3.6
Release: alt1
Summary: Determining appropriate platform-specific dirs
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/platformdirs
VCS: https://github.com/tox-dev/platformdirs
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch

%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%if_with check
%pyproject_builddeps_metadata_extra test
%endif

%description
A small Python module for determining appropriate platform-specific dirs, e.g.
a "user data dir". When writing desktop application, finding the right location
to store user data and configuration varies per platform. Even for
single-platform apps, there may by plenty of nuances in figuring out the right
location.

%prep
%setup
%autopatch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -vra tests -Wignore

%files
%doc README.rst
%python3_sitelibdir/platformdirs/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
