%define oname pycerberus

# check needs pythonic_testcase, which nobody use except this project
# nobody packs it and seems it abandoned
%def_without check

Name: python3-module-%oname
Version: 0.7
Release: alt1
Summary: Highly flexible, no magic input validation library
License: MIT
Group: Development/Python3
URL: https://pypi.org/project/pycerberus
VCS: https://github.com/FelixSchwarz/pycerberus

Source: %name-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
%endif

# see comment above
%add_python3_req_skip pythonic_testcase

%description
pycerberus is a framework to check user data thoroughly so that you can
protect your application from malicious (or just garbled) input data.

%package tests
Summary: Tests for pycerberus
Group: Development/Python3
Requires: %name = %version-%release

%description tests
pycerberus is a framework to check user data thoroughly so that you can
protect your application from malicious (or just garbled) input data.

This package contains tests for pycerberus.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%doc *.txt docs
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.0.dist-info
%exclude %python3_sitelibdir/*/test*
%exclude %python3_sitelibdir/*/__pycache__/test*

%files tests
%python3_sitelibdir/*/test*
%python3_sitelibdir/*/__pycache__/test*

%changelog
