%define oname pyclipper

%def_with check

Name: python3-module-%oname
Version: 1.3.0.post6
Release: alt1

Summary: Cython wrapper for the C++ translation of the Angus Johnson's Clipper library
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pyclipper
Vcs: https://github.com/fonttools/pyclipper

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
BuildRequires: python3-module-Cython
BuildRequires: python3-module-setuptools_scm
BuildRequires: gcc-c++
%if_with check
BuildRequires: python3-module-pytest
%endif

%py3_provides %oname

%description
Pyclipper is a Cython wrapper exposing public functions and classes of
the C++ translation of the Angus Johnson's Clipper library.

%prep
%setup

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc README.*
%python3_sitelibdir/%oname
%python3_sitelibdir/%{pyproject_distinfo %oname}


%changelog
