%define _unpackaged_files_terminate_build 1
%define pypi_name pycodestyle

%def_with check

Name: python3-module-%pypi_name
Version: 2.12.1
Release: alt1

Summary: Python style guide checker
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pycodestyle/
Vcs: https://github.com/pycqa/pycodestyle
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_tox tox.ini testenv
%endif

%build
%pyproject_build

%install
%pyproject_install

mv %buildroot%_bindir/pycodestyle{,.py3}

%check
%pyproject_run_pytest -ra tests

%files
%doc README.rst LICENSE CONTRIBUTING.rst CHANGES.txt
%_bindir/pycodestyle.py3
%python3_sitelibdir/pycodestyle.py
%python3_sitelibdir/__pycache__/pycodestyle.cpython-*
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
