%define oname pylast

%def_with check

Name: python3-module-%oname
Version: 5.3.0
Release: alt1

Summary: A Python interface to Last.fm (and other API compatible social networks)

License: Apache-2.0
Group: Development/Python3
URL: https://pypi.org/project/pylast
VCS: https://github.com/pylast/pylast

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-hatchling
BuildRequires: python3-module-hatch-vcs
BuildRequires: python3-module-setuptools-scm

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-httpx
BuildRequires: python3-module-flaky
%endif

%description
A Python interface to Last.fm and other api-compatible websites such as
Libre.fm.

%prep
%setup

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%version
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%doc *.yaml *.md
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version.dist-info

%changelog
