%define _unpackaged_files_terminate_build 1

%define pypi_name pymunk
%define mod_name %pypi_name

Name: python3-module-%pypi_name
Version: 6.9.0
Release: alt1
Summary: Pymunk is a easy-to-use pythonic 2d physics library
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pymunk/
Vcs: https://github.com/viblo/pymunk
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Source2: modules.tar
# manually manage extras dependencies with metadata
AutoReq: yes, nopython3
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%description
Pymunk is an easy-to-use pythonic 2d physics library that can be used whenever
you need 2d rigid body physics from Python. Perfect when you need 2d physics in
your game, demo or simulation! It is built on top of the very capable 2d physics
library Chipmunk.

%package examples
Summary: Example files for %name
Group: Development/Python3
BuildArch: noarch
Provides: pymunk-examples = %EVR
Obsoletes: pymunk-examples <= 6.0.0-alt1

%description examples
Example files for %pypi_name

%prep
%setup -a2
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run -- bash -s <<-'ENDTESTS'
set -eu
mkdir temp
cd temp
python -m %pypi_name.tests
ENDTESTS

%files examples
%doc %mod_name/examples

%files
%python3_sitelibdir/%mod_name/
%exclude %python3_sitelibdir/%mod_name/examples/
%exclude %python3_sitelibdir/%mod_name/tests/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
