%define oname pysubnettree

Name: python3-module-%oname
Version: 0.37
Release: alt1

Summary: Provides maps subnets given in CIDR notation to Python objects

License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/pysubnettree

Source: pysubnettree-%version.tar.gz

Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>

BuildRequires(pre): rpm-build-python3
BuildRequires: gcc-c++

%description
The PySubnetTree package provides a Python data structure SubnetTree
which maps subnets given in CIDR notation to Python objects. Lookups are
performed by longest-prefix matching.

%prep
%setup -n pysubnettree-%version

%build
# Unfortunately build and install steps should be done at once
# because otherwise .pyo files won't get into INSTALLED_FILES
# record
%add_optflags -fno-strict-aliasing
%python3_build_debug \
    install --optimize=2 \
        --root=`pwd`/buildroot

%install
cp -pr buildroot %buildroot

install -d %buildroot%python3_sitelibdir
cp -fR buildroot/%python3_sitelibdir/* %buildroot%python3_sitelibdir/

%files
%doc CHANGES COPYING README
%python3_sitelibdir/SubnetTree.py
%python3_sitelibdir/_SubnetTree.cpython*.so
%python3_sitelibdir/__pycache__
%python3_sitelibdir/%oname-%version-py%_python3_version.egg-info

%changelog
