%define _unpackaged_files_terminate_build 1
%define pypi_name pytest-benchmark
%define mod_name pytest_benchmark

%def_with check

Name: python3-module-%pypi_name
Version: 5.1.0
Release: alt1
Summary: pytest fixture for benchmarking code
License: BSD-2-Clause
Group: Development/Python3
Url: https://pypi.org/project/pytest-benchmark/
Vcs: https://github.com/ionelmc/pytest-benchmark
BuildArch: noarch
Source: %name-%version.tar
Patch: %name-%version-alt.patch
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
# required for some tests
BuildRequires: /usr/bin/git
%add_pyproject_deps_check_filter hunter pygaljs
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
A pytest fixture for benchmarking code.

%prep
%setup
%patch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_tox tox.ini testenv
%endif

%build
%pyproject_build

%install
%pyproject_install
pushd %buildroot%_bindir
for i in $(ls); do
	mv $i ${i}.py3
done

%check
%pyproject_run_pytest -ra -Wignore

%files
%doc README.rst CHANGELOG.rst
%_bindir/py.test-benchmark.py3
%_bindir/pytest-benchmark.py3
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
