%define _unpackaged_files_terminate_build 1
%define pypi_name pytest-mock

%def_with check

Name: python3-module-%pypi_name
Version: 3.14.0
Release: alt1
Summary: Thin-wrapper around the mock package for easier use with py.test
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pytest-mock/
Vcs: https://github.com/pytest-dev/pytest-mock/
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
%py3_provides %pypi_name
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps_check
%endif

%description
Thin-wrapper around the mock package for easier use with py.test

This plugin installs a mocker fixture which is a thin-wrapper around the
patching API provided by the mock package, but with the benefit of not having
to worry about undoing patches at the end of a test

%prep
%setup
%patch -p1
%pyproject_scm_init
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_tox tox.ini testenv
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra -Wignore tests

%files
%doc CHANGELOG.rst README.rst
%python3_sitelibdir/pytest_mock/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
