%define _unpackaged_files_terminate_build 1
%define oname pytest-regtest

%def_with check

Name: python3-module-%oname
Version: 2.2.1
Release: alt1

Summary: pytest plugin for regression tests
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/pytest-regtest

Source0: %oname-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-hatchling
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-numpy
BuildRequires: python3-module-pandas
%endif

%py3_provides pytest_regtest
%add_python3_req_skip  pandas numpy

%description
pytest-regtest is a pytest-plugin for implementing regression tests. Compared
to functional testing a regression test does not test if software produces
correct results, instead a regression test checks if software behaves the same
way as it did before introduced changes.

%prep
%setup -q -n %{oname}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v tests/

%files
%doc README.*
%python3_sitelibdir/pytest_regtest
%python3_sitelibdir/pytest_regtest-%version.dist-info

%changelog
