%define oname pytest-spec

%def_with check

Name: python3-module-%oname
Version: 4.0.0
Release: alt1

Summary: pytest plugin to display test execution output like a SPECIFICATION

License: GPLv2+
Group: Development/Python3
URL: https://pypi.org/project/pytest-spec
VCS: https://github.com/pchomik/pytest-spec

BuildArch: noarch

Source0: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-poetry

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-mock
BuildRequires: python3-module-six
%endif

%py3_provides pytest_spec


%description
pytest plugin to display test execution output like a SPECIFICATION.

Available features:

* Format output to look like specification.
* Group tests by classes.
* Failed, passed and skipped are marked and colored.
* Remove test_ and underscores for every test.
* Method under test may be highlighted (method) like in example.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%doc *.md *txt
%python3_sitelibdir/pytest_spec
%python3_sitelibdir/pytest_spec-%version.dist-info

%changelog
