%def_without wx
%def_without qt4
%def_without pyside
%def_without pyside6
%def_without glib

Name: python3-module-pyudev
Version: 0.24.3
Release: alt1

Summary: Udev bindings for Python

License: LGPLv2.1+
Group: System/Libraries
URL: https://pypi.org/project/pyudev
VCS: https://github.com/pyudev/pyudev

BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3

%description
A Python binding to libudev, the hardware management library and service
found in modern linux systems.

%package -n python3-module-pyudev-qtbase
Summary: Udev Base mixin class for Qt4,Qt5 support
Group: Development/Python3
Requires: python3-module-pyudev = %EVR
%description -n python3-module-pyudev-qtbase
Udev Base mixin class for Qt4,Qt5 support

%package -n python3-module-pyudev-pyqt5
Summary:            Udev PyQt5 bindings for Python
Group:              Development/Python3
Requires: python3-module-pyudev = %EVR python3-module-pyudev-qtbase = %EVR
%description -n python3-module-pyudev-pyqt5
A Python PyQt5 binding to libudev, the hardware management library and
service found in modern linux systems.

%package -n python3-module-pyudev-pyqt4
Summary:            Udev PyQt4 bindings for Python
Group:              Development/Python3
Requires: python3-module-pyudev = %EVR python3-module-pyudev-qtbase = %EVR
%description -n python3-module-pyudev-pyqt4
A Python3 PyQt4 binding to libudev, the hardware management library and
service found in modern linux systems.

%package -n python3-module-pyudev-pyside
Summary:            Udev PySide bindings for Python
Group:              Development/Python3
Requires: python3-module-pyudev = %EVR
%description -n python3-module-pyudev-pyside
A Python PySide binding to libudev, the hardware management library and
service found in modern linux systems.

%package -n python3-module-pyudev-pyside6
Summary:            Udev PySide6 bindings for Python
Group:              Development/Python3
Requires: python3-module-pyudev = %EVR
%description -n python3-module-pyudev-pyside6
A Python PySide6 binding to libudev, the hardware management library and
service found in modern linux systems.

%package -n python3-module-pyudev-glib
Summary:            Udev Glib bindings for Python
Group:              Development/Python3
Requires: python3-module-pyudev = %EVR
%description -n python3-module-pyudev-glib
A Python Glib binding to libudev, the hardware management library and
service found in modern linux systems.

%package -n python3-module-pyudev-wx
Summary:            Udev Wx bindings for Python
Group:              Development/Python3
Requires: python3-module-pyudev = %EVR
%description -n python3-module-pyudev-wx
A Python Wx binding to libudev, the hardware management library and
service found in modern linux systems.

%prep
%setup

%build
%python3_build

%install
%python3_install

%files
%doc CHANGES.rst COPYING README.rst
%python3_sitelibdir/pyudev
%exclude %python3_sitelibdir/pyudev/pyqt?.p*
%exclude %python3_sitelibdir/pyudev/_qt_base.p*
%exclude %python3_sitelibdir/pyudev/glib.p*
%exclude %python3_sitelibdir/pyudev/pyside.p*
%exclude %python3_sitelibdir/pyudev/pyside6.p*
%exclude %python3_sitelibdir/pyudev/wx.p*
%python3_sitelibdir/pyudev-*

%files -n python3-module-pyudev-qtbase
%python3_sitelibdir/pyudev/_qt_base.p*

%if_with qt4
%files -n python3-module-pyudev-pyqt4
%python3_sitelibdir/pyudev/pyqt4.p*
%endif

%files -n python3-module-pyudev-pyqt5
%python3_sitelibdir/pyudev/pyqt5.p*

%if_with glib
%files -n python3-module-pyudev-glib
%python3_sitelibdir/pyudev/glib.p*
%endif

%if_with pyside
%files -n python3-module-pyudev-pyside
%python3_sitelibdir/pyudev/pyside.p*
%endif

%if_with pyside6
%files -n python3-module-pyudev-pyside6
%python3_sitelibdir/pyudev/pyside6.p*
%endif

%if_with wx
%files -n python3-module-pyudev-wx
%python3_sitelibdir/pyudev/wx.p*
%endif

%changelog
