%define  modulename pyvmomi

%def_without check

Name:    python3-module-%modulename
Version: 8.0.3.0.1
Release: alt1

Summary: VMware vSphere API Python Bindings

License: Apache-2.0
Group:   Development/Python3
URL:     https://github.com/vmware/pyvmomi

Packager: Andrey Cherepanov <cas@altlinux.org>

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-urllib3
BuildRequires: python3-module-vcrpy
%endif

BuildArch: noarch

Source:  %name-%version.tar

%add_python3_self_prov_path %buildroot%python3_sitelibdir/pyVmomi/

%description
pyVmomi is the Python SDK for the VMware vSphere API that allows you to
manage ESX, ESXi, and vCenter.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%python3_sitelibdir/pyVmomi
%python3_sitelibdir/pyVim
%python3_sitelibdir/vsanapiutils.py
%python3_sitelibdir/vsanmgmtObjects.py
%python3_sitelibdir/__pycache__
%python3_sitelibdir/pyvmomi-%version.dist-info

%changelog
