%def_disable snapshot
%define pypi_name pyxdg
%def_enable check

Name: python3-module-%pypi_name
Version: 0.28
Release: alt1.2

Summary: Implementations of freedesktop.org standards in Python 3
License: LGPL-2.0
Group: Development/Python3
Url: http://freedesktop.org/Software/pyxdg
Packager: Python Development Team <python@packages.altlinux.org>

%if_disabled snapshot
Vcs: https://github.com/takluyver/pyxdg.git
Source: https://github.com/takluyver/pyxdg/archive/rel-%version/%pypi_name-%version.tar.gz
%else
Vcs: https://gitlab.freedesktop.org/xdg/pyxdg.git
Source: %pypi_name-%version.tar
%endif

BuildArch: noarch

Requires: shared-mime-info
Provides: %pypi_name = %EVR

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel python3-module-setuptools python3-module-wheel
%{?_enable_check:BuildRequires: python3(pytest) python3(imp) shared-mime-info}

%description
PyXDG contains implementations of freedesktop.org standards in Python 3.

%prep
%setup -n %pypi_name%{?_disable_snapshot:-rel}-%version

%build
%pyproject_build

%install
%pyproject_install

%check
PYTHONPATH=%buildroot%python3_sitelibdir py.test-3

%files
%python3_sitelibdir/xdg/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}
%doc AUTHORS ChangeLog README TODO


%changelog
