%define oname repoze.xmliter

%def_with check

Name: python3-module-%oname
Version: 0.6.1
Release: alt2

Summary: Wrapper for lxml trees which serializes to string upon iteration

License: BSD
Group: Development/Python3
Url: https://github.com/repoze/repoze.xmliter

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3

BuildPreReq: python3-devel python3-module-setuptools
%if_with check
BuildRequires: python3-module-lxml
%endif

%py3_requires repoze lxml


%description
This package provides a wrapper for ``lxml`` trees which serializes to
string on iteration, but otherwise makes the tree available in an
attribute.

The primary for this is WSGI middleware which may avoid
needless XML parsing and serialization.


%prep
%setup

%build
%python3_build

%install
%python3_install
%python3_prune
%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif
rm -fv %buildroot%python3_sitelibdir/*.pth
rm -fv %buildroot%python3_sitelibdir/repoze/xmliter/tests.py

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
%__python3 -m unittest discover -v

%files
%doc *.txt
%python3_sitelibdir/*

%changelog
