%define _unpackaged_files_terminate_build 1
%define pypi_name rfc3986
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 2.0.0
Release: alt1
Summary: Validating URI References per RFC 3986
License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/rfc3986/
Vcs: https://github.com/python-hyper/rfc3986
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra idna2008
%pyproject_builddeps_check
%endif

%description
A Python implementation of RFC 3986 including validation and authority parsing.

%prep
%setup
%patch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile dev-requirements.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra tests

%files
%doc README.rst LICENSE
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
