%define _unpackaged_files_terminate_build 1
%define oname robotframework-debuglibrary

%def_with check

Name: python3-module-%oname
Version: 2.2.2
Release: alt2

Summary: RobotFramework debug library and an interactive shell
License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/robotframework-debuglibrary/

BuildArch: noarch

# https://github.com/xyb/robotframework-debuglibrary.git
Source: %name-%version.tar

Patch1: %oname-2.2.2-tests-Drop-dependency-on-coverage.patch
Patch2: %oname-2.2.2-fail-Fixed-expected-attr-name-for-robotframework-5.0.patch
Patch3: %oname-2.2.2-tests-Make-selenium-tests-conditional.patch
Patch4: %oname-2.2.2-tests-Mark-step_functional_testing-as-xfail.patch
Patch5: %oname-2.2.2-deps-Unpin-upper-version-of-prompt-toolkit.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
BuildRequires: /dev/pts
# install_requires=
BuildRequires: python3(prompt_toolkit)
BuildRequires: python3(robotframework)

BuildRequires: python3(coverage)
BuildRequires: python3(pexpect)
BuildRequires: python3(tox)
%endif

%description
Robotframework-DebugLibrary is A debug library for RobotFramework, which
can be used as an interactive shell(REPL) also.

%prep
%setup
%autopatch1 -p1

sed -i 's|^#!/usr/bin/env python$|#!/usr/bin/env python3|' \
    $(find ./ -name '*.py')

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_create_default_config
%tox_check_pyproject

%files
%doc LICENSE
%doc ChangeLog *.rst
%_bindir/*
%python3_sitelibdir/DebugLibrary
%python3_sitelibdir/robotframework_debuglibrary-%version.dist-info

%changelog
