%define _unpackaged_files_terminate_build 1
%define pypi_name semantic_version

%def_with bootstrap
%def_without check

Name: python3-module-%pypi_name
Version: 2.10.0
Release: alt3
Summary: A library implementing the 'SemVer' scheme
License: BSD-2-Clause
Group: Development/Python3
Url: https://pypi.org/project/semantic-version
Vcs: https://github.com/rbarrois/python-semanticversion
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name

%pyproject_runtimedeps_metadata
# mapping from PyPI name
Provides: python3-module-%{pep503_name %pypi_name} = %EVR
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%add_pyproject_deps_check_filter readme-renderer tox zest.releaser check-manifest
%pyproject_builddeps_metadata_extra dev
BuildRequires: python3-module-django-dbbackend-sqlite3
%endif

%description
This small python library provides a few tools to handle `SemVer`_ in Python.
It follows strictly the 2.0.0 version of the SemVer scheme.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%if_with bootstrap
rm -f %buildroot%python3_sitelibdir/%pypi_name/django_fields.py
%endif

%check
# .github/workflows/test.yml => tox => make test
%pyproject_run -- make test

%files
%doc README.rst
%python3_sitelibdir/semantic_version/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}

%changelog
