%define _unpackaged_files_terminate_build 1
%define oname shortuuid

%def_with check

Name: python3-module-%oname
Version: 1.0.13
Release: alt1

Summary: A generator library for concise, unambiguous and URL-safe UUIDs

License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.org/project/shortuuid/

BuildArch: noarch

# Source-url: https://github.com/skorokithakis/shortuuid.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-poetry-core
%if_with check
BuildRequires: python3-module-pytest
%endif

%description
A library that generates short, pretty, unambiguous unique IDs by using
an extensive, case-sensitive alphabet and omitting similar-looking
letters and numbers.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install
# strip tests
rm %buildroot%python3_sitelibdir/%oname/test_shortuuid.py
# remove strange COPYING file
rm %buildroot%python3_sitelibdir/COPYING

%check
%pyproject_run_pytest -v

%files
%doc README.md
%_bindir/%oname
%python3_sitelibdir/%oname/
%python3_sitelibdir/%oname-%version.dist-info

%changelog
