%define oname skosprovider

%def_with check

Name: python3-module-%oname
Version: 1.2.0
Release: alt1

Summary: Abstraction layer for SKOS vocabularies

License: MIT
Group: Development/Python3
Url: https://pypi.org/project/skosprovider/
Vcs: https://github.com/koenedaele/skosprovider.git

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-rfc3987
BuildRequires: python3-module-language-tags
BuildRequires: python3-module-html5lib
%endif

%description
This library helps abstract vocabularies (thesauri, controlled lists,
authority files). It depends heavily on the SKOS specification, but adds
elements of other specifications such as the ISO 25964 SKOS extension
where deemed useful.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install

%check
export PYTHONPATH=%buildroot%python3_sitelibdir
py.test-3

%files
%doc *.rst LICENSE
%python3_sitelibdir/%oname
%python3_sitelibdir/%oname-%version-*.egg-info

%changelog
