%define oname sqlalchemy-citext

%def_with check

Name: python3-module-%oname
Version: 1.8.0
Release: alt1

Summary: A sqlalchemy plugin that allows postgres use of CITEXT
License: MIT and BSD-4-Clause
Group: Development/Python3
Url: https://pypi.org/project/sqlalchemy-citext/
Vcs: https://github.com/mahmoudimus/sqlalchemy-citext.git
BuildArch: noarch

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-psycopg2
BuildRequires: python3-module-sqlalchemy
%endif

%py3_provides citext
%py3_requires sqlalchemy psycopg2


%description
Creates a SQLAlchemy user defined type to understand PostgreSQL's CIText
extension.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc README.*
%python3_sitelibdir/citext
%python3_sitelibdir/sqlalchemy_citext-%version.dist-info

%changelog
