%define modulename textile

%def_with check

Name: python3-module-%modulename
Version: 4.0.3
Release: alt1

Summary: This is Textile. A Humane Web Text Generator

Group: Development/Python3
License: BSD-3-Clause
URL: https://pypi.org/project/textile/
VCS: https://github.com/textile/python-textile

Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-pytest
BuildRequires: python3-module-pytest-cov
BuildRequires: python3-module-nh3
%endif

%description
Textile is a XHTML generator using a simple markup developed by Dean
Allen. This is a Python port with support for code validation, itex to
MathML translation, Python code coloring and much more.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest

%files
%doc *.txt *.textile
%_bindir/pytextile
%python3_sitelibdir/%modulename
%python3_sitelibdir/%{pyproject_distinfo %modulename}


%changelog
