%define _unpackaged_files_terminate_build 1
%define oname tokenlib

%def_with check

Name: python3-module-%oname
Version: 2.0.0
Release: alt2

Summary: Generic support library for signed-token-based auth schemes
License: MPL-2.0
Group: Development/Python3
Url: https://pypi.python.org/pypi/tokenlib/
# https://github.com/mozilla-services/tokenlib.git
BuildArch: noarch
Source: %name-%version.tar
Patch0: %name-%version-alt.patch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3(setuptools)
BuildRequires: python3(wheel)

%if_with check
BuildRequires: python3(tox)
BuildRequires: python3(tox_no_deps)
BuildRequires: python3(tox_console_scripts)
%endif

%description
This is generic support library for doing token-based authentication.
You might use it to build a login system using bearer tokens, two-legged
oauth, or MAC Access authentication.

%prep
%setup
%autopatch -p1

# hotfix for python3.12
sed -i 's/assertEquals/assertEqual/' tokenlib/tests/test_utils.py tokenlib/tests/test_tokens.py
sed -i 's/assertNotEquals/assertNotEqual/' tokenlib/tests/test_tokens.py

%build
%pyproject_build

%install
%pyproject_install

%check
%tox_check_pyproject

%files
%doc *.txt *.rst
%python3_sitelibdir/%oname/
%python3_sitelibdir/%oname-%version.dist-info/
%exclude %python3_sitelibdir/%oname/tests/

%changelog
