Version: 3.2.4
Release: alt4

%def_enable doc

Summary: Toy Parser Generator is syntax analyzer under Python
Summary(ru_RU.UTF-8): Простой, но мощный синтаксический анализатор Toy Parser Generator
%define nameUC TPG
Name: python3-module-tpg
Source: TPG-%version.tar.gz
License: LGPL-2.1
Group: Development/Python3
Url: http://christophe.delord.free.fr/tpg/index.html
Buildarch: noarch
Patch: TPG-python321esc.patch
Patch1: TPG-beautify.patch
PAtch2: TPG-double_exception.patch

# Automatically added by buildreq on Wed Jan 31 2024
# optimized out: bash5 libgpg-error libx265-199 python3 python3-base python3-dev python3-module-pkg_resources python3-module-py3dephell python3-module-setuptools sh5 tex-common texlive texlive-collection-basic texlive-dist
BuildRequires: python3-module-pyproject-installer python3-module-wheel python3-module-setuptools

%if_enabled doc
BuildRequires: tex4ht texlive-collection-latexrecommended tex(a4wide.sty)
%endif

%description
Toy Parser Generator is a lexical and syntactic parser generator for Python.
This generator was born from a simple statement: YACC is to complex to use in
simple cases (calculators, configuration files, small programming languages).

%description -l ru_RU.UTF-8
Toy Parser Generator -- это лексический и синтаксический анализатор,
порождающий код на Python. Идея автора была в том, чтобы в простых случаях
(калькуляторы, анализаторы конфигурационных файлов, встроенные языки
программирования) заменить YACC более простым и высокоуровневым инструментом.

%prep
%setup -n TPG-%version
%patch -p2
%patch1 -p3
%patch2 -p2

%build
%pyproject_build

%if_enabled doc
	cd doc
	pdflatex tpg
	htlatex tpg
    cd ..
%endif

%install
%pyproject_install

%files
%if_enabled doc
%doc doc/*.{png,pdf,html,css}
%endif
%doc examples
%_bindir/*
%python3_sitelibdir/*

%changelog
