%define _unpackaged_files_terminate_build 1
%define pypi_name transitions
%define mod_name %pypi_name

%def_with check

Name: python3-module-%pypi_name
Version: 0.9.2
Release: alt1

Summary: A lightweight, object-oriented Python state machine implementation
License: MIT
Group: Development/Python3
Url: https://pypi.org/project/transitions/
Vcs: https://github.com/pytransitions/transitions
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata
%pyproject_builddeps -- check_pipfile1 --exclude %pyproject_deps_check_filter
%pyproject_builddeps -- check_pipfile2 --exclude %pyproject_deps_check_filter
# dot's output is polluted with
# Fontconfig error: Cannot load default config file: No such file: (null)
# if /etc/fonts/fonts.conf is missing
BuildRequires: fontconfig
# still required for rendering
BuildRequires: fonts-ttf-dejavu
%endif

%description
A lightweight, object-oriented finite state machine implementation in
Python.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync check_pipfile1 pip_reqfile requirements_test.txt
%pyproject_deps_resync check_pipfile2 pip_reqfile requirements_diagrams.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -ra -Wignore tests

%files
%doc *.md
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
