%define oname ua_parser
%def_disable check

Name: python3-module-%oname
Version: 0.4.1
Release: alt3.1
Summary: Python port of Browserscope's user agent parser
License: ASLv2.0
Group: Development/Python3
Url: https://pypi.python.org/pypi/ua-parser/

# https://github.com/tobie/ua-parser.git
Source: %name-%version.tar
BuildArch: noarch
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-pytest python3-module-yaml

%py3_provides %oname

%add_python3_self_prov_path %buildroot%python3_sitelibdir/%oname/user_agent_parser.py

%description
The crux of the original parser--the data collected by Steve Souders
over the years--has been extracted into a separate YAML file so as to be
reusable as is by implementations in other programming languages.

ua-parser is just a small wrapper around this data.

%prep
%setup

cp -v regexes.* uap-core/
cp -v regexes.* py/ua_parser/

%build
%python3_build

%install
%python3_install
install -m644 py/%oname/regexes.* %buildroot%python3_sitelibdir/%oname/

%check
python3 setup.py test
rm -fR build
export PYTHONPATH=%buildroot%python3_sitelibdir
py.test

%files
%doc *.md *.txt *.markdown
%python3_sitelibdir/*

%changelog
