%define oname usersettings

%def_with check

Name: python3-module-%oname
Version: 1.1.5
Release: alt2

Summary: Portable Local Settings Storage
License: BSD-3-Clause
Group: Development/Python3
Url: https://pypi.python.org/pypi/usersettings/
VCS: https://github.com/glvnst/usersettings.git

Source: %name-%version.tar
Patch: usersettings-1.1.5-replace-readfp-alt-fix.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-appdirs
BuildRequires: python3-module-pytest
%endif

%description
"usersettings" is a python module for easily managing persistent
settings using an editable format and stored in an OS-appropriate
location (windows/os x/linux are supported).

%prep
%setup
%patch -p1

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -v

%files
%doc *.md docs/* examples
%python3_sitelibdir/%oname.py
%python3_sitelibdir/__pycache__
%python3_sitelibdir/%oname-%version.dist-info


%changelog
