Name: python3-module-uvicorn
Version: 0.32.0
Release: alt1

Summary: An ASGI web server, for Python
License: BSD-3-Clause
Group: Development/Python
Url: https://pypi.org/project/uvicorn/

Source0: %name-%version-%release.tar
Source1: pyproject_deps.json

BuildArch: noarch
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

BuildRequires: python3(pytest)
BuildRequires: python3(pytest-mock)
BuildRequires: python3(click)
BuildRequires: python3(h11)
BuildRequires: python3(typing_extensions)
BuildRequires: python3(trustme)
BuildRequires: python3(yaml)
BuildRequires: python3(httpx)
BuildRequires: python3(asgiref)
BuildRequires: python3(websockets)
BuildRequires: python3(wsproto)
BuildRequires: python3(watchfiles)
BuildRequires: python3(watchgod)
BuildRequires: python3(httptools)
BuildRequires: python3(dotenv)
BuildRequires: python3(a2wsgi)

%description
Uvicorn is an ASGI web server implementation for Python.

Until recently Python has lacked a minimal low-level server/application
interface for async frameworks. The ASGI specification fills this gap,
and means we're now able to start building a common set of tooling usable
across all async frameworks.

Uvicorn supports HTTP/1.1 and WebSockets.

%prep
%setup
%pyproject_deps_resync_build

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_pytest -W ignore::DeprecationWarning tests

%files
%_bindir/uvicorn
%python3_sitelibdir/uvicorn
%python3_sitelibdir/uvicorn-%version.dist-info

%changelog
