%define _unpackaged_files_terminate_build 1
%define pypi_name watchdog

%def_with check

%define add_python_extra() \
%{expand:%%package -n %%name+%1 \
Summary: %%summary \
Group: Development/Python3 \
Requires: %%name \
%%pyproject_runtimedeps_metadata_extra %1 \
%%description -n %%name+%1' \
Extra "%1" for %%pypi_name. \
%%files -n %%name+%1 \
}

Name: python3-module-%pypi_name
Version: 6.0.0
Release: alt1

Summary: Filesystem events monitoring
License: Apache-2.0
Group: Development/Python3
Url: https://pypi.org/project/watchdog/
VCS: https://github.com/gorakhargosh/watchdog.git

BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
# manually manage runtime dependencies with metadata
AutoReq: yes, nopython3
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra watchmedo
%pyproject_builddeps_check
# required by raise_nofile fixture (see tests/test_inotify_c.py)
BuildRequires: /proc
%endif

Conflicts: python-module-watchdog

%add_python_extra watchmedo

%description
Python API and shell utilities to monitor file system events.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata
%if_with check
%pyproject_deps_resync_check_pipreqfile requirements-tests.txt
%endif

%build
%pyproject_build

%install
%pyproject_install

%check
export NO_SUDO=YES
%pyproject_run_pytest -ra -o=addopts=-Wignore

%files
%doc README.*
%_bindir/watchmedo
%python3_sitelibdir/watchdog/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
