%define _unpackaged_files_terminate_build 1
%define oname zope.browser

%def_with check

Name: python3-module-%oname
Version: 3.0
Release: alt2

Summary: Shared Zope Toolkit browser components
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/zope.browser/
Vcs: https://github.com/zopefoundation/zope.browser.git

Source: %name-%version.tar
# mapping from PyPI name
# https://www.altlinux.org/Management_of_Python_dependencies_sources#Mapping_project_names_to_distro_names
Provides: python3-module-%{pep503_name %oname} = %EVR

BuildRequires(pre): rpm-build-python3

BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-zope.testrunner
%endif

%py3_requires zope

%description
This package provides shared browser components for the Zope Toolkit.

%package tests
Summary: Tests for %oname
Group: Development/Python3
Requires: %name = %EVR

%description tests
This package contains tests for %oname.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

%check
%pyproject_run -- zope-testrunner --test-path=src -vv

%files
%doc LICENSE.txt *.rst
%python3_sitelibdir/zope/browser/
%python3_sitelibdir/%oname-%version.dist-info/
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/zope/browser/tests.*
%exclude %python3_sitelibdir/zope/browser/*/tests.*

%files tests
%python3_sitelibdir/zope/browser/tests.*
%python3_sitelibdir/zope/browser/*/tests.*

%changelog
