%define _unpackaged_files_terminate_build 1

%define pypi_name zope.componentvocabulary

%def_with check

Name: python3-module-%pypi_name
Version: 2.3.0
Release: alt2

Summary: Component vocabularies
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/zope.componentvocabulary/
Vcs: https://github.com/zopefoundation/zope.componentvocabulary

Source: %name-%version.tar
Source1: %pyproject_deps_config_name
# setuptools(pkg_resources) is used by namespace root that is packaged
# separately at python3-module-zope
%add_pyproject_deps_runtime_filter setuptools
%pyproject_runtimedeps_metadata
# namespace root
%py3_requires zope
# mapping from PyPI name
# https://www.altlinux.org/Management_of_Python_dependencies_sources#Mapping_project_names_to_distro_names
Provides: python3-module-%{pep503_name %pypi_name} = %EVR
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build
%if_with check
%pyproject_builddeps_metadata_extra test
BuildRequires: python3-module-zope.component-tests
%endif

%description
This package contains various vocabularies.

%package tests
Summary: Tests for zope.componentvocabulary
Group: Development/Python3
Requires: %name = %EVR
%py3_requires zope.component

%description tests
This package contains tests for zope.componentvocabulary.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
    %buildroot%python3_sitelibdir/
%endif

%check
%pyproject_run -- zope-testrunner --test-path=src -vc

%files
%doc *.txt *.rst
%python3_sitelibdir/zope/componentvocabulary/
%python3_sitelibdir/%pypi_name-%version.dist-info/
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests

%files tests
%python3_sitelibdir/*/*/tests


%changelog
