%define pypi_name zope.deprecation

%def_with check

Name: python3-module-%pypi_name
Epoch: 1
Version: 5.0
Release: alt2

Summary: Zope Deprecation Infrastructure
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/zope.deprecation/
Vcs: https://github.com/zopefoundation/zope.deprecation.git

Source: %name-%version.tar
# mapping from PyPI name
# https://www.altlinux.org/Management_of_Python_dependencies_sources#Mapping_project_names_to_distro_names
Provides: python3-module-%{pep503_name %pypi_name} = %EVR

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel

%if_with check
BuildRequires: python3-module-zope.testrunner
%endif

%py3_requires zope

%description
This package provides a simple function called deprecated(names, reason)
to mark deprecated modules, classes, functions, methods and properties.

%package tests
Summary: Tests for Zope 3 Deprecation Infrastructure (Python 3)
Group: Development/Python3
Requires: %name = %EVR
%py3_requires zope.testing
%add_python3_req_skip deprecation

%description tests
This package provides a simple function called deprecated(names, reason)
to mark deprecated modules, classes, functions, methods and properties.

This package contains tests for Zope Deprecation Infrastructure.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

%check
%pyproject_run -- zope-testrunner --test-path=src -vc

%files
%doc *.txt
%python3_sitelibdir/zope/deprecation/
%python3_sitelibdir/%pypi_name-%version.dist-info/
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests.*
%exclude %python3_sitelibdir/*/*/__pycache__/tests.*

%files tests
%python3_sitelibdir/*/*/tests.*
%python3_sitelibdir/*/*/__pycache__/tests.*

%changelog
