%define _unpackaged_files_terminate_build 1
%define oname zope.location

%def_with check

Name: python3-module-%oname
Version: 5.0
Release: alt1.1

Summary: Zope Location
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/zope.location/
Vcs: https://github.com/zopefoundation/zope.location.git

Source: %name-%version.tar
# mapping from PyPI name
# https://www.altlinux.org/Management_of_Python_dependencies_sources#Mapping_project_names_to_distro_names
Provides: python3-module-%{pep503_name %oname} = %EVR

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-zope.testing
BuildRequires: python3-module-zope.testrunner
BuildRequires: python3-module-zope.copy
BuildRequires: python3-module-zope.component
BuildRequires: python3-module-zope.configuration
%endif

%py3_requires zope.configuration
%py3_requires zope.interface
%py3_requires zope.proxy
%py3_requires zope.schema

%description
In Zope3, location are special objects that has a structural location.

%package tests
Summary: Tests for Zope Location
Group: Development/Python3
Requires: %name = %EVR

%description tests
This package contains tests for %oname.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

%check
%pyproject_run -- zope-testrunner --test-path=src -vc

%files
%doc LICENSE.txt *.rst
%python3_sitelibdir/zope/location/
%python3_sitelibdir/%oname-%version.dist-info/
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/zope/location/tests

%files tests
%python3_sitelibdir/zope/location/tests

%changelog
