%define pypi_name zope.sequencesort

%def_with check

Name: python3-module-%pypi_name
Version: 5.0
Release: alt1

Summary: Sequence Sorting
License: ZPL-2.1
Group: Development/Python3
Url: https://pypi.org/project/zope.sequencesort/
Vcs: https://github.com/zopefoundation/zope.sequencesort

Source: %name-%version.tar

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-wheel
%if_with check
BuildRequires: python3-module-zope.testrunner
%endif

%py3_requires zope


%description
This package provides support for sorting sequences based on multiple keys,
including locale-based comparisons and per-key directions.

%package tests
Summary: Tests for zope.sequencesort
Group: Development/Python3
Requires: %name = %EVR
%py3_requires zope.testing

%description tests
This package provides support for sorting sequences based on multiple keys,
including locale-based comparisons and per-key directions.

This package contains tests for zope.sequencesort.

%prep
%setup

%build
%pyproject_build

%install
%pyproject_install

%if "%python3_sitelibdir_noarch" != "%python3_sitelibdir"
install -d %buildroot%python3_sitelibdir
mv %buildroot%python3_sitelibdir_noarch/* \
	%buildroot%python3_sitelibdir/
%endif

%check
%pyproject_run -- zope-testrunner --test-path=src -vc

%files
%doc CHANGES.rst LICENSE.txt README.rst
%python3_sitelibdir/zope/sequencesort/
%python3_sitelibdir/%pypi_name-%version.dist-info/
%exclude %python3_sitelibdir/*.pth
%exclude %python3_sitelibdir/*/*/tests

%files tests
%python3_sitelibdir/*/*/tests


%changelog
