%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1
%set_verify_elf_method strict

Name: qstat
Version: 2.17
Release: alt1
Summary: Game server browsing utility
License: Artistic-2.0
Group: Networking/Other
URL: https://github.com/multiplay/qstat

Source: %name-%version.tar

%description
QStat is a command-line program that displays information about
Internet game servers. The servers are either down, non-responsive,
or running a game. For servers running a game, the server name, map
name, current number of players, and response time are displayed.
Server rules and player information may also be displayed.
Games supported include Quake, QuakeWorld, Hexen II, Quake II,
HexenWorld, Unreal, Half-Life, Sin, Shogo, Tribes, Tribes 2,
Quake III: Arena, BFRIS, Kingpin, and Heretic II, Unreal Tournament,
Soldier of Fortune, Rogue Spear, Redline, Turok II, Blood 2,
Descent 3, Drakan, KISS, Nerf Arena Blast, Rally Master,
Terminous, Wheel of Time, and Daikatana.

%prep
%setup

%build
%add_optflags -D_FILE_OFFSET_BITS=64
export QSTAT_VERSION=v%version
%autoreconf
%configure --enable-dump

%make_build

%install
%__mkdir -p %buildroot{%_sysconfdir,%_bindir}
%__install -m755 qstat %buildroot%_bindir
%__install -m644 qstat.cfg %buildroot%_sysconfdir
%__cat contrib.cfg >> %buildroot%_sysconfdir/qstat.cfg
#Remove Makefile from Doc directory
rm -f template/Makefile*

%files
%doc *.txt *.md *.html *.cfg template
%config %_sysconfdir/qstat.cfg
%_bindir/qstat

%changelog
