%def_enable qt6

%define rdn_name org.rncbc.qsynth

Name: qsynth
Version: 1.0.2
Release: alt1

Summary: QSynth is a GUI front-end for FluidSynth
Summary(ru_RU.UTF-8): QSynth - это графическая надстройка над FluidSynth
Group: Sound
License: GPL-2.0-or-later
Url: https://%name.sourceforge.net

Vcs: https://github.com/rncbc/qsynth.git
Source: https://prdownloads.sourceforge.net/%name/%name-%version.tar.gz

Requires: fluidsynth

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake gcc-c++ ladspa_sdk libfluidsynth-devel libXext-devel
%if_enabled qt6
BuildRequires: qt6-tools-devel qt6-tools-devel qt6-svg-devel
%else
BuildRequires: qt5-tools-devel qt5-x11extras-devel
%endif

%description
QSynth is a fluidsynth GUI front-end application. Eventually it may
evolve into a softsynth management application allowing the user to
control and manage a variety of command line softsynth but for the
moment it wraps the excellent Fluidsynth. Fluidsynth is a command line
software synthesiser based on the Soundfont specification.

%description -l ru_RU.UTF-8
QSynth -- это графическая надстройка над FluidSynth. В будущем
программа может превратиться в универсальный фронт-энд для многих
других синтезаторов, работающих из командной строки, но пока
используется только FluidSynth. FluidSynth же, в свою очередь,
является программным синтезатором на основе спецификаций SoundFont 2.

%define qtdir %_libdir/qt4

%prep
%setup

%build
%add_optflags %(getconf LFS_CFLAGS)
%cmake
%cmake_build

%install
%cmake_install
%find_lang --with-qt --with-man --all-name --output=%name.lang %name

%files -f %name.lang
%_bindir/%name
%_desktopdir/*
%_iconsdir/hicolor/*/*/*.*
%dir %_datadir/%name
%dir %_datadir/%name/translations
%_datadir/%name/palette/
%_datadir/metainfo/%rdn_name.metainfo.xml
%_man1dir/%name.1.*
%doc ChangeLog README

%changelog
