%define rname rocs

%define rocsgraphtheory_sover 0
%define librocsgraphtheory librocsgraphtheory%rocsgraphtheory_sover

Name: %rname
Version: 24.08.2
Release: alt1
%K5init

Group: Education
Summary: Graph Theory
Url: http://www.kde.org
License: GPL-2.0-or-later

Provides:  kde5-rocs = %EVR
Obsoletes: kde5-rocs < %EVR

Source: %rname-%version.tar

BuildRequires(pre): rpm-build-kf5
BuildRequires: boost-devel extra-cmake-modules grantlee5-devel
BuildRequires: qt5-script-devel qt5-svg-devel qt5-declarative-devel qt5-xmlpatterns-devel
BuildRequires: kf5-karchive-devel kf5-kauth-devel kf5-kbookmarks-devel kf5-kcodecs-devel kf5-kcompletion-devel kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel kf5-kcoreaddons-devel kf5-kcrash-devel kf5-kdeclarative-devel kf5-kdelibs4support
BuildRequires: kf5-kdoctools-devel kf5-ki18n-devel kf5-kio-devel kf5-kitemviews-devel kf5-kjobwidgets-devel
BuildRequires: kf5-kpackage-devel kf5-kparts-devel kf5-kservice-devel kf5-ktexteditor-devel kf5-ktextwidgets-devel
BuildRequires: kf5-kwidgetsaddons-devel kf5-kxmlgui-devel kf5-solid-devel kf5-sonnet-devel kf5-syntax-highlighting-devel

%description
Rocs is a Graph Theory IDE for designing and analyzing graph algorithms.
It provides an easy to use visual editor for creating graphs, a scripting engine
to execute algorithms, and several helper tools for simulations and experiments.
Algorithms are specified in JavaScript.

%package common
Summary: %name common package
Group: System/Configuration/Other
BuildArch: noarch
Requires: kf5-filesystem
Provides:  kde5-rocs-common = %EVR
Obsoletes: kde5-rocs-common < %EVR
%description common
%name common package

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package -n %librocsgraphtheory
Group: System/Libraries
Summary: %name library
Requires: %name-common >= %EVR
%description -n %librocsgraphtheory
%name library


%prep
%setup -n %rname-%version

%build
%K5build \
    -DKDE_INSTALL_INCLUDEDIR=%_K5inc \
    #

%install
%K5install
%K5install_move data rocsgraphtheory rocs
%find_lang %name --with-kde --all-name

%files common -f %name.lang
%doc LICENSES/*
#%_K5data/rocsgraphtheory/

%files
%_K5bin/rocs
%_K5plug/rocs/
%_K5data/rocs/
%_K5icon/*/*/apps/rocs.*
%_K5icon/*/*/actions/rocs*.*
%_K5xdgapp/org.kde.rocs.desktop
%_K5cfg/rocs.kcfg
%_datadir/metainfo/*.xml

%files devel
%_K5inc/rocs/
%_K5link/lib*.so

%files -n %librocsgraphtheory
%_K5lib/librocsgraphtheory.so.%rocsgraphtheory_sover
%_K5lib/librocsgraphtheory.so.*

%changelog
