Name: rofi
Version: 1.7.5+wayland2
Release: alt1
Summary: A window switcher, run dialog and dmenu replacement
License: MIT
Group: Graphical desktop/Other
Url: https://davedavenport.github.io/rofi/
Vcs: https://github.com/lbonn/rofi

Source: https://github.com/lbonn/rofi/releases/download/1.7.5+wayland2/rofi-1.7.5+wayland2.tar.gz
#It tries to use x-terminal-emulator which is only available on debian systems, I replace it with xdg-terminal.
#Patch: 0001-Replace-x-terminal-emulator-with-xdg-terminal.patch
Patch: 0002-Workaround-for-ALT-flex-changes-ALT-35141.patch

BuildRequires(pre): rpm-macros-meson
# Automatically added by buildreq on Fri Nov 24 2023
# optimized out: glib2-devel glibc-kernheaders-generic glibc-kernheaders-x86 libX11-devel libcairo-devel libgdk-pixbuf libgio-devel libgpg-error libharfbuzz-devel libstartup-notification libwayland-client libwayland-client-devel libwayland-cursor libxcb-devel libxcb-render-util libxcbutil-cursor libxcbutil-icccm libxcbutil-image libxkbcommon-devel libxkbcommon-x11 ninja-build pkg-config python3 python3-base python3-dev python3-module-setuptools sh5 wayland-devel xml-utils xorg-proto-devel xz
BuildRequires: flex libcheck-devel libgdk-pixbuf-devel libpango-devel libstartup-notification-devel libwayland-cursor-devel libxcbutil-cursor-devel libxcbutil-devel libxcbutil-icccm-devel libxkbcommon-x11-devel meson wayland-protocols

Requires: xdg-utils

%description
https://github.com/lbonn/rofi fork with Wayland support

A popup window switcher roughly based on superswitcher, requiring only xlib and pango.
This version started off as a clone of simpleswitcher, the version from Sean Pringle.
All credit for this great tool should go to him. Rofi developed extra features,
like a run-dialog, ssh-launcher and can act as a drop-in dmenu replacement, making it a very versatile tool.

%package devel
Summary: headers file for rofi launcher
Group: Graphical desktop/Other
Requires: %name

%description devel
%summary

%prep
%setup
%patch0 -p1

%build
%meson \

%meson_build

%install
%meson_install

%files
%doc Changelog README.md COPYING
%_bindir/rofi
%_bindir/rofi-*
%_man1dir/%name.*
%_man1dir/%name-*
%_man5dir/%name-*
%_datadir/%name/themes/*
%_desktopdir/*.desktop
%_iconsdir/hicolor/scalable/apps/rofi.svg

%files devel
%_includedir/%name
%_pkgconfigdir/%name.pc

%changelog
