Name: rpcemu
Version: 0.9.4
Release: alt1
Summary: Acorn RiscPC Emulator
License: GPL-2.0-only
Group: Emulators
Url: https://www.marutan.net/rpcemu
Packager: Artyom Bystrov <arbars@altlinux.org>

Source: http://www.marutan.net/rpcemu/%version/%name-%version.tar.gz
Patch2: %name-config.patch
BuildRequires: dos2unix
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5Widgets)
ExclusiveArch: %ix86 x86_64

%description
Acorn RiscPC emulator. Requires RISC OS ROMs >= 3.70 in
%_datadir/rpcemu/roms. Press Ctrl + End to access the GUI.

%prep
%setup
%patch2 -p1
dos2unix readme.txt

%build
%qmake_qt5 src/qt5
%make_build
%qmake_qt5 src/qt5 "CONFIG+=dynarec"
%make_build

%install
install -d -m 755 %buildroot%_bindir
install -m 755 rpcemu-interpreter %buildroot%_bindir
install -m 755 rpcemu-recompiler %buildroot%_bindir
install -d -m 755 %buildroot%_datadir/rpcemu
cp -a cmos.ram rpc.cfg roms %buildroot%_datadir/rpcemu
chmod -x riscos-progs/HostFS/hostfs*

%files
%doc readme.txt riscos-progs
%_bindir/rpcemu-interpreter
%_bindir/rpcemu-recompiler
%config %_datadir/rpcemu/rpc.cfg
%config %_datadir/rpcemu/cmos.ram
%_datadir/rpcemu/roms
%dir %_datadir/rpcemu

%changelog
