Name: rxvt-unicode
Version: 9.30
Release: alt1.1

Summary:  rxvt-unicode is a clone of the well known terminal emulator rxvt
License: GPL-3.0-or-later
Group: Terminals
Url: http://software.schmorp.de/pkg/rxvt-unicode.html
Packager: Alexey Gladkov <legion@altlinux.ru>

%define _unpackaged_files_terminate_build 1
%define _stripped_files_terminate_build 1

AutoReq: yes, noperl

# due to TERM=rxvt-unicode-256color
Requires: terminfo-extra >= 5.7-alt3.1

Provides: urxvt, xvt

Source: http://dist.schmorp.de/%name/%name-%version.tar.bz2
Source1: %name.alternatives
Source2: %name.desktop

Patch0001: 0001-ALT-Change-cutchars.patch
Patch0002: 0002-Prefer-XDG_RUNTIME_DIR-over-the-HOME.patch
Patch0003: 0003-ALT-Fix-path-to-the-xsubpp-utility.patch
Patch0004: 0004-Upstream-fix-unicode-characters-with-perl-5.38.0.patch

BuildRequires: alternatives
BuildRequires: gcc-c++
BuildRequires: perl-devel
BuildRequires: perl-podlators
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(libptytty)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xft)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xt)

%description
rxvt-unicode is a clone of the well known terminal emulator rxvt, modified to
store text in Unicode (either UCS-2 or UCS-4) and to use locale-correct input
and output. It also supports mixing multiple fonts at the same time, including
Xft fonts.

%prep
%setup -q
%autopatch -p2

%build
#autoreconf
%configure \
	--enable-everything \
	--enable-256-color \
	#
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

install -pD -m644 %SOURCE1 %buildroot/%_altdir/%name
install -pD -m644 %SOURCE2 %buildroot/%_desktopdir/%name.desktop

%files
%doc README.FAQ INSTALL doc/README.xvt doc/etc
%_bindir/*
%_altdir/%name
%_desktopdir/%name.desktop
%_man1dir/*
%_man3dir/*
%_man7dir/*
%_libdir/urxvt/

%changelog
