%ifarch i586 armh ppc64le
%def_without check
%else
%def_with check
%endif

Name: starship
Version: 1.20.1
Release: alt1
Summary: The minimal, blazing-fast, and infinitely customizable prompt for any shell
License: ISC
Group: Shells
Url: https://github.com/starship/starship

Source: %name-%version.tar
Source1: vendor.tar
Patch: starship-1.17.1-libz-ng-sys-loongarch64.patch

BuildRequires(pre): rpm-build-rust
BuildRequires: cargo-vendor-checksum
BuildRequires: rust-cargo
BuildRequires: cmake

%if_with check
BuildRequires: git
%endif

%description
%summary.

%prep
%setup -a 1
%patch -p1
mkdir -p .cargo
cat >> .cargo/config.toml <<EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

%build
%ifarch armh i586
# build failed with lto
sed -i 's/lto = true/lto = false/' Cargo.toml
%endif
cargo-vendor-checksum --all
%rust_build

%install
%rust_install

%check
%buildroot%_bindir/%name print-config > %name.toml
export STARSHIP_CONFIG=%name.toml
export TERM=xterm
# skip randomly failing test
cargo test -- --skip expiration_date_set

%files
%_bindir/%name

%changelog
