Name: task
Version: 2.5.1
Release: alt4

Summary: A command-line todo list manager
License: GPLv2+
Group: Office

Url: http://taskwarrior.org
Source: %name-%version.tar
Packager: Kirill Maslinsky <kirill@altlinux.org>
Patch: %name-%version-%release.patch

Requires: zsh-completion-%name = %version-%release %name-core = %version-%release
# TODO Requires: vim-plugin-syntax

BuildRequires(pre): rpm-macros-cmake
BuildRequires: gcc-c++ libncurses-devel cmake libuuid-devel perl-devel libgnutls-devel python-devel

%description
Task is a command-line todo list manager. It has
support for GTD functionality and includes the
following features: tags, colorful tabular output,
reports and graphs, lots of manipulation commands,
low-level API, abbreviations for all commands and
options, multiuser file locking, recurring tasks.

This package includes zsh completion bindings.
# TODO and new vim stuff

%package core
Group: Office
Summary: Core distribution of taskwarrior
%description core
Task is a command-line todo list manager. It has
support for GTD functionality and includes the
following features: tags, colorful tabular output,
reports and graphs, lots of manipulation commands,
low-level API, abbreviations for all commands and
options, multiuser file locking, recurring tasks.

%package -n zsh-completion-task
Group: Shells
BuildArch: noarch
Summary: Zsh completion for taskwarrior
%description -n zsh-completion-task
Zsh completion for taskwarrior

%prep
%setup
%patch -p1

%build
%cmake_insource
%make_build

%install
%makeinstall_std
%find_lang %name
install -Dm 644 -T scripts/bash/task.sh %buildroot%_sysconfdir/bash_completion.d/task
install -D scripts/zsh/_task %buildroot%_datadir/zsh/Completion/Unix/_task

%check
make test

%files
%_sysconfdir/bash_completion.d/%name

%files core
%doc %_docdir/%name/*
%_bindir/task
%_man1dir/*
%_man5dir/*

%files -n zsh-completion-task
%_datadir/zsh/Completion/Unix/_task

%changelog
