%define _unpackaged_files_terminate_build 1

Name: 	 tellico
Version: 3.5.5
Release: alt1

Summary: A collection manager for KDE
License: GPL-2.0+
Group:   Graphical desktop/KDE
Url:     http://tellico-project.org/
VCS:	 https://invent.kde.org/office/tellico.git

ExcludeArch: armh ppc64le

Source: %name-%version.tar

BuildRequires(pre): rpm-build-kf5
BuildRequires(pre): rpm-build-python3
BuildRequires(pre): rpm-macros-qt5-webengine
BuildRequires: gcc-c++
BuildRequires: extra-cmake-modules
BuildRequires: qt5-declarative-devel
BuildRequires: kde5-libkcddb-devel
BuildRequires: kde5-libksane-devel
BuildRequires: kf5-karchive-devel
BuildRequires: kf5-kcodecs-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kcrash-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-kdoctools-devel-static
BuildRequires: kf5-kfilemetadata-devel
BuildRequires: kf5-kguiaddons-devel
BuildRequires: kf5-khtml-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-kitemmodels-devel
BuildRequires: kf5-kjobwidgets-devel
BuildRequires: kf5-kjs-devel
BuildRequires: kf5-knewstuff-devel
BuildRequires: kf5-kparts-devel
BuildRequires: kf5-ktextwidgets-devel
BuildRequires: kf5-kwallet-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-solid-devel
BuildRequires: libdiscid-devel
BuildRequires: libexempi-devel
BuildRequires: libpoppler-qt5-devel
BuildRequires: libtag-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libyaz-devel
BuildRequires: qimageblitz5-devel
BuildRequires: qjson-qt5-devel
%ifarch %qt5_qtwebengine_arches
BuildRequires: qt5-webengine-devel
%else
BuildRequires: kf5-khtml-devel
%endif
BuildRequires: qt5-charts-devel
BuildRequires: libcdio-devel

%ifarch %qt5_qtwebengine_arches
%define use_khtml FALSE
%else
%define use_khtml TRUE
%endif

%description
Tellico is a KDE application for organizing your collections. It
provides default templates for books, bibliographies, videos, music,
video games, coins, stamps, trading cards, comic books, and wines.

%prep
%setup

%build

%K5init no_altplace
%K5build -DUSE_KHTML:BOOL=%use_khtml

%install
%K5install

# fix python shebangs
find %buildroot -type f -print0 |
      xargs -r0 grep -lZ '^#![[:space:]]*%_bindir/.*python$' -- |
      xargs -r0 sed -E -i '1 s@^(#![[:space:]]*)%_bindir/(env[[:space:]]+)?python$@\1%__python3@'

%find_lang --with-kde %name

%files -f %name.lang
%doc AUTHORS README.md
%_K5bin/*
%_datadir/%name
%_K5xdgapp/*.desktop
%_K5icon/hicolor/*/apps/%name.png
%_K5icon/hicolor/*/mimetypes/application-x-%name.png
%_datadir/kconf_update/*
%_K5cfg/*.kcfg
%_K5xdgconf/%{name}*
%_K5xdgmime/%name.xml
%_datadir/metainfo/org.kde.tellico.appdata.xml
%_datadir/knsrcfiles/tellico-*.knsrc

%changelog
