Name: texmaker
Version: 6.0.0
Release: alt1

Summary: free cross-platform LaTeX editor with a Qt interface
License: GPLv2+
Group: Publishing
Url: http://www.xm1math.net/texmaker/index.html

Packager: Ilya Mashkin <oddity@altlinux.ru>

Source: %name-%version.tar.bz2
# setup the .pro file to unbundle qtsingleapplication and hunspell
# also fixes a single header file to use system singleapp

Patch0:		%{name}-5.1.0-unbundle-qtsingleapp.patch

# fix header files to use system hunspell
Patch1:		%{name}-5.1.0-unbundle-hunspell.patch

# use system pdf viewers instead of hardcoded evince
Patch2:		%{name}-5.1.0-viewfiles.patch


BuildRequires(pre): rpm-macros-qt6-webengine rpm-macros-cmake
# Automatically added by buildreq on Thu Apr 24 2008
BuildRequires: fontconfig gcc-c++ cmake
BuildRequires: pkgconfig
BuildRequires: qt6-base-devel rpm-macros-qt6-webengine
BuildRequires: pkgconfig(Qt6Concurrent)
BuildRequires: pkgconfig(Qt6Core)
BuildRequires: pkgconfig(Qt6Core5Compat)
BuildRequires: pkgconfig(Qt6Gui)
BuildRequires: pkgconfig(Qt6Linguist)
BuildRequires: pkgconfig(Qt6Network)
BuildRequires: pkgconfig(Qt6PrintSupport)
BuildRequires: pkgconfig(Qt6Quick)
BuildRequires: pkgconfig(Qt6WebEngineCore)
BuildRequires: pkgconfig(Qt6WebEngineWidgets)
BuildRequires: pkgconfig(Qt6Xml)


# Qt5:
# qt5-base-devel qt5-tools-devel libpoppler-devel libpoppler-qt5-devel qt5-script-devel libhunspell-devel libqtsingleapplication-qt5-devel
#ifarch #qt5_qtwebengine_arches
#BuildRequires: qt5-webengine-devel
#else
BuildRequires: qt5-declarative-devel rpm-build-qml
#endif
Excludearch: ppc64le i586

%description
Texmaker is a LaTeX editor that integrates many tools
needed to develop documents with LaTeX.

%prep
%setup
#patch0
#patch1
#patch2

# get rid of zero-length space
#sed -i 's/\xe2\x80\x8b//g' utilities/%{name}.metainfo.xml

# remove bundled stuff (hunspell and qtsingleapplication)
rm -fr hunspell singleapp


%build
#/usr/share/qt5/bin/qmake -unix PREFIX=%prefix %name.pro
#make
%cmake \
  -DCMAKE_C_COMPILER=gcc%{?gcc_ver:-%{gcc_ver}} \
  -DCMAKE_CXX_COMPILER=g++%{?gcc_ver:-%{gcc_ver}} \
  -DCMAKE_SKIP_RPATH=ON \
	%{nil}
%cmake_build


%install
#makeinstall INSTALL_ROOT=%buildroot
%cmake_install

%files
%_bindir/%name
%_datadir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.png
%_datadir/metainfo/%name.metainfo.xml


%changelog
