Name: tionix-vdi-client
Version: 2.6.0
Release: alt5.1

Summary: Tionix VDI client
License: GPL-2.0
Group: Communications

Url: http://tionix.ru
Source0: %name-%version-src.zip
Source1: tionix_vdi_client.desktop
Source2: tionix_vdi_client.png
Source3: zdg-user-dirs-install.sh
Patch: %name-%version.patch

BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-pbr
BuildRequires: python3-module-requests
BuildRequires: python3-module-prettytable
BuildRequires: python3-module-PyQt5
BuildRequires: python3-module-pyasn1
BuildRequires: python3-module-OpenSSL
BuildRequires: python3-module-pykcs11
BuildRequires: python3-module-Cython
BuildRequires: unzip
# for version test
BuildRequires: libfreerdp

Requires: openvpn
Requires: xfreerdp
Requires: freerdp-plugins-standard

%description
%summary.

%prep
%setup -c %name-%version
%patch -p1

# p9_e2k still with freerdp 2.0.0 barfing at this argument for 2.1+
[ -f %_prefix/%_lib/libfreerdp2.so.2.0.0 ] &&
	sed -i 's,/cert:tofu ,,' tionix_vdi_client/settings.py

%filter_from_requires /^python3(tionix_client.*)/d
%filter_from_requires /^python3(mock)/d
%filter_from_requires /^python3(pbr)/d

%build
export PBR_VERSION=%version
%python3_build

%install
export PBR_VERSION=%version
%python3_install

# TODO: add other icon sizes? (up to tionix probably)
install -pDm644 %SOURCE1 \
	%buildroot%_desktopdir/tionix_vdi_client.desktop
install -pDm644 %SOURCE2 \
	%buildroot%_iconsdir/hicolor/64x64/apps/tionix_vdi_client.png
install -pDm755 %SOURCE3 \
	%buildroot%_x11sysconfdir/profile.d/zdg-user-dirs-install.sh

%files
%_bindir/tionix_vdi_client
%python3_sitelibdir/*
%_desktopdir/tionix_vdi_client.desktop
%_iconsdir/hicolor/64x64/apps/tionix_vdi_client.png
%_x11sysconfdir/profile.d/zdg-user-dirs-install.sh

%changelog
