Name: vym
Version: 2.9.26
Release: alt1.1

Summary: QT based MindMap editor
Url: http://www.insilmaril.de/vym/
#Url; https://github.com/insilmaril/vym
Packager: Alex Karpov <karpov@altlinux.ru>

License: %gpl2only
Group: Office

Source: %name-%version.tar
Patch0: %name-%version-%release.patch
Patch1: %name-2.8.7-alt-pdf_path.patch
Patch2: %name-2.9.22-alt-VYMBASEDIR.patch

Source1: %name.desktop

BuildRequires(pre): rpm-build-licenses
BuildRequires(pre): rpm-build-xdg
BuildRequires(pre): rpm-macros-qt5-webengine

# Automatically added by buildreq on Sun Oct 29 2023
# optimized out: cmake-modules gcc-c++ glibc-kernheaders-generic glibc-kernheaders-x86 libdouble-conversion3 libglvnd-devel libgpg-error libp11-kit libqt5-core libqt5-dbus libqt5-gui libqt5-network libqt5-printsupport libqt5-script libqt5-svg libqt5-widgets libqt5-xml libsasl2-3 libssl-devel libstdc++-devel pkg-config python-modules python2-base python3 python3-base python3-dev qt5-base-devel qt5-tools sh5
BuildRequires: cmake libdbus-devel qt5-script-devel qt5-svg-devel qt5-tools-devel
%ifarch %qt5_qtwebengine_arches
BuildRequires: qt5-webengine-devel
%endif

# For PDF docs generation
BuildRequires: makeinfo texi2dvi texlive-dist

%description
VYM (View Your Mind) is a tool to generate and manipulate maps which show your
thoughts. Such maps can help you to improve your creativity and effectivity.
You can use them for time management, to organize tasks, to get an overview
over complex contexts.

%prep
%setup -q
%patch0 -p1

%patch1
%patch2

%build
%cmake -DCMAKE_INSTALL_DATAROOTDIR:PATH=%_datadir/vym
%cmake_build

#pushd lang
#for i in *.ts; do
#    lconvert-qt5 $i -o `basename $i .ts`.qm
#done
#popd

#pushd tex
#texi2dvi -p vym.tex    > /dev/null
#texi2dvi -p vym_es.tex > /dev/null
#texi2dvi -p vym_fr.tex > /dev/null
#popd

%install
%cmake_install

install -D -m0644 doc/%name.1.gz %buildroot%_man1dir/%name.1.gz
install -D -m0644 %SOURCE1 %buildroot%_desktopdir/%name.desktop
sed -e 's#ICONDIR#%_datadir/%name/icons#' -i %buildroot%_desktopdir/%name.desktop

#mkdir %buildroot%_datadir/%name/lang/
#pushd lang
#for i in *.qm; do
#    install -D -m0664 $i %buildroot%_datadir/%name/lang/$i
#done
#popd

#mkdir -p %buildroot%_datadir/%name/doc/
#pushd tex
#for i in *.pdf; do
#    install -D -m0644 $i %buildroot%_datadir/%name/doc/$i
#done
#popd


%files
%doc README.md LICENSE.txt

%_bindir/%name
%_man1dir/%{name}*

%_datadir/%name/*
%exclude %_datadir/%name/scripts
%exclude %_datadir/%name/man

%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/*
%_xdgmimedir/packages/*


%changelog
