
Name: websockify
Version: 0.12.0
Release: alt1
Summary: WebSocket to TCP proxy/bridge
Group: Networking/Other

License: BSD-2-Clause AND LGPL-3.0-only AND MPL-2.0 AND BSD-3-Clause
Url: https://github.com/novnc/websockify
Source: %name-%version.tar
BuildArch: noarch

BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools

%description
websockify was formerly named wsproxy and was part of the
noVNC project.

At the most basic level, websockify just translates WebSockets traffic
to normal socket traffic. Websockify accepts the WebSockets handshake,
parses it, and then begins forwarding traffic between the client and
the target in both directions.

%package -n python3-module-%name
Summary: WSGI based adapter for the Websockets protocol
Group: Development/Python3
Provides: %name = %EVR

%description -n python3-module-%name
websockify was formerly named wsproxy and was part of the
noVNC project.

At the most basic level, websockify just translates WebSockets traffic
to normal socket traffic. Websockify accepts the WebSockets handshake,
parses it, and then begins forwarding traffic between the client and
the target in both directions.

%prep
%setup

# remove unwanted shebang
sed -i '1 { /^#!/ d }' websockify/websocket*.py

%build
%python3_build

%install
%python3_install

rm -Rf %buildroot%_datadir/%name
mkdir -p %buildroot%_man1dir
install -m 644 docs/websockify.1 %buildroot%_man1dir

%files -n python3-module-%name
%doc COPYING README.md CHANGES.txt
%python3_sitelibdir/*
%_bindir/%name
%_man1dir/%name.1*

%changelog
